NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
RXERRCNT         EQU 0x0E41
TXERRCNT         EQU 0x0E42
BRGCON1          EQU 0x0E43
BRGCON2          EQU 0x0E44
BRGCON3          EQU 0x0E45
RXFCON0          EQU 0x0E46
RXFCON1          EQU 0x0E47
RXF6SIDH         EQU 0x0E48
RXF6SIDLH        EQU 0x0E48
RXF6SIDL         EQU 0x0E49
RXF6EIDH         EQU 0x0E4A
RXF6EIDLH        EQU 0x0E4A
RXF6EIDL         EQU 0x0E4B
RXF7SIDH         EQU 0x0E4C
RXF7SIDLH        EQU 0x0E4C
RXF7SIDL         EQU 0x0E4D
RXF7EIDH         EQU 0x0E4E
RXF7EIDLH        EQU 0x0E4E
RXF7EIDL         EQU 0x0E4F
RXF8SIDH         EQU 0x0E50
RXF8SIDLH        EQU 0x0E50
RXF8SIDL         EQU 0x0E51
RXF8EIDH         EQU 0x0E52
RXF8EIDLH        EQU 0x0E52
RXF8EIDL         EQU 0x0E53
RXF9SIDH         EQU 0x0E54
RXF9SIDLH        EQU 0x0E54
RXF9SIDL         EQU 0x0E55
RXF9EIDH         EQU 0x0E56
RXF9EIDLH        EQU 0x0E56
RXF9EIDL         EQU 0x0E57
RXF10SIDH        EQU 0x0E58
RXF10SIDLH       EQU 0x0E58
RXF10SIDL        EQU 0x0E59
RXF10EIDH        EQU 0x0E5A
RXF10EIDLH       EQU 0x0E5A
RXF10EIDL        EQU 0x0E5B
RXF11SIDH        EQU 0x0E5C
RXF11SIDLH       EQU 0x0E5C
RXF11SIDL        EQU 0x0E5D
RXF11EIDH        EQU 0x0E5E
RXF11EIDLH       EQU 0x0E5E
RXF11EIDL        EQU 0x0E5F
RXF12SIDH        EQU 0x0E60
RXF12SIDLH       EQU 0x0E60
RXF12SIDL        EQU 0x0E61
RXF12EIDH        EQU 0x0E62
RXF12EIDLH       EQU 0x0E62
RXF12EIDL        EQU 0x0E63
RXF13SIDH        EQU 0x0E64
RXF13SIDLH       EQU 0x0E64
RXF13SIDL        EQU 0x0E65
RXF13EIDH        EQU 0x0E66
RXF13EIDLH       EQU 0x0E66
RXF13EIDL        EQU 0x0E67
RXF14SIDH        EQU 0x0E68
RXF14SIDLH       EQU 0x0E68
RXF14SIDL        EQU 0x0E69
RXF14EIDH        EQU 0x0E6A
RXF14EIDLH       EQU 0x0E6A
RXF14EIDL        EQU 0x0E6B
RXF15SIDH        EQU 0x0E6C
RXF15SIDLH       EQU 0x0E6C
RXF15SIDL        EQU 0x0E6D
RXF15EIDH        EQU 0x0E6E
RXF15EIDLH       EQU 0x0E6E
RXF15EIDL        EQU 0x0E6F
SDFLC            EQU 0x0E70
RXFBCON0         EQU 0x0E71
RXFBCON1         EQU 0x0E72
RXFBCON2         EQU 0x0E73
RXFBCON3         EQU 0x0E74
RXFBCON4         EQU 0x0E75
RXFBCON5         EQU 0x0E76
RXFBCON6         EQU 0x0E77
RXFBCON7         EQU 0x0E78
MSEL0            EQU 0x0E79
MSEL1            EQU 0x0E7A
MSEL2            EQU 0x0E7B
MSEL3            EQU 0x0E7C
BSEL0            EQU 0x0E7D
BIE0             EQU 0x0E7E
TXBIE            EQU 0x0E7F
B0CON            EQU 0x0E80
B0SIDH           EQU 0x0E81
B0SIDLH          EQU 0x0E81
B0SIDL           EQU 0x0E82
B0EIDH           EQU 0x0E83
B0EIDLH          EQU 0x0E83
B0EIDL           EQU 0x0E84
B0DLC            EQU 0x0E85
B0D0             EQU 0x0E86
B0D1             EQU 0x0E87
B0D2             EQU 0x0E88
B0D3             EQU 0x0E89
B0D4             EQU 0x0E8A
B0D5             EQU 0x0E8B
B0D6             EQU 0x0E8C
B0D7             EQU 0x0E8D
CANSTAT_RO9      EQU 0x0E8E
CANCON_RO9       EQU 0x0E8F
B1CON            EQU 0x0E90
B1SIDH           EQU 0x0E91
B1SIDLH          EQU 0x0E91
B1SIDL           EQU 0x0E92
B1EIDH           EQU 0x0E93
B1EIDLH          EQU 0x0E93
B1EIDL           EQU 0x0E94
B1DLC            EQU 0x0E95
B1D0             EQU 0x0E96
B1D1             EQU 0x0E97
B1D2             EQU 0x0E98
B1D3             EQU 0x0E99
B1D4             EQU 0x0E9A
B1D5             EQU 0x0E9B
B1D6             EQU 0x0E9C
B1D7             EQU 0x0E9D
CANSTAT_RO8      EQU 0x0E9E
CANCON_RO8       EQU 0x0E9F
B2CON            EQU 0x0EA0
B2SIDH           EQU 0x0EA1
B2SIDLH          EQU 0x0EA1
B2SIDL           EQU 0x0EA2
B2EIDH           EQU 0x0EA3
B2EIDLH          EQU 0x0EA3
B2EIDL           EQU 0x0EA4
B2DLC            EQU 0x0EA5
B2D0             EQU 0x0EA6
B2D1             EQU 0x0EA7
B2D2             EQU 0x0EA8
B2D3             EQU 0x0EA9
B2D4             EQU 0x0EAA
B2D5             EQU 0x0EAB
B2D6             EQU 0x0EAC
B2D7             EQU 0x0EAD
CANSTAT_RO7      EQU 0x0EAE
CANCON_RO7       EQU 0x0EAF
B3CON            EQU 0x0EB0
B3SIDH           EQU 0x0EB1
B3SIDLH          EQU 0x0EB1
B3SIDL           EQU 0x0EB2
B3EIDH           EQU 0x0EB3
B3EIDLH          EQU 0x0EB3
B3EIDL           EQU 0x0EB4
B3DLC            EQU 0x0EB5
B3D0             EQU 0x0EB6
B3D1             EQU 0x0EB7
B3D2             EQU 0x0EB8
B3D3             EQU 0x0EB9
B3D4             EQU 0x0EBA
B3D5             EQU 0x0EBB
B3D6             EQU 0x0EBC
B3D7             EQU 0x0EBD
CANSTAT_RO6      EQU 0x0EBE
CANCON_RO6       EQU 0x0EBF
B4CON            EQU 0x0EC0
B4SIDH           EQU 0x0EC1
B4SIDLH          EQU 0x0EC1
B4SIDL           EQU 0x0EC2
B4EIDH           EQU 0x0EC3
B4EIDLH          EQU 0x0EC3
B4EIDL           EQU 0x0EC4
B4DLC            EQU 0x0EC5
B4D0             EQU 0x0EC6
B4D1             EQU 0x0EC7
B4D2             EQU 0x0EC8
B4D3             EQU 0x0EC9
B4D4             EQU 0x0ECA
B4D5             EQU 0x0ECB
B4D6             EQU 0x0ECC
B4D7             EQU 0x0ECD
CANSTAT_RO5      EQU 0x0ECE
CANCON_RO5       EQU 0x0ECF
B5CON            EQU 0x0ED0
B5SIDH           EQU 0x0ED1
B5SIDLH          EQU 0x0ED1
B5SIDL           EQU 0x0ED2
B5EIDH           EQU 0x0ED3
B5EIDLH          EQU 0x0ED3
B5EIDL           EQU 0x0ED4
B5DLC            EQU 0x0ED5
B5D0             EQU 0x0ED6
B5D1             EQU 0x0ED7
B5D2             EQU 0x0ED8
B5D3             EQU 0x0ED9
B5D4             EQU 0x0EDA
B5D5             EQU 0x0EDB
B5D6             EQU 0x0EDC
B5D7             EQU 0x0EDD
CANSTAT_RO4      EQU 0x0EDE
CANCON_RO4       EQU 0x0EDF
RXF0SIDH         EQU 0x0EE0
RXF0SIDLH        EQU 0x0EE0
RXF0SIDL         EQU 0x0EE1
RXF0EIDH         EQU 0x0EE2
RXF0EIDLH        EQU 0x0EE2
RXF0EIDL         EQU 0x0EE3
RXF1SIDH         EQU 0x0EE4
RXF1SIDLH        EQU 0x0EE4
RXF1SIDL         EQU 0x0EE5
RXF1EIDH         EQU 0x0EE6
RXF1EIDLH        EQU 0x0EE6
RXF1EIDL         EQU 0x0EE7
RXF2SIDH         EQU 0x0EE8
RXF2SIDLH        EQU 0x0EE8
RXF2SIDL         EQU 0x0EE9
RXF2EIDH         EQU 0x0EEA
RXF2EIDLH        EQU 0x0EEA
RXF2EIDL         EQU 0x0EEB
RXF3SIDH         EQU 0x0EEC
RXF3SIDLH        EQU 0x0EEC
RXF3SIDL         EQU 0x0EED
RXF3EIDH         EQU 0x0EEE
RXF3EIDLH        EQU 0x0EEE
RXF3EIDL         EQU 0x0EEF
RXF4SIDH         EQU 0x0EF0
RXF4SIDLH        EQU 0x0EF0
RXF4SIDL         EQU 0x0EF1
RXF4EIDH         EQU 0x0EF2
RXF4EIDLH        EQU 0x0EF2
RXF4EIDL         EQU 0x0EF3
RXF5SIDH         EQU 0x0EF4
RXF5SIDLH        EQU 0x0EF4
RXF5SIDL         EQU 0x0EF5
RXF5EIDH         EQU 0x0EF6
RXF5EIDLH        EQU 0x0EF6
RXF5EIDL         EQU 0x0EF7
RXM0SIDH         EQU 0x0EF8
RXM0SIDLH        EQU 0x0EF8
RXM0SIDL         EQU 0x0EF9
RXM0EIDH         EQU 0x0EFA
RXM0EIDLH        EQU 0x0EFA
RXM0EIDL         EQU 0x0EFB
RXM1SIDH         EQU 0x0EFC
RXM1SIDLH        EQU 0x0EFC
RXM1SIDL         EQU 0x0EFD
RXM1EIDH         EQU 0x0EFE
RXM1EIDLH        EQU 0x0EFE
RXM1EIDL         EQU 0x0EFF
TXB2CON          EQU 0x0F00
TXB2SIDH         EQU 0x0F01
TXB2SIDLH        EQU 0x0F01
TXB2SIDL         EQU 0x0F02
TXB2EIDH         EQU 0x0F03
TXB2EIDLH        EQU 0x0F03
TXB2EIDL         EQU 0x0F04
TXB2DLC          EQU 0x0F05
TXB2D0           EQU 0x0F06
TXB2D1           EQU 0x0F07
TXB2D2           EQU 0x0F08
TXB2D3           EQU 0x0F09
TXB2D4           EQU 0x0F0A
TXB2D5           EQU 0x0F0B
TXB2D6           EQU 0x0F0C
TXB2D7           EQU 0x0F0D
CANSTAT_RO3      EQU 0x0F0E
CANCON_RO3       EQU 0x0F0F
TXB1CON          EQU 0x0F10
TXB1SIDH         EQU 0x0F11
TXB1SIDLH        EQU 0x0F11
TXB1SIDL         EQU 0x0F12
TXB1EIDH         EQU 0x0F13
TXB1EIDLH        EQU 0x0F13
TXB1EIDL         EQU 0x0F14
TXB1DLC          EQU 0x0F15
TXB1D0           EQU 0x0F16
TXB1D1           EQU 0x0F17
TXB1D2           EQU 0x0F18
TXB1D3           EQU 0x0F19
TXB1D4           EQU 0x0F1A
TXB1D5           EQU 0x0F1B
TXB1D6           EQU 0x0F1C
TXB1D7           EQU 0x0F1D
CANSTAT_RO2      EQU 0x0F1E
CANCON_RO2       EQU 0x0F1F
TXB0CON          EQU 0x0F20
TXB0SIDH         EQU 0x0F21
TXB0SIDLH        EQU 0x0F21
TXB0SIDL         EQU 0x0F22
TXB0EIDH         EQU 0x0F23
TXB0EIDLH        EQU 0x0F23
TXB0EIDL         EQU 0x0F24
TXB0DLC          EQU 0x0F25
TXB0D0           EQU 0x0F26
TXB0D1           EQU 0x0F27
TXB0D2           EQU 0x0F28
TXB0D3           EQU 0x0F29
TXB0D4           EQU 0x0F2A
TXB0D5           EQU 0x0F2B
TXB0D6           EQU 0x0F2C
TXB0D7           EQU 0x0F2D
CANSTAT_RO1      EQU 0x0F2E
CANCON_RO1       EQU 0x0F2F
RXB1CON          EQU 0x0F30
RXB1SIDH         EQU 0x0F31
RXB1SIDLH        EQU 0x0F31
RXB1SIDL         EQU 0x0F32
RXB1EIDH         EQU 0x0F33
RXB1EIDLH        EQU 0x0F33
RXB1EIDL         EQU 0x0F34
RXB1DLC          EQU 0x0F35
RXB1D0           EQU 0x0F36
RXB1D1           EQU 0x0F37
RXB1D2           EQU 0x0F38
RXB1D3           EQU 0x0F39
RXB1D4           EQU 0x0F3A
RXB1D5           EQU 0x0F3B
RXB1D6           EQU 0x0F3C
RXB1D7           EQU 0x0F3D
CANSTAT_RO0      EQU 0x0F3E
CANCON_RO0       EQU 0x0F3F
CCP5CON          EQU 0x0F47
CCPR5            EQU 0x0F48
CCPR5L           EQU 0x0F48
CCPR5LH          EQU 0x0F49
CCPR5H           EQU 0x0F49
CCP4CON          EQU 0x0F4A
CCPR4            EQU 0x0F4B
CCPR4L           EQU 0x0F4B
CCPR4LH          EQU 0x0F4C
CCPR4H           EQU 0x0F4C
CCP3CON          EQU 0x0F4D
CCPR3            EQU 0x0F4E
CCPR3L           EQU 0x0F4E
CCPR3LH          EQU 0x0F4F
CCPR3H           EQU 0x0F4F
CCP2CON          EQU 0x0F50
ECCP2CON         EQU 0x0F50
CCPR2            EQU 0x0F51
CCPR2L           EQU 0x0F51
CCPR2LH          EQU 0x0F52
CCPR2H           EQU 0x0F52
CTMUICON         EQU 0x0F53
CTMUCONL         EQU 0x0F54
CTMUCONLH        EQU 0x0F55
CTMUCONH         EQU 0x0F55
PADCFG1          EQU 0x0F56
PMD2             EQU 0x0F57
PMD1             EQU 0x0F58
PMD0             EQU 0x0F59
IOCB             EQU 0x0F5A
WPUB             EQU 0x0F5B
ANCON1           EQU 0x0F5C
ANCON0           EQU 0x0F5D
CM2CON           EQU 0x0F5E
CM2CON1          EQU 0x0F5E
CM1CON           EQU 0x0F5F
CM1CON1          EQU 0x0F5F
RXB0CON          EQU 0x0F60
RXB0SIDH         EQU 0x0F61
RXB0SIDLH        EQU 0x0F61
RXB0SIDL         EQU 0x0F62
RXB0EIDH         EQU 0x0F63
RXB0EIDLH        EQU 0x0F63
RXB0EIDL         EQU 0x0F64
RXB0DLC          EQU 0x0F65
RXB0D0           EQU 0x0F66
RXB0D1           EQU 0x0F67
RXB0D2           EQU 0x0F68
RXB0D3           EQU 0x0F69
RXB0D4           EQU 0x0F6A
RXB0D5           EQU 0x0F6B
RXB0D6           EQU 0x0F6C
RXB0D7           EQU 0x0F6D
CANSTAT          EQU 0x0F6E
CANCON           EQU 0x0F6F
CIOCON           EQU 0x0F70
COMSTAT          EQU 0x0F71
ECANCON          EQU 0x0F72
EEDATA           EQU 0x0F73
EEADR            EQU 0x0F74
EEADRH           EQU 0x0F75
PIE5             EQU 0x0F76
PIR5             EQU 0x0F77
IPR5             EQU 0x0F78
TXREG2           EQU 0x0F79
RCREG2           EQU 0x0F7A
SPBRG2           EQU 0x0F7B
SPBRGH2          EQU 0x0F7C
SPBRGH1          EQU 0x0F7D
EECON2           EQU 0x0F7E
EECON1           EQU 0x0F7F
TMR4             EQU 0x0F87
T4CON            EQU 0x0F88
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
SLRCON           EQU 0x0F90
ODCON            EQU 0x0F91
TRISA            EQU 0x0F92
TRISB            EQU 0x0F93
TRISC            EQU 0x0F94
CCPTMRS          EQU 0x0F99
REFOCON          EQU 0x0F9A
OSCTUNE          EQU 0x0F9B
PSTR1CON         EQU 0x0F9C
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
RCSTA2           EQU 0x0FA6
BAUDCON1         EQU 0x0FA7
HLVDCON          EQU 0x0FA8
PR4              EQU 0x0FA9
T1GCON           EQU 0x0FAA
RCSTA            EQU 0x0FAB
RCSTA1           EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXSTA1           EQU 0x0FAC
TXREG            EQU 0x0FAD
TXREG1           EQU 0x0FAD
RCREG            EQU 0x0FAE
RCREG1           EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRG1           EQU 0x0FAF
T3GCON           EQU 0x0FB0
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
CMSTAT           EQU 0x0FB4
CMSTATUS         EQU 0x0FB4
CVRCON           EQU 0x0FB5
PIE4             EQU 0x0FB6
PIR4             EQU 0x0FB7
IPR4             EQU 0x0FB8
BAUDCON2         EQU 0x0FB9
TXSTA2           EQU 0x0FBA
CCP1CON          EQU 0x0FBB
ECCP1CON         EQU 0x0FBB
CCPR1            EQU 0x0FBC
CCPR1L           EQU 0x0FBC
CCPR1LH          EQU 0x0FBD
CCPR1H           EQU 0x0FBD
ECCP1DEL         EQU 0x0FBE
PWM1CON          EQU 0x0FBE
ECCP1AS          EQU 0x0FBF
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSPCON2          EQU 0x0FC5
SSPCON1          EQU 0x0FC6
SSPSTAT          EQU 0x0FC7
SSPADD           EQU 0x0FC8
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
OSCCON2          EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
INTCON1          EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTE            EQU 0x0F84

; RXERRCNT
REC0 = 0
REC1 = 1
REC2 = 2
REC3 = 3
REC4 = 4
REC5 = 5
REC6 = 6
REC7 = 7

; TXERRCNT
TEC0 = 0
TEC1 = 1
TEC2 = 2
TEC3 = 3
TEC4 = 4
TEC5 = 5
TEC6 = 6
TEC7 = 7

; BRGCON1
BRP0 = 0
BRP1 = 1
BRP2 = 2
BRP3 = 3
BRP4 = 4
BRP5 = 5
SJW0 = 6
SJW1 = 7

; BRGCON2
SAM = 6
SEG2PHTS = 7
PRSEG0 = 0
PRSEG1 = 1
PRSEG2 = 2
SEG1PH0 = 3
SEG1PH1 = 4
SEG1PH2 = 5

; BRGCON3
WAKFIL = 6
WAKDIS = 7
SEG2PH0 = 0
SEG2PH1 = 1
SEG2PH2 = 2

; RXFCON0
RXF0EN = 0
RXF1EN = 1
RXF2EN = 2
RXF3EN = 3
RXF4EN = 4
RXF5EN = 5
RXF6EN = 6
RXF7EN = 7

; RXFCON1
RXF8EN = 0
RXF9EN = 1
RXF10EN = 2
RXF11EN = 3
RXF12EN = 4
RXF13EN = 5
RXF14EN = 6
RXF15EN = 7

; RXF6SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF6SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF6EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF6EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF7SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF7SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF7EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF7EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF8SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF8SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF8EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF8EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF9SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF9SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF9EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF9EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF10SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF10SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF10EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF10EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF11SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF11SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF11EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF11EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF12SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF12SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF12EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF12EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF13SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF13SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF13EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF13EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF14SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF14SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF14EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF14EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF15SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF15SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF15EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF15EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; SDFLC
FLC0 = 0
FLC1 = 1
FLC2 = 2
FLC3 = 3
FLC4 = 4

; RXFBCON0
F0BP_0 = 0
F0BP_1 = 1
F0BP_2 = 2
F0BP_3 = 3
F1BP_0 = 4
F1BP_1 = 5
F1BP_2 = 6
F1BP_3 = 7

; RXFBCON1
F2BP_0 = 0
F2BP_1 = 1
F2BP_2 = 2
F2BP_3 = 3
F3BP_0 = 4
F3BP_1 = 5
F3BP_2 = 6
F3BP_3 = 7

; RXFBCON2
F4BP_0 = 0
F4BP_1 = 1
F4BP_2 = 2
F4BP_3 = 3
F5BP_0 = 4
F5BP_1 = 5
F5BP_2 = 6
F5BP_3 = 7

; RXFBCON3
F6BP_0 = 0
F6BP_1 = 1
F6BP_2 = 2
F6BP_3 = 3
F7BP_0 = 4
F7BP_1 = 5
F7BP_2 = 6
F7BP_3 = 7

; RXFBCON4
F8BP_0 = 0
F8BP_1 = 1
F8BP_2 = 2
F8BP_3 = 3
F9BP_0 = 4
F9BP_1 = 5
F9BP_2 = 6
F9BP_3 = 7

; RXFBCON5
F10BP_0 = 0
F10BP_1 = 1
F10BP_2 = 2
F10BP_3 = 3
F11BP_0 = 4
F11BP_1 = 5
F11BP_2 = 6
F11BP_3 = 7

; RXFBCON6
F12BP_0 = 0
F12BP_1 = 1
F12BP_2 = 2
F12BP_3 = 3
F13BP_0 = 4
F13BP_1 = 5
F13BP_2 = 6
F13BP_3 = 7

; RXFBCON7
F14BP_0 = 0
F14BP_1 = 1
F14BP_2 = 2
F14BP_3 = 3
F15BP_0 = 4
F15BP_1 = 5
F15BP_2 = 6
F15BP_3 = 7

; MSEL0
FIL0_0 = 0
FIL0_1 = 1
FIL1_0 = 2
FIL1_1 = 3
FIL2_0 = 4
FIL2_1 = 5
FIL3_0 = 6
FIL3_1 = 7

; MSEL1
FIL4_0 = 0
FIL4_1 = 1
FIL5_0 = 2
FIL5_1 = 3
FIL6_0 = 4
FIL6_1 = 5
FIL7_0 = 6
FIL7_1 = 7

; MSEL2
FIL8_0 = 0
FIL8_1 = 1
FIL9_0 = 2
FIL9_1 = 3
FIL10_0 = 4
FIL10_1 = 5
FIL11_0 = 6
FIL11_1 = 7

; MSEL3
FIL12_0 = 0
FIL12_1 = 1
FIL13_0 = 2
FIL13_1 = 3
FIL14_0 = 4
FIL14_1 = 5
FIL15_0 = 6
FIL15_1 = 7

; BSEL0
B0TXEN = 2
B1TXEN = 3
B2TXEN = 4
B3TXEN = 5
B4TXEN = 6
B5TXEN = 7

; BIE0
RXB0IE = 0
RXB1IE = 1
B0IE = 2
B1IE = 3
B2IE = 4
B3IE = 5
B4IE = 6
B5IE = 7

; TXBIE
TXB0IE = 2
TXB1IE = 3
TXB2IE = 4

; B0CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RXRTRRO_B0CON = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7

; B0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B0SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; B0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B0DLC
RXRTR_TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B0DLC = 4
RB1_B0DLC = 5
RXRTR = 6
TXRTR = 6

; B0D0
B0D00 = 0
B0D01 = 1
B0D02 = 2
B0D03 = 3
B0D04 = 4
B0D05 = 5
B0D06 = 6
B0D07 = 7

; B0D1
B0D10 = 0
B0D11 = 1
B0D12 = 2
B0D13 = 3
B0D14 = 4
B0D15 = 5
B0D16 = 6
B0D17 = 7

; B0D2
B0D20 = 0
B0D21 = 1
B0D22 = 2
B0D23 = 3
B0D24 = 4
B0D25 = 5
B0D26 = 6
B0D27 = 7

; B0D3
B0D30 = 0
B0D31 = 1
B0D32 = 2
B0D33 = 3
B0D34 = 4
B0D35 = 5
B0D36 = 6
B0D37 = 7

; B0D4
B0D40 = 0
B0D41 = 1
B0D42 = 2
B0D43 = 3
B0D44 = 4
B0D45 = 5
B0D46 = 6
B0D47 = 7

; B0D5
B0D50 = 0
B0D51 = 1
B0D52 = 2
B0D53 = 3
B0D54 = 4
B0D55 = 5
B0D56 = 6
B0D57 = 7

; B0D6
B0D60 = 0
B0D61 = 1
B0D62 = 2
B0D63 = 3
B0D64 = 4
B0D65 = 5
B0D66 = 6
B0D67 = 7

; B0D7
B0D70 = 0
B0D71 = 1
B0D72 = 2
B0D73 = 3
B0D74 = 4
B0D75 = 5
B0D76 = 6
B0D77 = 7

; CANSTAT_RO9
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO9
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; B1CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RXRTRRO_B1CON = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7

; B1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B1SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; B1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B1DLC
RXRTR_TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B1DLC = 4
RB1_B1DLC = 5
RXRTR = 6
TXRTR = 6

; B1D0
B1D00 = 0
B1D01 = 1
B1D02 = 2
B1D03 = 3
B1D04 = 4
B1D05 = 5
B1D06 = 6
B1D07 = 7

; B1D1
B1D10 = 0
B1D11 = 1
B1D12 = 2
B1D13 = 3
B1D14 = 4
B1D15 = 5
B1D16 = 6
B1D17 = 7

; B1D2
B1D20 = 0
B1D21 = 1
B1D22 = 2
B1D23 = 3
B1D24 = 4
B1D25 = 5
B1D26 = 6
B1D27 = 7

; B1D3
B1D30 = 0
B1D31 = 1
B1D32 = 2
B1D33 = 3
B1D34 = 4
B1D35 = 5
B1D36 = 6
B1D37 = 7

; B1D4
B1D40 = 0
B1D41 = 1
B1D42 = 2
B1D43 = 3
B1D44 = 4
B1D45 = 5
B1D46 = 6
B1D47 = 7

; B1D5
B1D50 = 0
B1D51 = 1
B1D52 = 2
B1D53 = 3
B1D54 = 4
B1D55 = 5
B1D56 = 6
B1D57 = 7

; B1D6
B1D60 = 0
B1D61 = 1
B1D62 = 2
B1D63 = 3
B1D64 = 4
B1D65 = 5
B1D66 = 6
B1D67 = 7

; B1D7
B1D70 = 0
B1D71 = 1
B1D72 = 2
B1D73 = 3
B1D74 = 4
B1D75 = 5
B1D76 = 6
B1D77 = 7

; CANSTAT_RO8
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO8
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; B2CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RXRTRRO_B2CON = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7

; B2SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B2SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; B2EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B2EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B2DLC
RXRTR_TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B2DLC = 4
RB1_B2DLC = 5
RXRTR = 6
TXRTR = 6

; B2D0
B2D00 = 0
B2D01 = 1
B2D02 = 2
B2D03 = 3
B2D04 = 4
B2D05 = 5
B2D06 = 6
B2D07 = 7

; B2D1
B2D10 = 0
B2D11 = 1
B2D12 = 2
B2D13 = 3
B2D14 = 4
B2D15 = 5
B2D16 = 6
B2D17 = 7

; B2D2
B2D20 = 0
B2D21 = 1
B2D22 = 2
B2D23 = 3
B2D24 = 4
B2D25 = 5
B2D26 = 6
B2D27 = 7

; B2D3
B2D30 = 0
B2D31 = 1
B2D32 = 2
B2D33 = 3
B2D34 = 4
B2D35 = 5
B2D36 = 6
B2D37 = 7

; B2D4
B2D40 = 0
B2D41 = 1
B2D42 = 2
B2D43 = 3
B2D44 = 4
B2D45 = 5
B2D46 = 6
B2D47 = 7

; B2D5
B2D50 = 0
B2D51 = 1
B2D52 = 2
B2D53 = 3
B2D54 = 4
B2D55 = 5
B2D56 = 6
B2D57 = 7

; B2D6
B2D60 = 0
B2D61 = 1
B2D62 = 2
B2D63 = 3
B2D64 = 4
B2D65 = 5
B2D66 = 6
B2D67 = 7

; B2D7
B2D70 = 0
B2D71 = 1
B2D72 = 2
B2D73 = 3
B2D74 = 4
B2D75 = 5
B2D76 = 6
B2D77 = 7

; CANSTAT_RO7
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO7
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; B3CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RXRTRRO_B3CON = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7

; B3SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B3SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; B3EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B3EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B3DLC
RXRTR_TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B3DLC = 4
RB1_B3DLC = 5
RXRTR = 6
TXRTR = 6

; B3D0
B3D00 = 0
B3D01 = 1
B3D02 = 2
B3D03 = 3
B3D04 = 4
B3D05 = 5
B3D06 = 6
B3D07 = 7

; B3D1
B3D10 = 0
B3D11 = 1
B3D12 = 2
B3D13 = 3
B3D14 = 4
B3D15 = 5
B3D16 = 6
B3D17 = 7

; B3D2
B3D20 = 0
B3D21 = 1
B3D22 = 2
B3D23 = 3
B3D24 = 4
B3D25 = 5
B3D26 = 6
B3D27 = 7

; B3D3
B3D30 = 0
B3D31 = 1
B3D32 = 2
B3D33 = 3
B3D34 = 4
B3D35 = 5
B3D36 = 6
B3D37 = 7

; B3D4
B3D40 = 0
B3D41 = 1
B3D42 = 2
B3D43 = 3
B3D44 = 4
B3D45 = 5
B3D46 = 6
B3D47 = 7

; B3D5
B3D50 = 0
B3D51 = 1
B3D52 = 2
B3D53 = 3
B3D54 = 4
B3D55 = 5
B3D56 = 6
B3D57 = 7

; B3D6
B3D60 = 0
B3D61 = 1
B3D62 = 2
B3D63 = 3
B3D64 = 4
B3D65 = 5
B3D66 = 6
B3D67 = 7

; B3D7
B3D70 = 0
B3D71 = 1
B3D72 = 2
B3D73 = 3
B3D74 = 4
B3D75 = 5
B3D76 = 6
B3D77 = 7

; CANSTAT_RO6
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO6
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; B4CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RXRTRRO_B4CON = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7

; B4SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B4SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; B4EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B4EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B4DLC
RXRTR_TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B4DLC = 4
RB1_B4DLC = 5
RXRTR = 6
TXRTR = 6

; B4D0
B4D00 = 0
B4D01 = 1
B4D02 = 2
B4D03 = 3
B4D04 = 4
B4D05 = 5
B4D06 = 6
B4D07 = 7

; B4D1
B4D10 = 0
B4D11 = 1
B4D12 = 2
B4D13 = 3
B4D14 = 4
B4D15 = 5
B4D16 = 6
B4D17 = 7

; B4D2
B4D20 = 0
B4D21 = 1
B4D22 = 2
B4D23 = 3
B4D24 = 4
B4D25 = 5
B4D26 = 6
B4D27 = 7

; B4D3
B4D30 = 0
B4D31 = 1
B4D32 = 2
B4D33 = 3
B4D34 = 4
B4D35 = 5
B4D36 = 6
B4D37 = 7

; B4D4
B4D40 = 0
B4D41 = 1
B4D42 = 2
B4D43 = 3
B4D44 = 4
B4D45 = 5
B4D46 = 6
B4D47 = 7

; B4D5
B4D50 = 0
B4D51 = 1
B4D52 = 2
B4D53 = 3
B4D54 = 4
B4D55 = 5
B4D56 = 6
B4D57 = 7

; B4D6
B4D60 = 0
B4D61 = 1
B4D62 = 2
B4D63 = 3
B4D64 = 4
B4D65 = 5
B4D66 = 6
B4D67 = 7

; B4D7
B4D70 = 0
B4D71 = 1
B4D72 = 2
B4D73 = 3
B4D74 = 4
B4D75 = 5
B4D76 = 6
B4D77 = 7

; CANSTAT_RO5
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO5
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; B5CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RXRTRRO_B5CON = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7

; B5SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B5SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; B5EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B5EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B5DLC
RXRTR_TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B5DLC = 4
RB1_B5DLC = 5
RXRTR = 6
TXRTR = 6

; B5D0
B5D00 = 0
B5D01 = 1
B5D02 = 2
B5D03 = 3
B5D04 = 4
B5D05 = 5
B5D06 = 6
B5D07 = 7

; B5D1
B5D10 = 0
B5D11 = 1
B5D12 = 2
B5D13 = 3
B5D14 = 4
B5D15 = 5
B5D16 = 6
B5D17 = 7

; B5D2
B5D20 = 0
B5D21 = 1
B5D22 = 2
B5D23 = 3
B5D24 = 4
B5D25 = 5
B5D26 = 6
B5D27 = 7

; B5D3
B5D30 = 0
B5D31 = 1
B5D32 = 2
B5D33 = 3
B5D34 = 4
B5D35 = 5
B5D36 = 6
B5D37 = 7

; B5D4
B5D40 = 0
B5D41 = 1
B5D42 = 2
B5D43 = 3
B5D44 = 4
B5D45 = 5
B5D46 = 6
B5D47 = 7

; B5D5
B5D50 = 0
B5D51 = 1
B5D52 = 2
B5D53 = 3
B5D54 = 4
B5D55 = 5
B5D56 = 6
B5D57 = 7

; B5D6
B5D60 = 0
B5D61 = 1
B5D62 = 2
B5D63 = 3
B5D64 = 4
B5D65 = 5
B5D66 = 6
B5D67 = 7

; B5D7
B5D70 = 0
B5D71 = 1
B5D72 = 2
B5D73 = 3
B5D74 = 4
B5D75 = 5
B5D76 = 6
B5D77 = 7

; CANSTAT_RO4
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO4
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; RXF0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF0SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF1SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF2SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF2SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF2EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF2EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF3SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF3SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF3EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF3EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF4SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF4SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF4EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF4EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF5SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF5SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXF5EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF5EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXM0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXM0SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXM0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXM0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXM1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXM1SIDL
EXIDEN = 3
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXM1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXM1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB2CON
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
TXPRI0 = 0
TXPRI1 = 1

; TXB2SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB2SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; TXB2EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB2EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB2DLC
TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3

; TXB2D0
TXB2D00 = 0
TXB2D01 = 1
TXB2D02 = 2
TXB2D03 = 3
TXB2D04 = 4
TXB2D05 = 5
TXB2D06 = 6
TXB2D07 = 7

; TXB2D1
TXB2D10 = 0
TXB2D11 = 1
TXB2D12 = 2
TXB2D13 = 3
TXB2D14 = 4
TXB2D15 = 5
TXB2D16 = 6
TXB2D17 = 7

; TXB2D2
TXB2D20 = 0
TXB2D21 = 1
TXB2D22 = 2
TXB2D23 = 3
TXB2D24 = 4
TXB2D25 = 5
TXB2D26 = 6
TXB2D27 = 7

; TXB2D3
TXB2D30 = 0
TXB2D31 = 1
TXB2D32 = 2
TXB2D33 = 3
TXB2D34 = 4
TXB2D35 = 5
TXB2D36 = 6
TXB2D37 = 7

; TXB2D4
TXB2D40 = 0
TXB2D41 = 1
TXB2D42 = 2
TXB2D43 = 3
TXB2D44 = 4
TXB2D45 = 5
TXB2D46 = 6
TXB2D47 = 7

; TXB2D5
TXB2D50 = 0
TXB2D51 = 1
TXB2D52 = 2
TXB2D53 = 3
TXB2D54 = 4
TXB2D55 = 5
TXB2D56 = 6
TXB2D57 = 7

; TXB2D6
TXB2D60 = 0
TXB2D61 = 1
TXB2D62 = 2
TXB2D63 = 3
TXB2D64 = 4
TXB2D65 = 5
TXB2D66 = 6
TXB2D67 = 7

; TXB2D7
TXB2D70 = 0
TXB2D71 = 1
TXB2D72 = 2
TXB2D73 = 3
TXB2D74 = 4
TXB2D75 = 5
TXB2D76 = 6
TXB2D77 = 7

; CANSTAT_RO3
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO3
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; TXB1CON
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
TXPRI0 = 0
TXPRI1 = 1

; TXB1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB1SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; TXB1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB1DLC
TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3

; TXB1D0
TXB1D00 = 0
TXB1D01 = 1
TXB1D02 = 2
TXB1D03 = 3
TXB1D04 = 4
TXB1D05 = 5
TXB1D06 = 6
TXB1D07 = 7

; TXB1D1
TXB1D10 = 0
TXB1D11 = 1
TXB1D12 = 2
TXB1D13 = 3
TXB1D14 = 4
TXB1D15 = 5
TXB1D16 = 6
TXB1D17 = 7

; TXB1D2
TXB1D20 = 0
TXB1D21 = 1
TXB1D22 = 2
TXB1D23 = 3
TXB1D24 = 4
TXB1D25 = 5
TXB1D26 = 6
TXB1D27 = 7

; TXB1D3
TXB1D30 = 0
TXB1D31 = 1
TXB1D32 = 2
TXB1D33 = 3
TXB1D34 = 4
TXB1D35 = 5
TXB1D36 = 6
TXB1D37 = 7

; TXB1D4
TXB1D40 = 0
TXB1D41 = 1
TXB1D42 = 2
TXB1D43 = 3
TXB1D44 = 4
TXB1D45 = 5
TXB1D46 = 6
TXB1D47 = 7

; TXB1D5
TXB1D50 = 0
TXB1D51 = 1
TXB1D52 = 2
TXB1D53 = 3
TXB1D54 = 4
TXB1D55 = 5
TXB1D56 = 6
TXB1D57 = 7

; TXB1D6
TXB1D60 = 0
TXB1D61 = 1
TXB1D62 = 2
TXB1D63 = 3
TXB1D64 = 4
TXB1D65 = 5
TXB1D66 = 6
TXB1D67 = 7

; TXB1D7
TXB1D70 = 0
TXB1D71 = 1
TXB1D72 = 2
TXB1D73 = 3
TXB1D74 = 4
TXB1D75 = 5
TXB1D76 = 6
TXB1D77 = 7

; CANSTAT_RO2
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE20 = 1
ICODE21 = 2
ICODE2 = 3

; CANCON_RO2
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; TXB0CON
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
TXPRI0 = 0
TXPRI1 = 1

; TXB0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB0SIDL
EXIDE = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; TXB0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB0DLC
TXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3

; TXB0D0
TXB0D00 = 0
TXB0D01 = 1
TXB0D02 = 2
TXB0D03 = 3
TXB0D04 = 4
TXB0D05 = 5
TXB0D06 = 6
TXB0D07 = 7

; TXB0D1
TXB0D10 = 0
TXB0D11 = 1
TXB0D12 = 2
TXB0D13 = 3
TXB0D14 = 4
TXB0D15 = 5
TXB0D16 = 6
TXB0D17 = 7

; TXB0D2
TXB0D20 = 0
TXB0D21 = 1
TXB0D22 = 2
TXB0D23 = 3
TXB0D24 = 4
TXB0D25 = 5
TXB0D26 = 6
TXB0D27 = 7

; TXB0D3
TXB0D30 = 0
TXB0D31 = 1
TXB0D32 = 2
TXB0D33 = 3
TXB0D34 = 4
TXB0D35 = 5
TXB0D36 = 6
TXB0D37 = 7

; TXB0D4
TXB0D40 = 0
TXB0D41 = 1
TXB0D42 = 2
TXB0D43 = 3
TXB0D44 = 4
TXB0D45 = 5
TXB0D46 = 6
TXB0D47 = 7

; TXB0D5
TXB0D50 = 0
TXB0D51 = 1
TXB0D52 = 2
TXB0D53 = 3
TXB0D54 = 4
TXB0D55 = 5
TXB0D56 = 6
TXB0D57 = 7

; TXB0D6
TXB0D60 = 0
TXB0D61 = 1
TXB0D62 = 2
TXB0D63 = 3
TXB0D64 = 4
TXB0D65 = 5
TXB0D66 = 6
TXB0D67 = 7

; TXB0D7
TXB0D70 = 0
TXB0D71 = 1
TXB0D72 = 2
TXB0D73 = 3
TXB0D74 = 4
TXB0D75 = 5
TXB0D76 = 6
TXB0D77 = 7

; CANSTAT_RO1
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO1
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; RXB1CON
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
RXRTRRO_FILHIT3 = 3
FILHIT4 = 4
RXM0_RTRRO = 5
RXM1 = 6
RXFUL = 7
RXRTRRO_RXB1CON = 3
RXM0 = 5
FILHIT3 = 3
RTRRO = 5

; RXB1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXB1SIDL
EXID = 3
SRR = 4
EDI16 = 0
EDI17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXB1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXB1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXB1DLC
RXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_RXB1DLC = 4
RB1_RXB1DLC = 5

; RXB1D0
RXB1D00 = 0
RXB1D01 = 1
RXB1D02 = 2
RXB1D03 = 3
RXB1D04 = 4
RXB1D05 = 5
RXB1D06 = 6
RXB1D07 = 7

; RXB1D1
RXB1D10 = 0
RXB1D11 = 1
RXB1D12 = 2
RXB1D13 = 3
RXB1D14 = 4
RXB1D15 = 5
RXB1D16 = 6
RXB1D17 = 7

; RXB1D2
RXB1D20 = 0
RXB1D21 = 1
RXB1D22 = 2
RXB1D23 = 3
RXB1D24 = 4
RXB1D25 = 5
RXB1D26 = 6
RXB1D27 = 7

; RXB1D3
RXB1D30 = 0
RXB1D31 = 1
RXB1D32 = 2
RXB1D33 = 3
RXB1D34 = 4
RXB1D35 = 5
RXB1D36 = 6
RXB1D37 = 7

; RXB1D4
RXB1D40 = 0
RXB1D41 = 1
RXB1D42 = 2
RXB1D43 = 3
RXB1D44 = 4
RXB1D45 = 5
RXB1D46 = 6
RXB1D47 = 7

; RXB1D5
RXB1D50 = 0
RXB1D51 = 1
RXB1D52 = 2
RXB1D53 = 3
RXB1D54 = 4
RXB1D55 = 5
RXB1D56 = 6
RXB1D57 = 7

; RXB1D6
RXB1D60 = 0
RXB1D61 = 1
RXB1D62 = 2
RXB1D63 = 3
RXB1D64 = 4
RXB1D65 = 5
RXB1D66 = 6
RXB1D67 = 7

; RXB1D7
RXB1D70 = 0
RXB1D71 = 1
RXB1D72 = 2
RXB1D73 = 3
RXB1D74 = 4
RXB1D75 = 5
RXB1D76 = 6
RXB1D77 = 7

; CANSTAT_RO0
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON_RO0
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; CCP5CON
CCP5M0 = 0
CCP5M1 = 1
CCP5M2 = 2
CCP5M3 = 3
DC5B0 = 4
DC5B1 = 5
CCP5Y = 4
CCP5X = 5

; CCP4CON
CCP4M0 = 0
CCP4M1 = 1
CCP4M2 = 2
CCP4M3 = 3
DC4B0 = 4
DC4B1 = 5
CCP4Y = 4
CCP4X = 5

; CCP3CON
CCP3M0 = 0
CCP3M1 = 1
CCP3M2 = 2
CCP3M3 = 3
DC3B0 = 4
DC3B1 = 5
CCP3Y = 4
CCP3X = 5

; CCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
CCP2Y = 4
CCP2X = 5

; ECCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
CCP2Y = 4
CCP2X = 5

; CTMUICON
IRNG0 = 0
IRNG1 = 1
ITRIM0 = 2
ITRIM1 = 3
ITRIM2 = 4
ITRIM3 = 5
ITRIM4 = 6
ITRIM5 = 7

; CTMUCONL
EDG1STAT = 0
EDG2STAT = 1
EDG1POL = 4
EDG2POL = 7
EDG1SEL0 = 2
EDG1SEL1 = 3
EDG2SEL0 = 5
EDG2SEL1 = 6

; CTMUCONH
CTTRIG = 0
IDISSEN = 1
EDGSEQEN = 2
EDGEN = 3
TGEN = 4
CTMUSIDL = 5
CTMUEN = 7

; PADCFG1
CTMUDS = 0

; PMD2
CMP1MD = 0
CMP2MD = 1
ECANMD = 2

; PMD1
TMR0MD = 0
TMR1MD = 1
TMR2MD = 2
TMR3MD = 3
TMR4MD = 4
ADCMD = 5
CTMUMD = 6
PSPMD = 7

; PMD0
SSPMD = 0
UART1MD = 1
UART2MD = 2
CCP1MD = 3
CCP2MD = 4
CCP3MD = 5
CCP4MD = 6
CCP5MD = 7

; IOCB
IOCB4 = 4
IOCB5 = 5
IOCB6 = 6
IOCB7 = 7

; WPUB
WPUB0 = 0
WPUB1 = 1
WPUB2 = 2
WPUB3 = 3
WPUB4 = 4
WPUB5 = 5
WPUB6 = 6
WPUB7 = 7

; ANCON1
ANSEL8 = 0
ANSEL9 = 1
ANSEL10 = 2

; ANCON0
ANSEL0 = 0
ANSEL1 = 1
ANSEL2 = 2
ANSEL3 = 3
ANSEL4 = 4

; CM2CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM2CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM1CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM1CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; RXB0CON
FILHIT0 = 0
JTOFF_FILHIT1 = 1
RB0DBEN_FILHIT2 = 2
RXRTRRO_FILHIT3 = 3
FILHIT4 = 4
RXM0_RTRRO = 5
RXM1 = 6
RXFUL = 7
JTOFF = 1
RB0DBEN = 2
RXRTRRO_RXB0CON = 3
RTRRO = 5
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
RXM0 = 5

; RXB0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXB0SIDL
EXID = 3
SRR = 4
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXB0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXB0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXB0DLC
RXRTR = 6
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_RXB0DLC = 4
RB1_RXB0DLC = 5

; RXB0D0
RXB0D00 = 0
RXB0D01 = 1
RXB0D02 = 2
RXB0D03 = 3
RXB0D04 = 4
RXB0D05 = 5
RXB0D06 = 6
RXB0D07 = 7

; RXB0D1
RXB0D10 = 0
RXB0D11 = 1
RXB0D12 = 2
RXB0D13 = 3
RXB0D14 = 4
RXB0D15 = 5
RXB0D16 = 6
RXB0D17 = 7

; RXB0D2
RXB0D20 = 0
RXB0D21 = 1
RXB0D22 = 2
RXB0D23 = 3
RXB0D24 = 4
RXB0D25 = 5
RXB0D26 = 6
RXB0D27 = 7

; RXB0D3
RXB0D30 = 0
RXB0D31 = 1
RXB0D32 = 2
RXB0D33 = 3
RXB0D34 = 4
RXB0D35 = 5
RXB0D36 = 6
RXB0D37 = 7

; RXB0D4
RXB0D40 = 0
RXB0D41 = 1
RXB0D42 = 2
RXB0D43 = 3
RXB0D44 = 4
RXB0D45 = 5
RXB0D46 = 6
RXB0D47 = 7

; RXB0D5
RXB0D50 = 0
RXB0D51 = 1
RXB0D52 = 2
RXB0D53 = 3
RXB0D54 = 4
RXB0D55 = 5
RXB0D56 = 6
RXB0D57 = 7

; RXB0D6
RXB0D60 = 0
RXB0D61 = 1
RXB0D62 = 2
RXB0D63 = 3
RXB0D64 = 4
RXB0D65 = 5
RXB0D66 = 6
RXB0D67 = 7

; RXB0D7
RXB0D70 = 0
RXB0D71 = 1
RXB0D72 = 2
RXB0D73 = 3
RXB0D74 = 4
RXB0D75 = 5
RXB0D76 = 6
RXB0D77 = 7

; CANSTAT
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3

; CANCON
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; CIOCON
CLKSEL = 0
CANCAP = 4
ENDRHI = 5
TX2EN = 6
TX2SRC = 7

; COMSTAT
EWARN = 0
RXWARN = 1
TXWARN = 2
RXBP = 3
TXBP = 4
TXBO = 5
RXB1OVFL = 6
RXB0OVFL = 7
NOT_FIFOEMPTY = 7

; ECANCON
FIFOWM = 5
EWIN0 = 0
EWIN1 = 1
EWIN2 = 2
EWIN3 = 3
EWIN4 = 4
MDSEL0 = 6
MDSEL1 = 7

; PIE5
RXB0IE = 0
RXB1IE = 1
TXB0IE = 2
TXB1IE = 3
TXB2IE = 4
ERRIE = 5
WAKIE = 6
IRXIE = 7
FIFOWMIE = 0
RXBNIE = 1
TXBNIE = 4

; PIR5
RXB0IF = 0
RXB1IF = 1
TXB0IF = 2
TXB1IF = 3
TXB2IF = 4
ERRIF = 5
WAKIF = 6
IRXIF = 7
FIFOWMIF = 0
RXBNIF = 1
TXBNIF = 4

; IPR5
RXB0IP = 0
RXB1IP = 1
TXB0IP = 2
TXB1IP = 3
TXB2IP = 4
ERRIP = 5
WAKIP = 6
IRXIP = 7
FIFOWMIP = 0
RXBNIP = 1
TXBNIP = 4

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA5 = 5
RA6 = 6
RA7 = 7

; PORTB
RB0_PORTB = 0
RB1_PORTB = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; PORTE
RE3 = 3

; T4CON
TMR4ON = 2
T4CKPS0 = 0
T4CKPS1 = 1
T4OUTPS0 = 3
T4OUTPS1 = 4
T4OUTPS2 = 5
T4OUTPS3 = 6

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; SLRCON
SLRA = 0
SLRB = 1
SLRC = 2

; ODCON
U1OD = 0
U2OD = 1
CCP1OD = 2
CCP2OD = 3
CCP3OD = 4
CCP4OD = 5
CCP5OD = 6
SSPOD = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7

; CCPTMRS
C1TSEL = 0
C2TSEL = 1
C3TSEL = 2
C4TSEL = 3
C5TSEL = 4

; REFOCON
ROSEL = 4
ROSSLP = 5
ROON = 7
RODIV0 = 0
RODIV1 = 1
RODIV2 = 2
RODIV3 = 3

; OSCTUNE
PLLEN = 6
INTSRC = 7
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5

; PSTR1CON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4
CMPL0 = 6
CMPL1 = 7

; PIE1
TMR1IE = 0
TMR2IE = 1
TMR1GIE = 2
SSPIE = 3
TX1IE = 4
RC1IE = 5
ADIE = 6
TXIE = 4
RCIE = 5

; PIR1
TMR1IF = 0
TMR2IF = 1
TMR1GIF = 2
SSPIF = 3
TX1IF = 4
RC1IF = 5
ADIF = 6
TXIF = 4
RCIF = 5

; IPR1
TMR1IP = 0
TMR2IP = 1
TMR1GIP = 2
SSPIP = 3
TX1IP = 4
RC1IP = 5
ADIP = 6
TXIP = 4
RCIP = 5

; PIE2
TMR3GIE = 0
TMR3IE = 1
HLVDIE = 2
BCLIE = 3
OSCFIE = 7
LVDIE = 2

; PIR2
TMR3GIF = 0
TMR3IF = 1
HLVDIF = 2
BCLIF = 3
OSCFIF = 7
LVDIF = 2

; IPR2
TMR3GIP = 0
TMR3IP = 1
HLVDIP = 2
BCLIP = 3
OSCFIP = 7
LVDIP = 2

; PIE3
CCP1IE = 1
CCP2IE = 2
CTMUIE = 3
TX2IE = 4
RC2IE = 5

; PIR3
CCP1IF = 1
CCP2IF = 2
CTMUIF = 3
TX2IF = 4
RC2IF = 5

; IPR3
CCP1IP = 1
CCP2IP = 2
CTMUIP = 3
TX2IP = 4
RC2IP = 5

; RCSTA2
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RX9D2 = 0
OERR2 = 1
FERR2 = 2
ADDEN2 = 3
CREN2 = 4
SREN2 = 5
RX92 = 6
SPEN2 = 7

; BAUDCON1
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
RCMT = 6

; HLVDCON
HLVDEN = 4
IRVST = 5
BGVST = 6
VDIRMAG = 7
HLVDL0 = 0
HLVDL1 = 1
HLVDL2 = 2
HLVDL3 = 3

; T1GCON
T1GVAL = 2
T1GGO_NOT_T1DONE = 3
T1GSPM = 4
T1GTM = 5
T1GPOL = 6
TMR1GE = 7
T1GSS0 = 0
T1GSS1 = 1
T1GGO = 3
NOT_T1DONE = 3

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
ADEN = 3
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; RCSTA1
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
ADEN = 3
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; TXSTA1
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; T3GCON
T3GVAL = 2
T3GGO_NOT_T3DONE = 3
T3GSPM = 4
T3GTM = 5
T3GPOL = 6
TMR3GE = 7
T3GSS0 = 0
T3GSS1 = 1
T3GGO = 3
NOT_T3DONE = 3

; T3CON
TMR3ON = 0
RD16 = 1
NOT_T3SYNC = 2
SOSCEN = 3
T3CKPS0 = 4
T3CKPS1 = 5
TMR3CS0 = 6
TMR3CS1 = 7

; CMSTAT
CMP1OUT = 6
CMP2OUT = 7

; CMSTATUS
CMP1OUT = 6
CMP2OUT = 7

; CVRCON
CVRSS = 5
CVROE = 6
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3
CVR4 = 4

; PIE4
CCP3IE = 0
CCP4IE = 1
CCP5IE = 2
CMP1IE = 4
CMP2IE = 5
EEIE = 6
TMR4IE = 7

; PIR4
CCP3IF = 0
CCP4IF = 1
CCP5IF = 2
CMP1IF = 4
CMP2IF = 5
EEIF = 6
TMR4IF = 7

; IPR4
CCP3IP = 0
CCP4IP = 1
CCP5IP = 2
CMP1IP = 4
CMP2IP = 5
EEIP = 6
TMR4IP = 7

; BAUDCON2
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
RCMT = 6

; TXSTA2
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TX9D2 = 0
TRMT2 = 1
BRGH2 = 2
SENDB2 = 3
SYNC2 = 4
TXEN2 = 5
TX92 = 6
CSRC2 = 7

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1DEL
P1RSEN = 7
P1DC0 = 0
P1DC1 = 1
P1DC2 = 2
P1DC3 = 3
P1DC4 = 4
P1DC5 = 5
P1DC6 = 6

; PWM1CON
P1RSEN = 7
P1DC0 = 0
P1DC1 = 1
P1DC2 = 2
P1DC3 = 3
P1DC4 = 4
P1DC5 = 5
P1DC6 = 6

; ECCP1AS
ECCP1ASE = 7
PSS1BD0 = 0
PSS1BD1 = 1
PSS1AC0 = 2
PSS1AC1 = 3
ECCP1AS0 = 4
ECCP1AS1 = 5
ECCP1AS2 = 6

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
VNCFG = 3
CHSN0 = 0
CHSN1 = 1
CHSN2 = 2
VCFG0 = 4
VCFG1 = 5
TRIGSEL0 = 6
TRIGSEL1 = 7

; ADCON0
ADON = 0
GO_NOT_DONE = 1
DONE = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
CHS3 = 5
CHS4 = 6
GO = 1
NOT_DONE = 1

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSPADD
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6

; T1CON
TMR1ON = 0
RD16 = 1
NOT_T1SYNC = 2
SOSCEN = 3
T1CKPS0 = 4
T1CKPS1 = 5
TMR1CS0 = 6
TMR1CS1 = 7

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
NOT_CM = 5
SBOREN = 6
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
CM = 5

; WDTCON
SWDTEN = 0
ULPSINK = 1
ULPEN = 2
SRETEN = 4
ULPLVL = 5
REGSLP = 7
SWDTE = 0

; OSCCON2
MFIOSEL = 0
MFIOFS = 1
SOSCGO = 3
SOSCDRV = 4
SOSCRUN = 6
LVDL0 = 0
LVDL1 = 1
LVDL2 = 2
LVDL3 = 3

; OSCCON
HFIOFS = 2
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT3IF = 2
INT1IE = 3
INT2IE = 4
INT3IE = 5
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT3F = 2
INT1E = 3
INT2E = 4
INT3E = 5
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
INT3IP = 1
TMR0IP = 2
INTEDG3 = 3
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
INT3P = 1
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; INTCON1
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
STKOVF = 7

; LIST
