NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
RXF0SIDH         EQU 0x0F00
RXF0SIDLH        EQU 0x0F00
RXF0SIDL         EQU 0x0F01
RXF0EIDH         EQU 0x0F02
RXF0EIDLH        EQU 0x0F02
RXF0EIDL         EQU 0x0F03
RXF1SIDH         EQU 0x0F04
RXF1SIDLH        EQU 0x0F04
RXF1SIDL         EQU 0x0F05
RXF1EIDH         EQU 0x0F06
RXF1EIDLH        EQU 0x0F06
RXF1EIDL         EQU 0x0F07
RXF2SIDH         EQU 0x0F08
RXF2SIDLH        EQU 0x0F08
RXF2SIDL         EQU 0x0F09
RXF2EIDH         EQU 0x0F0A
RXF2EIDLH        EQU 0x0F0A
RXF2EIDL         EQU 0x0F0B
RXF3SIDH         EQU 0x0F0C
RXF3SIDLH        EQU 0x0F0C
RXF3SIDL         EQU 0x0F0D
RXF3EIDH         EQU 0x0F0E
RXF3EIDLH        EQU 0x0F0E
RXF3EIDL         EQU 0x0F0F
RXF4SIDH         EQU 0x0F10
RXF4SIDLH        EQU 0x0F10
RXF4SIDL         EQU 0x0F11
RXF4EIDH         EQU 0x0F12
RXF4EIDLH        EQU 0x0F12
RXF4EIDL         EQU 0x0F13
RXF5SIDH         EQU 0x0F14
RXF5SIDLH        EQU 0x0F14
RXF5SIDL         EQU 0x0F15
RXF5EIDH         EQU 0x0F16
RXF5EIDLH        EQU 0x0F16
RXF5EIDL         EQU 0x0F17
RXM0SIDH         EQU 0x0F18
RXM0SIDLH        EQU 0x0F18
RXM0SIDL         EQU 0x0F19
RXM0EIDH         EQU 0x0F1A
RXM0EIDLH        EQU 0x0F1A
RXM0EIDL         EQU 0x0F1B
RXM1SIDH         EQU 0x0F1C
RXM1SIDLH        EQU 0x0F1C
RXM1SIDL         EQU 0x0F1D
RXM1EIDH         EQU 0x0F1E
RXM1EIDLH        EQU 0x0F1E
RXM1EIDL         EQU 0x0F1F
TXB2CON          EQU 0x0F20
TXB2SIDH         EQU 0x0F21
TXB2SIDLH        EQU 0x0F21
TXB2SIDL         EQU 0x0F22
TXB2EIDH         EQU 0x0F23
TXB2EIDLH        EQU 0x0F23
TXB2EIDL         EQU 0x0F24
TXB2DLC          EQU 0x0F25
TXB2D0           EQU 0x0F26
TXB2D1           EQU 0x0F27
TXB2D2           EQU 0x0F28
TXB2D3           EQU 0x0F29
TXB2D4           EQU 0x0F2A
TXB2D5           EQU 0x0F2B
TXB2D6           EQU 0x0F2C
TXB2D7           EQU 0x0F2D
CANSTATRO4       EQU 0x0F2E
TXB1CON          EQU 0x0F30
TXB1SIDH         EQU 0x0F31
TXB1SIDLH        EQU 0x0F31
TXB1SIDL         EQU 0x0F32
TXB1EIDH         EQU 0x0F33
TXB1EIDLH        EQU 0x0F33
TXB1EIDL         EQU 0x0F34
TXB1DLC          EQU 0x0F35
TXB1D0           EQU 0x0F36
TXB1D1           EQU 0x0F37
TXB1D2           EQU 0x0F38
TXB1D3           EQU 0x0F39
TXB1D4           EQU 0x0F3A
TXB1D5           EQU 0x0F3B
TXB1D6           EQU 0x0F3C
TXB1D7           EQU 0x0F3D
CANSTATRO3       EQU 0x0F3E
TXB0CON          EQU 0x0F40
TXB0SIDH         EQU 0x0F41
TXB0SIDLH        EQU 0x0F41
TXB0SIDL         EQU 0x0F42
TXB0EIDH         EQU 0x0F43
TXB0EIDLH        EQU 0x0F43
TXB0EIDL         EQU 0x0F44
TXB0DLC          EQU 0x0F45
TXB0D0           EQU 0x0F46
TXB0D1           EQU 0x0F47
TXB0D2           EQU 0x0F48
TXB0D3           EQU 0x0F49
TXB0D4           EQU 0x0F4A
TXB0D5           EQU 0x0F4B
TXB0D6           EQU 0x0F4C
TXB0D7           EQU 0x0F4D
CANSTATRO2       EQU 0x0F4E
RXB1CON          EQU 0x0F50
RXB1SIDH         EQU 0x0F51
RXB1SIDLH        EQU 0x0F51
RXB1SIDL         EQU 0x0F52
RXB1EIDH         EQU 0x0F53
RXB1EIDLH        EQU 0x0F53
RXB1EIDL         EQU 0x0F54
RXB1DLC          EQU 0x0F55
RXB1D0           EQU 0x0F56
RXB1D1           EQU 0x0F57
RXB1D2           EQU 0x0F58
RXB1D3           EQU 0x0F59
RXB1D4           EQU 0x0F5A
RXB1D5           EQU 0x0F5B
RXB1D6           EQU 0x0F5C
RXB1D7           EQU 0x0F5D
CANSTATRO1       EQU 0x0F5E
RXB0CON          EQU 0x0F60
RXB0SIDH         EQU 0x0F61
RXB0SIDLH        EQU 0x0F61
RXB0SIDL         EQU 0x0F62
RXB0EIDH         EQU 0x0F63
RXB0EIDLH        EQU 0x0F63
RXB0EIDL         EQU 0x0F64
RXB0DLC          EQU 0x0F65
RXB0D0           EQU 0x0F66
RXB0D1           EQU 0x0F67
RXB0D2           EQU 0x0F68
RXB0D3           EQU 0x0F69
RXB0D4           EQU 0x0F6A
RXB0D5           EQU 0x0F6B
RXB0D6           EQU 0x0F6C
RXB0D7           EQU 0x0F6D
CANSTAT          EQU 0x0F6E
CANCON           EQU 0x0F6F
BRGCON1          EQU 0x0F70
BRGCON2          EQU 0x0F71
BRGCON3          EQU 0x0F72
CIOCON           EQU 0x0F73
COMSTAT          EQU 0x0F74
RXERRCNT         EQU 0x0F75
TXERRCNT         EQU 0x0F76
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
LATD             EQU 0x0F8C
LATE             EQU 0x0F8D
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
DDRC             EQU 0x0F94
TRISC            EQU 0x0F94
DDRD             EQU 0x0F95
TRISD            EQU 0x0F95
DDRE             EQU 0x0F96
TRISE            EQU 0x0F96
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
EEDATA           EQU 0x0FA8
EEADR            EQU 0x0FA9
RCSTA            EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXREG            EQU 0x0FAD
RCREG            EQU 0x0FAE
SPBRG            EQU 0x0FAF
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
CMCON            EQU 0x0FB4
CVRCON           EQU 0x0FB5
ECCPAS           EQU 0x0FB6
ECCP1DEL         EQU 0x0FB7
ECCP1CON         EQU 0x0FBA
ECCPR1           EQU 0x0FBB
ECCPR1L          EQU 0x0FBB
ECCPR1LH         EQU 0x0FBC
ECCPR1H          EQU 0x0FBC
CCP1CON          EQU 0x0FBD
CCPR1            EQU 0x0FBE
CCPR1L           EQU 0x0FBE
CCPR1LH          EQU 0x0FBF
CCPR1H           EQU 0x0FBF
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSPCON2          EQU 0x0FC5
SSPCON1          EQU 0x0FC6
SSPSTAT          EQU 0x0FC7
SSPADD           EQU 0x0FC8
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
LVDCON           EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
INTCON1          EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTD            EQU 0x0F83
PORTE            EQU 0x0F84

; RXF0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF0SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7

; RXF0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF1SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7

; RXF1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF2SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF2SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7

; RXF2EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF2EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF3SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF3SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7

; RXF3EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF3EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF4SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF4SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7

; RXF4EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF4EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF5SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF5SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7

; RXF5EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF5EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXM0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXM0SIDL
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXM0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXM0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXM1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXM1SIDL
EID16 = 0
EID17 = 1
SID0 = 5
SID1 = 6
SID2 = 7

; RXM1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXM1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB2CON
TXPRI0 = 0
TXPRI1 = 1
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6

; TXB2SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB2SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SID0 = 5
SID1 = 6
SID2 = 7

; TXB2EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB2EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB2DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
TXRTR = 6

; TXB2D0
TXB2D00 = 0
TXB2D01 = 1
TXB2D02 = 2
TXB2D03 = 3
TXB2D04 = 4
TXB2D05 = 5
TXB2D06 = 6
TXB2D07 = 7

; TXB2D1
TXB2D10 = 0
TXB2D11 = 1
TXB2D12 = 2
TXB2D13 = 3
TXB2D14 = 4
TXB2D15 = 5
TXB2D16 = 6
TXB2D17 = 7

; TXB2D2
TXB2D20 = 0
TXB2D21 = 1
TXB2D22 = 2
TXB2D23 = 3
TXB2D24 = 4
TXB2D25 = 5
TXB2D26 = 6
TXB2D27 = 7

; TXB2D3
TXB2D30 = 0
TXB2D31 = 1
TXB2D32 = 2
TXB2D33 = 3
TXB2D34 = 4
TXB2D35 = 5
TXB2D36 = 6
TXB2D37 = 7

; TXB2D4
TXB2D40 = 0
TXB2D41 = 1
TXB2D42 = 2
TXB2D43 = 3
TXB2D44 = 4
TXB2D45 = 5
TXB2D46 = 6
TXB2D47 = 7

; TXB2D5
TXB2D50 = 0
TXB2D51 = 1
TXB2D52 = 2
TXB2D53 = 3
TXB2D54 = 4
TXB2D55 = 5
TXB2D56 = 6
TXB2D57 = 7

; TXB2D6
TXB2D60 = 0
TXB2D61 = 1
TXB2D62 = 2
TXB2D63 = 3
TXB2D64 = 4
TXB2D65 = 5
TXB2D66 = 6
TXB2D67 = 7

; TXB2D7
TXB2D70 = 0
TXB2D71 = 1
TXB2D72 = 2
TXB2D73 = 3
TXB2D74 = 4
TXB2D75 = 5
TXB2D76 = 6
TXB2D77 = 7

; CANSTATRO4
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7

; TXB1CON
TXPRI0 = 0
TXPRI1 = 1
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6

; TXB1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB1SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SID0 = 5
SID1 = 6
SID2 = 7

; TXB1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB1DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
TXRTR = 6

; TXB1D0
TXB1D00 = 0
TXB1D01 = 1
TXB1D02 = 2
TXB1D03 = 3
TXB1D04 = 4
TXB1D05 = 5
TXB1D06 = 6
TXB1D07 = 7

; TXB1D1
TXB1D10 = 0
TXB1D11 = 1
TXB1D12 = 2
TXB1D13 = 3
TXB1D14 = 4
TXB1D15 = 5
TXB1D16 = 6
TXB1D17 = 7

; TXB1D2
TXB1D20 = 0
TXB1D21 = 1
TXB1D22 = 2
TXB1D23 = 3
TXB1D24 = 4
TXB1D25 = 5
TXB1D26 = 6
TXB1D27 = 7
TBB1D23 = 3

; TXB1D3
TXB1D30 = 0
TXB1D31 = 1
TXB1D32 = 2
TXB1D33 = 3
TXB1D34 = 4
TXB1D35 = 5
TXB1D36 = 6
TXB1D37 = 7

; TXB1D4
TXB1D40 = 0
TXB1D41 = 1
TXB1D42 = 2
TXB1D43 = 3
TXB1D44 = 4
TXB1D45 = 5
TXB1D46 = 6
TXB1D47 = 7

; TXB1D5
TXB1D50 = 0
TXB1D51 = 1
TXB1D52 = 2
TXB1D53 = 3
TXB1D54 = 4
TXB1D55 = 5
TXB1D56 = 6
TXB1D57 = 7

; TXB1D6
TXB1D60 = 0
TXB1D61 = 1
TXB1D62 = 2
TXB1D63 = 3
TXB1D64 = 4
TXB1D65 = 5
TXB1D66 = 6
TXB1D67 = 7

; TXB1D7
TXB1D70 = 0
TXB1D71 = 1
TXB1D72 = 2
TXB1D73 = 3
TXB1D74 = 4
TXB1D75 = 5
TXB1D76 = 6
TXB1D77 = 7

; CANSTATRO3
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7

; TXB0CON
TXPRI0 = 0
TXPRI1 = 1
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6

; TXB0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB0SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SID0 = 5
SID1 = 6
SID2 = 7

; TXB0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB0DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
TXRTR = 6

; TXB0D0
TXB0D00 = 0
TXB0D01 = 1
TXB0D02 = 2
TXB0D03 = 3
TXB0D04 = 4
TXB0D05 = 5
TXB0D06 = 6
TXB0D07 = 7

; TXB0D1
TXB0D10 = 0
TXB0D11 = 1
TXB0D12 = 2
TXB0D13 = 3
TXB0D14 = 4
TXB0D15 = 5
TXB0D16 = 6
TXB0D17 = 7

; TXB0D2
TXB0D20 = 0
TXB0D21 = 1
TXB0D22 = 2
TXB0D23 = 3
TXB0D24 = 4
TXB0D25 = 5
TXB0D26 = 6
TXB0D27 = 7

; TXB0D3
TXB0D30 = 0
TXB0D31 = 1
TXB0D32 = 2
TXB0D33 = 3
TXB0D34 = 4
TXB0D35 = 5
TXB0D36 = 6
TXB0D37 = 7

; TXB0D4
TXB0D40 = 0
TXB0D41 = 1
TXB0D42 = 2
TXB0D43 = 3
TXB0D44 = 4
TXB0D45 = 5
TXB0D46 = 6
TXB0D47 = 7

; TXB0D5
TXB0D50 = 0
TXB0D51 = 1
TXB0D52 = 2
TXB0D53 = 3
TXB0D54 = 4
TXB0D55 = 5
TXB0D56 = 6
TXB0D57 = 7

; TXB0D6
TXB0D60 = 0
TXB0D61 = 1
TXB0D62 = 2
TXB0D63 = 3
TXB0D64 = 4
TXB0D65 = 5
TXB0D66 = 6
TXB0D67 = 7

; TXB0D7
TXB0D70 = 0
TXB0D71 = 1
TXB0D72 = 2
TXB0D73 = 3
TXB0D74 = 4
TXB0D75 = 5
TXB0D76 = 6
TXB0D77 = 7

; CANSTATRO2
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7

; RXB1CON
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
RXRTRRO = 3
RXM0 = 5
RXM1 = 6
RXFUL = 7

; RXB1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXB1SIDL
EID16 = 0
EID17 = 1
EXID = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7

; RXB1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXB1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXB1DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_RXB1DLC = 4
RB1_RXB1DLC = 5
RXRTR = 6
RESB0 = 4
RESB1 = 5

; RXB1D0
RXB1D00 = 0
RXB1D01 = 1
RXB1D02 = 2
RXB1D03 = 3
RXB1D04 = 4
RXB1D05 = 5
RXB1D06 = 6
RXB1D07 = 7

; RXB1D1
RXB1D10 = 0
RXB1D11 = 1
RXB1D12 = 2
RXB1D13 = 3
RXB1D14 = 4
RXB1D15 = 5
RXB1D16 = 6
RXB1D17 = 7

; RXB1D2
RXB1D20 = 0
RXB1D21 = 1
RXB1D22 = 2
RXB1D23 = 3
RXB1D24 = 4
RXB1D25 = 5
RXB1D26 = 6
RXB1D27 = 7

; RXB1D3
RXB1D30 = 0
RXB1D31 = 1
RXB1D32 = 2
RXB1D33 = 3
RXB1D34 = 4
RXB1D35 = 5
RXB1D36 = 6
RXB1D37 = 7

; RXB1D4
RXB1D40 = 0
RXB1D41 = 1
RXB1D42 = 2
RXB1D43 = 3
RXB1D44 = 4
RXB1D45 = 5
RXB1D46 = 6
RXB1D47 = 7

; RXB1D5
RXB1D50 = 0
RXB1D51 = 1
RXB1D52 = 2
RXB1D53 = 3
RXB1D54 = 4
RXB1D55 = 5
RXB1D56 = 6
RXB1D57 = 7

; RXB1D6
RXB1D60 = 0
RXB1D61 = 1
RXB1D62 = 2
RXB1D63 = 3
RXB1D64 = 4
RXB1D65 = 5
RXB1D66 = 6
RXB1D67 = 7

; RXB1D7
RXB1D70 = 0
RXB1D71 = 1
RXB1D72 = 2
RXB1D73 = 3
RXB1D74 = 4
RXB1D75 = 5
RXB1D76 = 6
RXB1D77 = 7

; CANSTATRO1
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7

; RXB0CON
FILHIT0 = 0
JTOFF = 1
RXB0DBEN = 2
RXRTRRO = 3
RXM0 = 5
RXM1 = 6
RXFUL = 7

; RXB0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXB0SIDL
EID16 = 0
EID17 = 1
EXID = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7

; RXB0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXB0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXB0DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_RXB0DLC = 4
RB1_RXB0DLC = 5
RXRTR = 6
RESB0 = 4
RESB1 = 5

; RXB0D0
RXB0D00 = 0
RXB0D01 = 1
RXB0D02 = 2
RXB0D03 = 3
RXB0D04 = 4
RXB0D05 = 5
RXB0D06 = 6
RXB0D07 = 7
RB0D00 = 0
RB0D01 = 1
RB0D02 = 2
RB0D03 = 3
RB0D04 = 4
RB0D05 = 5
RB0D06 = 6
RB0D07 = 7

; RXB0D1
RXB0D10 = 0
RXB0D11 = 1
RXB0D12 = 2
RXB0D13 = 3
RXB0D14 = 4
RXB0D15 = 5
RXB0D16 = 6
RXB0D17 = 7
RB0D10 = 0
RB0D11 = 1
RB0D12 = 2
RB0D13 = 3
RB0D14 = 4
RB0D15 = 5
RB0D16 = 6
RB0D17 = 7

; RXB0D2
RXB0D20 = 0
RXB0D21 = 1
RXB0D22 = 2
RXB0D23 = 3
RXB0D24 = 4
RXB0D25 = 5
RXB0D26 = 6
RXB0D27 = 7
RB0D20 = 0
RB0D21 = 1
RB0D22 = 2
RB0D23 = 3
RB0D24 = 4
RB0D25 = 5
RB0D26 = 6
RB0D27 = 7

; RXB0D3
RXB0D30 = 0
RXB0D31 = 1
RXB0D32 = 2
RXB0D33 = 3
RXB0D34 = 4
RXB0D35 = 5
RXB0D36 = 6
RXB0D37 = 7
RB0D30 = 0
RB0D31 = 1
RB0D32 = 2
RB0D33 = 3
RB0D34 = 4
RB0D35 = 5
RB0D36 = 6
RB0D37 = 7

; RXB0D4
RXB0D40 = 0
RXB0D41 = 1
RXB0D42 = 2
RXB0D43 = 3
RXB0D44 = 4
RXB0D45 = 5
RXB0D46 = 6
RXB0D47 = 7
RB0D40 = 0
RB0D41 = 1
RB0D42 = 2
RB0D43 = 3
RB0D44 = 4
RB0D45 = 5
RB0D46 = 6
RB0D47 = 7

; RXB0D5
RXB0D50 = 0
RXB0D51 = 1
RXB0D52 = 2
RXB0D53 = 3
RXB0D54 = 4
RXB0D55 = 5
RXB0D56 = 6
RXB0D57 = 7
RB0D50 = 0
RB0D51 = 1
RB0D52 = 2
RB0D53 = 3
RB0D54 = 4
RB0D55 = 5
RB0D56 = 6
RB0D57 = 7

; RXB0D6
RXB0D60 = 0
RXB0D61 = 1
RXB0D62 = 2
RXB0D63 = 3
RXB0D64 = 4
RXB0D65 = 5
RXB0D66 = 6
RXB0D67 = 7
RB0D60 = 0
RB0D61 = 1
RB0D62 = 2
RB0D63 = 3
RB0D64 = 4
RB0D65 = 5
RB0D66 = 6
RB0D67 = 7

; RXB0D7
RXB0D70 = 0
RXB0D71 = 1
RXB0D72 = 2
RXB0D73 = 3
RXB0D74 = 4
RXB0D75 = 5
RXB0D76 = 6
RXB0D77 = 7
RB0D70 = 0
RB0D71 = 1
RB0D72 = 2
RB0D73 = 3
RB0D74 = 4
RB0D75 = 5
RB0D76 = 6
RB0D77 = 7

; CANSTAT
ICODE0 = 1
ICODE1 = 2
ICODE2 = 3
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7

; CANCON
WIN0 = 1
WIN1 = 2
WIN2 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7

; BRGCON1
BRP0 = 0
BRP1 = 1
BRP2 = 2
BRP3 = 3
BRP4 = 4
BRP5 = 5
SJW0 = 6
SJW1 = 7

; BRGCON2
PRSEG0 = 0
PRSEG1 = 1
PRSEG2 = 2
SEG1PH0 = 3
SEG1PH1 = 4
SEG1PH2 = 5
SAM = 6
SEG2PHTS = 7

; BRGCON3
SEG2PH0 = 0
SEG2PH1 = 1
SEG2PH2 = 2
WAKFIL = 6

; CIOCON
CANCAP = 4
ENDRHI = 5

; COMSTAT
EWARN = 0
RXWARN = 1
TXWARN = 2
RXBP = 3
TXBP = 4
TXBO = 5
RXB1OVFL = 6
RXB0OVFL = 7
RX2OVFL = 6
RX1OVFL = 7

; RXERRCNT
REC0 = 0
REC1 = 1
REC2 = 2
REC3 = 3
REC4 = 4
REC5 = 5
REC6 = 6
REC7 = 7

; TXERRCNT
TEC0 = 0
TEC1 = 1
TEC2 = 2
TEC3 = 3
TEC4 = 4
TEC5 = 5
TEC6 = 6
TEC7 = 7

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
AN4 = 5
OSC2 = 6
CVREF = 0
VREFM = 2
VREFP = 3
T0CKI = 4
NOT_SS = 5
CLKO = 6
SS = 5
LVDIN = 5

; PORTB
RB0_PORTB = 0
RB1_PORTB = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
INT0 = 0
INT1 = 1
CANTX = 2
CANRX = 3
PGM = 5
PGC = 6
PGD = 7

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
T1OSO = 0
T1OSI = 1
SCK = 3
SDI = 4
SDO = 5
TX = 6
RX = 7
T1CKI = 0
CCP1 = 2
SCL = 3
SDA = 4
CK = 6
; DT = 7

; PORTD
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7
C1INP = 0
C1INM = 1
C2INP = 2
C2INM = 3
P1A = 4
P1B = 5
P1C = 6
P1D = 7
ECCP1 = 4
PSP0 = 0
PSP1 = 1
PSP2 = 2
PSP3 = 3
PSP4 = 4
PSP5 = 5
PSP6 = 6
PSP7 = 7

; PORTE
RE0 = 0
RE1 = 1
RE2 = 2
AN5 = 0
AN6 = 1
AN7 = 2
NOT_RD = 0
NOT_WR = 1
NOT_CS = 2
RD = 0
WR = 1
CS = 2

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; LATD
LATD0 = 0
LATD1 = 1
LATD2 = 2
LATD3 = 3
LATD4 = 4
LATD5 = 5
LATD6 = 6
LATD7 = 7

; LATE
LATE0 = 0
LATE1 = 1
LATE2 = 2

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0_DDRB = 0
RB1_DDRB = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0_TRISB = 0
RB1_TRISB = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; DDRC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; DDRD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; TRISD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; DDRE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
PSPMODE = 4
IBOV = 5
OBF = 6
IBF = 7
RE0 = 0
RE1 = 1
RE2 = 2
DDRE0 = 0
DDRE1 = 1
DDRE2 = 2

; TRISE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
PSPMODE = 4
IBOV = 5
OBF = 6
IBF = 7
RE0 = 0
RE1 = 1
RE2 = 2
DDRE0 = 0
DDRE1 = 1
DDRE2 = 2

; PIE1
TMR1IE = 0
TMR2IE = 1
CCP1IE = 2
SSPIE = 3
TXIE = 4
RCIE = 5
ADIE = 6
PSPIE = 7

; PIR1
TMR1IF = 0
TMR2IF = 1
CCP1IF = 2
SSPIF = 3
TXIF = 4
RCIF = 5
ADIF = 6
PSPIF = 7

; IPR1
TMR1IP = 0
TMR2IP = 1
CCP1IP = 2
SSPIP = 3
TXIP = 4
RCIP = 5
ADIP = 6
PSPIP = 7

; PIE2
ECCP1IE = 0
TMR3IE = 1
LVDIE = 2
BCLIE = 3
EEIE = 4
CMIE = 6

; PIR2
ECCP1IF = 0
TMR3IF = 1
LVDIF = 2
BCLIF = 3
EEIF = 4
CMIF = 6

; IPR2
ECCP1IP = 0
TMR3IP = 1
LVDIP = 2
BCLIP = 3
EEIP = 4
CMIP = 6

; PIE3
RXB0IE = 0
RXB1IE = 1
TXB0IE = 2
TXB1IE = 3
TXB2IE = 4
ERRIE = 5
WAKIE = 6
IRXIE = 7
RX0IE = 0
RX1IE = 1
TX0IE = 2
TX1IE = 3
TX2IE = 4
IVRE = 7

; PIR3
RXB0IF = 0
RXB1IF = 1
TXB0IF = 2
TXB1IF = 3
TXB2IF = 4
ERRIF = 5
WAKIF = 6
IRXIF = 7
RX0IF = 0
RX1IF = 1
TX0IF = 2
TX1IF = 3
TX2IF = 4
IVRF = 7

; IPR3
RXB0IP = 0
RXB1IP = 1
TXB0IP = 2
TXB1IP = 3
TXB2IP = 4
ERRIP = 5
WAKIP = 6
IRXIP = 7
IVRP = 7

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7
EEFS = 6

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
RC9 = 6
RC8_9 = 6
NOT_RC8 = 6

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6

; T3CON
TMR3ON = 0
TMR3CS = 1
NOT_T3SYNC = 2
T3CCP1 = 3
T3ECCP1 = 6
RD16 = 7
T3INSYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5
T3SYNC = 2

; CMCON
CIS = 3
C1INV = 4
C2INV = 5
C1OUT = 6
C2OUT = 7
CM0 = 0
CM1 = 1
CM2 = 2

; CVRCON
CVRSS = 4
CVRR = 5
CVROE = 6
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3

; ECCPAS
ECCPASE = 7
PSSBD0 = 0
PSSBD1 = 1
PSSAC0 = 2
PSSAC1 = 3
ECCPAS0 = 4
ECCPAS1 = 5
ECCPAS2 = 6

; ECCP1DEL
EPDC0 = 0
EPDC1 = 1
EPDC2 = 2
EPDC3 = 3
EPDC4 = 4
EPDC5 = 5
EPDC6 = 6
EPDC7 = 7

; ECCP1CON
ECCP1M0 = 0
ECCP1M1 = 1
ECCP1M2 = 2
ECCP1M3 = 3
EDC1B0 = 4
EDC1B1 = 5
EPWM1M0 = 6
EPWM1M1 = 7
EDC2B0 = 4
EDC2B1 = 5

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
CCP1Y = 4
CCP1X = 5

; ADCON1
ADCS2 = 6
ADFM = 7
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3

; ADCON0
ADON = 0
GO_NOT_DONE = 2
DONE = 2
CHS0 = 3
CHS1 = 4
CHS2 = 5
ADCS0 = 6
ADCS1 = 7
GO_DONE = 2
GO = 2
NOT_DONE = 2

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DATA = 5
R = 2
D = 5
READ_WRITE = 2
DATA_ADDRESS = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
NOT_W = 2
NOT_A = 5
R_W = 2
D_A = 5
I2C_DAT = 5

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
TOUTPS0 = 3
TOUTPS1 = 4
TOUTPS2 = 5
TOUTPS3 = 6

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
T1OSCEN = 3
RD16 = 7
T1INSYNC = 2
T1CKPS0 = 4
T1CKPS1 = 5
T1SYNC = 2

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
NOT_IPEN = 7

; WDTCON
SWDTEN = 0
SWDTE = 0

; LVDCON
LVDEN = 4
IRVST = 5
LVDL0 = 0
LVDL1 = 1
LVDL2 = 2
LVDL3 = 3
IVRST = 5

; OSCCON
SCS = 0

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT1IE = 3
INT2IE = 4
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT1E = 3
INT2E = 4
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
TMR0IP = 2
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; INTCON1
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
STKPTR0 = 0
STKPTR1 = 1
STKPTR2 = 2
STKPTR3 = 3
STKPTR4 = 4
STKOVF = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4

; LIST
