NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
PADCFG1          EQU 0x0F54
CTMUICON         EQU 0x0F55
CTMUCONL         EQU 0x0F56
CTMUCONLH        EQU 0x0F57
CTMUCONH         EQU 0x0F57
ALRMVALL         EQU 0x0F58
ALRMVALLH        EQU 0x0F59
ALRMVALH         EQU 0x0F59
ALRMRPT          EQU 0x0F5A
ALRMCFG          EQU 0x0F5B
RTCVALL          EQU 0x0F5C
RTCVALLH         EQU 0x0F5D
RTCVALH          EQU 0x0F5D
RTCCAL           EQU 0x0F5E
RTCCFG           EQU 0x0F5F
RCSTA2           EQU 0x0F60
TXSTA2           EQU 0x0F61
TXREG2           EQU 0x0F62
RCREG2           EQU 0x0F63
SPBRG2           EQU 0x0F64
CCP2CON          EQU 0x0F65
ECCP2CON         EQU 0x0F65
CCPR2            EQU 0x0F66
CCPR2L           EQU 0x0F66
CCPR2LH          EQU 0x0F67
CCPR2H           EQU 0x0F67
CCP1CON          EQU 0x0F68
ECCP1CON         EQU 0x0F68
CCPR1            EQU 0x0F69
CCPR1L           EQU 0x0F69
CCPR1LH          EQU 0x0F6A
CCPR1H           EQU 0x0F6A
LCDDATA6         EQU 0x0F6C
LCDDATA7         EQU 0x0F6D
LCDDATA8         EQU 0x0F6E
LCDDATA9         EQU 0x0F6F
LCDDATA10        EQU 0x0F70
LCDDATA12        EQU 0x0F72
LCDDATA13        EQU 0x0F73
LCDDATA14        EQU 0x0F74
LCDDATA15        EQU 0x0F75
LCDDATA16        EQU 0x0F76
LCDDATA18        EQU 0x0F78
LCDDATA19        EQU 0x0F79
LCDDATA20        EQU 0x0F7A
LCDDATA21        EQU 0x0F7B
LCDDATA22        EQU 0x0F7C
BAUDCON          EQU 0x0F7E
BAUDCON1         EQU 0x0F7E
SPBRGH           EQU 0x0F7F
SPBRGH1          EQU 0x0F7F
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
LATD             EQU 0x0F8C
LATE             EQU 0x0F8D
LATF             EQU 0x0F8E
LATG             EQU 0x0F8F
TRISA            EQU 0x0F92
TRISB            EQU 0x0F93
TRISC            EQU 0x0F94
TRISD            EQU 0x0F95
TRISE            EQU 0x0F96
TRISF            EQU 0x0F97
TRISG            EQU 0x0F98
OSCTUNE          EQU 0x0F9B
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
LCDCON           EQU 0x0FA8
LCDSE0           EQU 0x0FA9
LCDPS            EQU 0x0FAA
RCSTA            EQU 0x0FAB
RCSTA1           EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXSTA1           EQU 0x0FAC
TXREG            EQU 0x0FAD
TXREG1           EQU 0x0FAD
RCREG            EQU 0x0FAE
RCREG1           EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRG1           EQU 0x0FAF
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
CMCON            EQU 0x0FB4
CVRCON           EQU 0x0FB5
LCDSE1           EQU 0x0FB6
LCDSE2           EQU 0x0FB7
LCDSE3           EQU 0x0FB8
LCDSE4           EQU 0x0FB9
LCDDATA0         EQU 0x0FBB
LCDDATA1         EQU 0x0FBC
LCDDATA2         EQU 0x0FBD
LCDDATA3         EQU 0x0FBE
LCDDATA4         EQU 0x0FBF
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSP1CON2         EQU 0x0FC5
SSPCON2          EQU 0x0FC5
SSP1CON1         EQU 0x0FC6
SSPCON1          EQU 0x0FC6
SSP1STAT         EQU 0x0FC7
SSPSTAT          EQU 0x0FC7
SSP1ADD          EQU 0x0FC8
SSPADD           EQU 0x0FC8
SSP1BUF          EQU 0x0FC9
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
LCDREG           EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTD            EQU 0x0F83
PORTE            EQU 0x0F84
PORTF            EQU 0x0F85
PORTG            EQU 0x0F86

; PADCFG1
RTSECSEL0 = 1
RTSECSEL1 = 2

; CTMUICON
IRNG0 = 0
IRNG1 = 1
ITRIM0 = 2
ITRIM1 = 3
ITRIM2 = 4
ITRIM3 = 5
ITRIM4 = 6
ITRIM5 = 7

; CTMUCONL
EDG1STAT = 0
EDG2STAT = 1
EDG1SEL0 = 2
EDG1SEL1 = 3
EDG1POL = 4
EDG2SEL0 = 5
EDG2SEL1 = 6
EDG2POL = 7

; CTMUCONH
CTTRIG = 0
IDISSEN = 1
EDGSEQEN = 2
EDGEN = 3
TGEN = 4
CTMUSIDL = 5
CTMUEN = 7

; ALRMRPT
ARPT0 = 0
ARPT1 = 1
ARPT2 = 2
ARPT3 = 3
ARPT4 = 4
ARPT5 = 5
ARPT6 = 6
ARPT7 = 7

; ALRMCFG
CHIME = 6
ALRMEN = 7
ALRMPTR0 = 0
ALRMPTR1 = 1
AMASK0 = 2
AMASK1 = 3
AMASK2 = 4
AMASK3 = 5

; RTCCAL
CAL0 = 0
CAL1 = 1
CAL2 = 2
CAL3 = 3
CAL4 = 4
CAL5 = 5
CAL6 = 6
CAL7 = 7

; RTCCFG
RTCPTR0 = 0
RTCPTR1 = 1
RTCOE = 2
HALFSEC = 3
RTCSYNC = 4
RTCWREN = 5
RTCEN = 7

; RCSTA2
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D2 = 0
OERR2 = 1
FERR2 = 2
ADDEN2 = 3
CREN2 = 4
SREN2 = 5
RX92 = 6
SPEN2 = 7

; TXSTA2
TX9D = 0
TRMT = 1
BRGH = 2
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D2 = 0
TRMT2 = 1
BRGH2 = 2
SENDB2 = 3
SYNC2 = 4
TXEN2 = 5
TX92 = 6
CSRC2 = 7

; CCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
DCCP2Y = 4
DCCP2X = 5

; ECCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
DCCP2Y = 4
DCCP2X = 5

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
DCCP1Y = 4
DCCP1X = 5

; ECCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
DCCP1Y = 4
DCCP1X = 5

; LCDDATA6
S00C1 = 0
S01C1 = 1
S02C1 = 2
S03C1 = 3
S04C1 = 4
S05C1 = 5
S06C1 = 6
S07C1 = 7
SEG0COM1 = 0
SEG1COM1 = 1
SEG2COM1 = 2
SEG3COM1 = 3
SEG4COM1 = 4
SEG5COM1 = 5
SEG6COM1 = 6
SEG7COM1 = 7
S0C1 = 0
S1C1 = 1
S2C1 = 2
S3C1 = 3
S4C1 = 4
S5C1 = 5
S6C1 = 6
S7C1 = 7

; LCDDATA7
S8C1 = 0
S9C1 = 1
S10C1 = 2
S11C1 = 3
S12C1 = 4
S13C1 = 5
S14C1 = 6
S15C1 = 7
SEG8COM1 = 0
SEG9COM1 = 1
SEG10COM1 = 2
SEG11COM1 = 3
SEG12COM1 = 4
SEG13COM1 = 5
SEG14COM1 = 6
SEG15COM1 = 7
S08C1 = 0
S09C1 = 1

; LCDDATA8
S16C1 = 0
S17C1 = 1
S18C1 = 2
S19C1 = 3
S20C1 = 4
S21C1 = 5
S22C1 = 6
S23C1 = 7
SEG16COM1 = 0
SEG17COM1 = 1
SEG18COM1 = 2
SEG19COM1 = 3
SEG20COM1 = 4
SEG21COM1 = 5
SEG22COM1 = 6
SEG23COM1 = 7

; LCDDATA9
S24C1 = 0
S25C1 = 1
S26C1 = 2
S27C1 = 3
S28C1 = 4
S29C1 = 5
S30C1 = 6
S31C1 = 7
SEG24COM1 = 0
SEG25COM1 = 1
SEG26COM1 = 2
SEG27COM1 = 3
SEG28COM1 = 4
SEG29COM1 = 5
SEG30COM1 = 6
SEG31COM1 = 7

; LCDDATA10
S32C1 = 0
SEG32COM1 = 0

; LCDDATA12
S00C2 = 0
S01C2 = 1
S02C2 = 2
S03C2 = 3
S04C2 = 4
S05C2 = 5
S06C2 = 6
S07C2 = 7
SEG0COM2 = 0
SEG1COM2 = 1
SEG2COM2 = 2
SEG3COM2 = 3
SEG4COM2 = 4
SEG5COM2 = 5
SEG6COM2 = 6
SEG7COM2 = 7
S0C2 = 0
S1C2 = 1
S2C2 = 2
S3C2 = 3
S4C2 = 4
S5C2 = 5
S6C2 = 6
S7C2 = 7

; LCDDATA13
S8C2 = 0
S9C2 = 1
S10C2 = 2
S11C2 = 3
S12C2 = 4
S13C2 = 5
S14C2 = 6
S15C2 = 7
SEG8COM2 = 0
SEG9COM2 = 1
SEG10COM2 = 2
SEG11COM2 = 3
SEG12COM2 = 4
SEG13COM2 = 5
SEG14COM2 = 6
SEG15COM2 = 7
S08C2 = 0
S09C2 = 1

; LCDDATA14
S16C2 = 0
S17C2 = 1
S18C2 = 2
S19C2 = 3
S20C2 = 4
S21C2 = 5
S22C2 = 6
S23C2 = 7
SEG16COM2 = 0
SEG17COM2 = 1
SEG18COM2 = 2
SEG19COM2 = 3
SEG20COM2 = 4
SEG21COM2 = 5
SEG22COM2 = 6
SEG23COM2 = 7

; LCDDATA15
S24C2 = 0
S25C2 = 1
S26C2 = 2
S27C2 = 3
S28C2 = 4
S29C2 = 5
S30C2 = 6
S31C2 = 7
SEG24COM2 = 0
SEG25COM2 = 1
SEG26COM2 = 2
SEG27COM2 = 3
SEG28COM2 = 4
SEG29COM2 = 5
SEG30COM2 = 6
SEG31COM2 = 7

; LCDDATA16
S32C2 = 0
SEG32COM2 = 0

; LCDDATA18
S00C3 = 0
S01C3 = 1
S02C3 = 2
S03C3 = 3
S04C3 = 4
S05C3 = 5
S06C3 = 6
S07C3 = 7
SEG00COM3 = 0
SEG01COM3 = 1
SEG02COM3 = 2
SEG03COM3 = 3
SEG04COM3 = 4
SEG05COM3 = 5
SEG06COM3 = 6
SEG07COM3 = 7
S0C3 = 0
S1C3 = 1
S2C3 = 2
S3C3 = 3
S4C3 = 4
S5C3 = 5
S6C3 = 6
S7C3 = 7

; LCDDATA19
S8C3 = 0
S9C3 = 1
S10C3 = 2
S11C3 = 3
S12C3 = 4
S13C3 = 5
S14C3 = 6
S15C3 = 7
SEG8COM3 = 0
SEG9COM3 = 1
SEG10COM3 = 2
SEG11COM3 = 3
SEG12COM3 = 4
SEG13COM3 = 5
SEG14COM3 = 6
SEG15COM3 = 7
S08C3 = 0
S09C3 = 1

; LCDDATA20
S16C3 = 0
S17C3 = 1
S18C3 = 2
S19C3 = 3
S20C3 = 4
S21C3 = 5
S22C3 = 6
S23C3 = 7
SEG16COM3 = 0
SEG17COM3 = 1
SEG18COM3 = 2
SEG19COM3 = 3
SEG20COM3 = 4
SEG21COM3 = 5
SEG22COM3 = 6
SEG23COM3 = 7

; LCDDATA21
S24C3 = 0
S25C3 = 1
S26C3 = 2
S27C3 = 3
S28C3 = 4
S29C3 = 5
S30C3 = 6
S31C3 = 7
SEG24COM3 = 0
SEG25COM3 = 1
SEG26COM3 = 2
SEG27COM3 = 3
SEG28COM3 = 4
SEG29COM3 = 5
SEG30COM3 = 6
SEG31COM3 = 7

; LCDDATA22
S32C3 = 0
SEG32COM3 = 0

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCMT = 6
ABDOVF = 7
RCIDL = 6

; BAUDCON1
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCMT = 6
ABDOVF = 7
RCIDL = 6

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
TOCKI = 4
AN4 = 5
OSC2 = 6
OSC1 = 7
SEG18 = 1
VREFM = 2
VREFP = 3
SEG14 = 4
SEG15 = 5
CLKO = 6
CLKI = 7

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
INT0 = 0
INT1 = 1
INT2 = 2
INT3 = 3
KBI0 = 4
KBI1 = 5
KBI2 = 6
KBI3 = 7
SEG30 = 0
SEG8 = 1
SEG9 = 2
SEG10 = 3
SEG11 = 4
SEG29 = 5
PGC = 6
PGD = 7
CTED1 = 2
CTED2 = 3

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
T1OSO = 0
T1OSI = 1
SCL = 3
SDA = 4
CK1 = 6
DT1 = 7
T13CKI = 0
CCP2_PORTC = 1
CCP1 = 2
SCK = 3
SDI = 4
SDO = 5
TX1 = 6
RX1 = 7
SEG32 = 1
SEG13 = 2
SEG17 = 3
SEG16 = 4
SEG12 = 5
SEG27 = 6
SEG28 = 7

; PORTD
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7
SEG0 = 0
SEG1 = 1
SEG2 = 2
SEG3 = 3
SEG4 = 4
SEG5 = 5
SEG6 = 6
SEG7 = 7
CTPLS = 0

; PORTE
RE0 = 0
RE1 = 1
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7
LCDBIAS1 = 0
LCDBIAS2 = 1
COM0 = 3
COM1 = 4
COM2 = 5
COM3 = 6
CCP2_PORTE = 7
SEG31 = 7

; PORTF
RF1 = 1
RF2 = 2
RF3 = 3
RF4 = 4
RF5 = 5
RF6 = 6
RF7 = 7
AN6 = 1
AN7 = 2
AN8 = 3
AN9 = 4
AN10 = 5
AN11 = 6
AN5 = 7
C2OUT_PORTF = 1
C1OUT_PORTF = 2
C2INB = 3
C2INA = 4
C1INB = 5
C1INA = 6
SS1 = 7
SEG19 = 1
SEG20 = 2
SEG21 = 3
SEG22 = 4
SEG23 = 5
SEG24 = 6
SEG25 = 7
CVREF = 5

; PORTG
RG0 = 0
RG1 = 1
RG2 = 2
RG3 = 3
RG4 = 4
RJPU = 5
REPU = 6
RDPU = 7
LCDBIAS0 = 0
CK2 = 1
DT2 = 2
VLCAP2 = 3
SEG26 = 4
TX2 = 1
RX2 = 2
RTCC = 4
VLCAP1 = 2

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; LATD
LATD0 = 0
LATD1 = 1
LATD2 = 2
LATD3 = 3
LATD4 = 4
LATD5 = 5
LATD6 = 6
LATD7 = 7

; LATE
LATE0 = 0
LATE1 = 1
LATE3 = 3
LATE4 = 4
LATE5 = 5
LATE6 = 6
LATE7 = 7

; LATF
LATF1 = 1
LATF2 = 2
LATF3 = 3
LATF4 = 4
LATF5 = 5
LATF6 = 6
LATF7 = 7

; LATG
LATG0 = 0
LATG1 = 1
LATG2 = 2
LATG3 = 3
LATG4 = 4
U1OD = 6
U2OD = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7

; TRISD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7

; TRISE
TRISE0 = 0
TRISE1 = 1
TRISE3 = 3
TRISE4 = 4
TRISE5 = 5
TRISE6 = 6
TRISE7 = 7

; TRISF
TRISF1 = 1
TRISF2 = 2
TRISF3 = 3
TRISF4 = 4
TRISF5 = 5
TRISF6 = 6
TRISF7 = 7

; TRISG
TRISG0 = 0
TRISG1 = 1
TRISG2 = 2
TRISG3 = 3
TRISG4 = 4
CCP1OD = 5
CCP2OD = 6
SPIOD = 7

; OSCTUNE
PLLEN = 6
INTSRC = 7
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5

; PIE1
TMR1IE = 0
TMR2IE = 1
SSPIE = 3
TX1IE = 4
RC1IE = 5
ADIE = 6
SSP1IE = 3
TXIE = 4
RCIE = 5

; PIR1
TMR1IF = 0
TMR2IF = 1
SSPIF = 3
TX1IF = 4
RC1IF = 5
ADIF = 6
SSP1IF = 3
TXIF = 4
RCIF = 5

; IPR1
TMR1IP = 0
TMR2IP = 1
SSPIP = 3
TX1IP = 4
RC1IP = 5
ADIP = 6
SSP1IP = 3
TXIP = 4
RCIP = 5

; PIE2
TMR3IE = 1
LVDIE = 2
BCLIE = 3
CMIE = 6
OSCFIE = 7
BCL1IE = 3

; PIR2
TMR3IF = 1
LVDIF = 2
BCLIF = 3
CMIF = 6
OSCFIF = 7
BCL1IF = 3

; IPR2
TMR3IP = 1
LVDIP = 2
BCLIP = 3
CMIP = 6
OSCFIP = 7
BCL1IP = 3

; PIE3
RTCCIE = 0
CCP1IE = 1
CCP2IE = 2
CTMUIE = 3
TX2IE = 4
RC2IE = 5
LCDIE = 6

; PIR3
RTCCIF = 0
CCP1IF = 1
CCP2IF = 2
CTMUIF = 3
TX2IF = 4
RC2IF = 5
LCDIF = 6

; IPR3
RTCCIP = 0
CCP1IP = 1
CCP2IP = 2
CTMUIP = 3
TX2IP = 4
RC2IP = 5
LCDIP = 6

; EECON1
WR = 1
WREN = 2
WRERR = 3
FREE = 4
WPROG = 5

; LCDCON
LMUX0 = 0
LMUX1 = 1
CS0 = 2
CS1 = 3
WERR = 5
SLPEN = 6
LCDEN = 7
LCDCS0 = 2
LCDCS1 = 3
LCDWERR = 5
LCDSLPEN = 6

; LCDSE0
SE0 = 0
SE1 = 1
SE2 = 2
SE3 = 3
SE4 = 4
SE5 = 5
SE6 = 6
SE7 = 7
SEGEN0 = 0
SEGEN1 = 1
SEGEN2 = 2
SEGEN3 = 3
SEGEN4 = 4
SEGEN5 = 5
SEGEN6 = 6
SEGEN7 = 7
SE00 = 0
SE01 = 1
SE02 = 2
SE03 = 3
SE04 = 4
SE05 = 5
SE06 = 6
SE07 = 7

; LCDPS
LP0 = 0
LP1 = 1
LP2 = 2
LP3 = 3
WA = 4
LCDA = 5
BIASMD = 6
WFT = 7
LCDPS0 = 0
LCDPS1 = 1
LCDPS2 = 2
LCDPS3 = 3

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
ADEN = 3
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; RCSTA1
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
ADEN = 3
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; TXSTA1
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; T3CON
TMR3ON = 0
TMR3CS = 1
NOT_T3SYNC = 2
T3CCP1 = 3
T3CCP2 = 6
RD16 = 7
T3SYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5
T3RD16 = 7
T3INSYNC = 2

; CMCON
CIS = 3
C1INV = 4
C2INV = 5
C1OUT_CMCON = 6
C2OUT_CMCON = 7
CM0 = 0
CM1 = 1
CM2 = 2

; CVRCON
CVRSS = 4
CVRR = 5
CVROE = 6
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3

; LCDSE1
SE8 = 0
SE9 = 1
SE10 = 2
SE11 = 3
SE12 = 4
SE13 = 5
SE14 = 6
SE15 = 7
SEGEN8 = 0
SEGEN9 = 1
SEGEN10 = 2
SEGEN11 = 3
SEGEN12 = 4
SEGEN13 = 5
SEGEN14 = 6
SEGEN15 = 7
SE08 = 0
SE09 = 1

; LCDSE2
SE16 = 0
SE17 = 1
SE18 = 2
SE19 = 3
SE20 = 4
SE21 = 5
SE22 = 6
SE23 = 7
SEGEN16 = 0
SEGEN17 = 1
SEGEN18 = 2
SEGEN19 = 3
SEGEN20 = 4
SEGEN21 = 5
SEGEN22 = 6
SEGEN23 = 7

; LCDSE3
SE24 = 0
SE25 = 1
SE26 = 2
SE27 = 3
SE28 = 4
SE29 = 5
SE30 = 6
SE31 = 7
SEGEN24 = 0
SEGEN25 = 1
SEGEN26 = 2
SEGEN27 = 3
SEGEN28 = 4
SEGEN29 = 5
SEGEN30 = 6
SEGEN31 = 7

; LCDSE4
SE32 = 0
SEGEN32 = 0

; LCDDATA0
S0C0 = 0
S1C0 = 1
S2C0 = 2
S3C0 = 3
S4C0 = 4
S5C0 = 5
S6C0 = 6
S7C0 = 7
SEG0COM0 = 0
SEG1COM0 = 1
SEG2COM0 = 2
SEG3COM0 = 3
SEG4COM0 = 4
SEG5COM0 = 5
SEG6COM0 = 6
SEG7COM0 = 7
S00C0 = 0
S01C0 = 1
S02C0 = 2
S03C0 = 3
S04C0 = 4
S05C0 = 5
S06C0 = 6
S07C0 = 7

; LCDDATA1
S8C0 = 0
S9C0 = 1
S10C0 = 2
S11C0 = 3
S12C0 = 4
S13C0 = 5
S14C0 = 6
S15C0 = 7
SEG8COM0 = 0
SEG9COM0 = 1
SEG10COM0 = 2
SEG11COM0 = 3
SEG12COM0 = 4
SEG13COM0 = 5
SEG14COM0 = 6
SEG15COM0 = 7
S08C0 = 0
S09C0 = 1

; LCDDATA2
S16C0 = 0
S17C0 = 1
S18C0 = 2
S19C0 = 3
S20C0 = 4
S21C0 = 5
S22C0 = 6
S23C0 = 7
SEG16COM0 = 0
SEG17COM0 = 1
SEG18COM0 = 2
SEG19COM0 = 3
SEG20COM0 = 4
SEG21COM0 = 5
SEG22COM0 = 6
SEG23COM0 = 7

; LCDDATA3
S24C0 = 0
S25C0 = 1
S26C0 = 2
S27C0 = 3
S28C0 = 4
S29C0 = 5
S30C0 = 6
S31C0 = 7
SEG24COM0 = 0
SEG25COM0 = 1
SEG26COM0 = 2
SEG27COM0 = 3
SEG28COM0 = 4
SEG29COM0 = 5
SEG30COM0 = 6
SEG31COM0 = 7

; LCDDATA4
S32C0 = 0
S33C0 = 1
S34C0 = 2
S35C0 = 3
S36C0 = 4
S37C0 = 5
S38C0 = 6
S39C0 = 7
SEG32COM0 = 0
SEG33COM0 = 1
SEG34COM0 = 2
SEG35COM0 = 3
SEG36COM0 = 4
SEG37COM0 = 5
SEG38COM0 = 6
SEG39COM0 = 7

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
TRIGSEL = 7
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3
VCFG0 = 4
VCFG1 = 5

; ADCON0
ADON = 0
GO_NOT_DONE = 1
ADCAL = 7
GO_DONE = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
CHS3 = 5
DONE = 1
GO = 1
NOT_DONE = 1

; SSP1CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP1CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP1STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSP1ADD
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; SSPADD
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
T1OSCEN = 3
T1RUN = 6
RD16 = 7
T1INSYNC = 2
T1CKPS0 = 4
T1CKPS1 = 5
T1RD16 = 7
T1SYNC = 2

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
NOT_CM = 5
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
CM = 5

; WDTCON
SWDTEN = 0
REGSLP = 7
SWDTE = 0

; LCDREG
MODE13 = 2
CPEN = 6
CKSEL0 = 0
CKSEL1 = 1
BIAS0 = 3
BIAS1 = 4
BIAS2 = 5

; OSCCON
IOFS = 2
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT3IF = 2
INT1IE = 3
INT2IE = 4
INT3IE = 5
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT3F = 2
INT1E = 3
INT2E = 4
INT3E = 5
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
INT3IP = 1
TMR0IP = 2
INTEDG3 = 3
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
INT3P = 1
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
STKOVF = 7
STKPTR0 = 0
STKPTR1 = 1
STKPTR2 = 2
STKPTR3 = 3
STKPTR4 = 4

; LIST
