NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
LCDCON           EQU 0x0EF4
LCDPS            EQU 0x0EF5
LCDSE0           EQU 0x0EF6
LCDSE1           EQU 0x0EF7
LCDSE2           EQU 0x0EF8
LCDSE3           EQU 0x0EF9
LCDSE4           EQU 0x0EFA
LCDSE5           EQU 0x0EFB
LCDRL            EQU 0x0EFC
LCDREF           EQU 0x0EFD
SSP2CON2         EQU 0x0EFE
SSP2CON1         EQU 0x0EFF
SSP2STAT         EQU 0x0F00
SSP2ADD          EQU 0x0F01
SSP2BUF          EQU 0x0F02
T4CON            EQU 0x0F03
PR4              EQU 0x0F04
TMR4             EQU 0x0F05
CCP7CON          EQU 0x0F06
CCPR7            EQU 0x0F07
CCPR7L           EQU 0x0F07
CCPR7LH          EQU 0x0F08
CCPR7H           EQU 0x0F08
CCP6CON          EQU 0x0F09
CCPR6            EQU 0x0F0A
CCPR6L           EQU 0x0F0A
CCPR6LH          EQU 0x0F0B
CCPR6H           EQU 0x0F0B
CCP5CON          EQU 0x0F0C
CCPR5            EQU 0x0F0D
CCPR5L           EQU 0x0F0D
CCPR5LH          EQU 0x0F0E
CCPR5H           EQU 0x0F0E
CCP4CON          EQU 0x0F0F
CCPR4            EQU 0x0F10
CCPR4L           EQU 0x0F10
CCPR4LH          EQU 0x0F11
CCPR4H           EQU 0x0F11
T5GCON           EQU 0x0F12
T5CON            EQU 0x0F13
TMR5             EQU 0x0F14
TMR5L            EQU 0x0F14
TMR5LH           EQU 0x0F15
TMR5H            EQU 0x0F15
PMD3             EQU 0x0F16
PMD2             EQU 0x0F17
PMD1             EQU 0x0F18
PMD0             EQU 0x0F19
PSTR3CON         EQU 0x0F1A
PSTR2CON         EQU 0x0F1B
TXREG2           EQU 0x0F1C
RCREG2           EQU 0x0F1D
SPBRG2           EQU 0x0F1E
SPBRGH2          EQU 0x0F1F
BAUDCON2         EQU 0x0F20
TXSTA2           EQU 0x0F21
RCSTA2           EQU 0x0F22
ANCON2           EQU 0x0F23
ANCON1           EQU 0x0F24
ANCON0           EQU 0x0F25
ODCON3           EQU 0x0F27
ODCON2           EQU 0x0F28
ODCON1           EQU 0x0F29
REFOCON          EQU 0x0F2A
CCPTMRS2         EQU 0x0F2B
CCPTMRS1         EQU 0x0F2C
CCPTMRS0         EQU 0x0F2D
CM3CON           EQU 0x0F2E
CM3CON1          EQU 0x0F2E
CM2CON           EQU 0x0F2F
CM2CON1          EQU 0x0F2F
T12CON           EQU 0x0F30
PR12             EQU 0x0F31
TMR12            EQU 0x0F32
T10CON           EQU 0x0F33
PR10             EQU 0x0F34
TMR10            EQU 0x0F35
T8CON            EQU 0x0F36
PR8              EQU 0x0F37
TMR8             EQU 0x0F38
T6CON            EQU 0x0F39
PR6              EQU 0x0F3A
TMR6             EQU 0x0F3B
T7GCON           EQU 0x0F3C
T7CON            EQU 0x0F3D
TMR7             EQU 0x0F3E
TMR7L            EQU 0x0F3E
TMR7LH           EQU 0x0F3F
TMR7H            EQU 0x0F3F
CCP10CON         EQU 0x0F40
CCPR10           EQU 0x0F41
CCPR10L          EQU 0x0F41
CCPR10LH         EQU 0x0F42
CCPR10H          EQU 0x0F42
CCP9CON          EQU 0x0F43
CCPR9            EQU 0x0F44
CCPR9L           EQU 0x0F44
CCPR9LH          EQU 0x0F45
CCPR9H           EQU 0x0F45
CCP8CON          EQU 0x0F46
CCPR8            EQU 0x0F47
CCPR8L           EQU 0x0F47
CCPR8LH          EQU 0x0F48
CCPR8H           EQU 0x0F48
CCP3CON          EQU 0x0F49
CCPR3            EQU 0x0F4A
CCPR3L           EQU 0x0F4A
CCPR3LH          EQU 0x0F4B
CCPR3H           EQU 0x0F4B
ECCP3DEL         EQU 0x0F4C
PWM3CON          EQU 0x0F4C
ECCP3AS          EQU 0x0F4D
CCP2CON          EQU 0x0F4E
ECCP2CON         EQU 0x0F4E
CCPR2            EQU 0x0F4F
CCPR2L           EQU 0x0F4F
CCPR2LH          EQU 0x0F50
CCPR2H           EQU 0x0F50
ECCP2DEL         EQU 0x0F51
PWM2CON          EQU 0x0F51
ECCP2AS          EQU 0x0F52
PADCFG1          EQU 0x0F53
CM1CON           EQU 0x0F54
CM1CON1          EQU 0x0F54
CTMUICON         EQU 0x0F55
CTMUCONL         EQU 0x0F56
CTMUCONLH        EQU 0x0F57
CTMUCONH         EQU 0x0F57
ALRMVAL          EQU 0x0F58
ALRMVALL         EQU 0x0F58
ALRMVALLH        EQU 0x0F59
ALRMVALH         EQU 0x0F59
ALRMRPT          EQU 0x0F5A
ALRMCFG          EQU 0x0F5B
RTCVAL           EQU 0x0F5C
RTCVALL          EQU 0x0F5C
RTCVALLH         EQU 0x0F5D
RTCVALH          EQU 0x0F5D
RTCCAL           EQU 0x0F5E
RTCCFG           EQU 0x0F5F
PIE6             EQU 0x0F60
EEDATA           EQU 0x0F61
EEADR            EQU 0x0F62
EEADRH           EQU 0x0F63
OSCCON2          EQU 0x0F64
BAUDCON          EQU 0x0F65
BAUDCON1         EQU 0x0F65
BAUDCTL          EQU 0x0F65
LCDDATA0         EQU 0x0F66
LCDDATA1         EQU 0x0F67
LCDDATA2         EQU 0x0F68
LCDDATA3         EQU 0x0F69
LCDDATA4         EQU 0x0F6A
LCDDATA5         EQU 0x0F6B
LCDDATA6         EQU 0x0F6C
LCDDATA7         EQU 0x0F6D
LCDDATA8         EQU 0x0F6E
LCDDATA9         EQU 0x0F6F
LCDDATA10        EQU 0x0F70
LCDDATA11        EQU 0x0F71
LCDDATA12        EQU 0x0F72
LCDDATA13        EQU 0x0F73
LCDDATA14        EQU 0x0F74
LCDDATA15        EQU 0x0F75
LCDDATA16        EQU 0x0F76
LCDDATA17        EQU 0x0F77
LCDDATA18        EQU 0x0F78
LCDDATA19        EQU 0x0F79
LCDDATA20        EQU 0x0F7A
LCDDATA21        EQU 0x0F7B
LCDDATA22        EQU 0x0F7C
LCDDATA23        EQU 0x0F7D
EECON2           EQU 0x0F7E
EECON1           EQU 0x0F7F
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
LATD             EQU 0x0F8C
LATE             EQU 0x0F8D
LATF             EQU 0x0F8E
LATG             EQU 0x0F8F
LATH             EQU 0x0F90
LATJ             EQU 0x0F91
TRISA            EQU 0x0F92
TRISB            EQU 0x0F93
TRISC            EQU 0x0F94
TRISD            EQU 0x0F95
TRISE            EQU 0x0F96
TRISF            EQU 0x0F97
TRISG            EQU 0x0F98
TRISH            EQU 0x0F99
TRISJ            EQU 0x0F9A
OSCTUNE          EQU 0x0F9B
PSTR1CON         EQU 0x0F9C
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
PIR6             EQU 0x0FA6
HLVDCON          EQU 0x0FA8
IPR6             EQU 0x0FA9
T1GCON           EQU 0x0FAA
RCSTA            EQU 0x0FAB
RCSTA1           EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXSTA1           EQU 0x0FAC
TXREG            EQU 0x0FAD
TXREG1           EQU 0x0FAD
RCREG            EQU 0x0FAE
RCREG1           EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRG1           EQU 0x0FAF
T3GCON           EQU 0x0FB0
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
CMSTAT           EQU 0x0FB4
CMSTATUS         EQU 0x0FB4
CVRCON           EQU 0x0FB5
PIE4             EQU 0x0FB6
PIR4             EQU 0x0FB7
IPR4             EQU 0x0FB8
PIE5             EQU 0x0FB9
PIR5             EQU 0x0FBA
CCP1CON          EQU 0x0FBB
ECCP1CON         EQU 0x0FBB
CCPR1            EQU 0x0FBC
CCPR1L           EQU 0x0FBC
CCPR1LH          EQU 0x0FBD
CCPR1H           EQU 0x0FBD
ECCP1DEL         EQU 0x0FBE
PWM1CON          EQU 0x0FBE
ECCP1AS          EQU 0x0FBF
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSP1CON2         EQU 0x0FC5
SSPCON2          EQU 0x0FC5
SSP1CON1         EQU 0x0FC6
SSPCON1          EQU 0x0FC6
SSP1STAT         EQU 0x0FC7
SSPSTAT          EQU 0x0FC7
SSP1ADD          EQU 0x0FC8
SSPADD           EQU 0x0FC8
SSP1BUF          EQU 0x0FC9
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
IPR5             EQU 0x0FD2
OSCCON           EQU 0x0FD3
SPBRGH1          EQU 0x0FD4
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTD            EQU 0x0F83
PORTE            EQU 0x0F84
PORTF            EQU 0x0F85
PORTG            EQU 0x0F86
PORTH            EQU 0x0F87
PORTJ            EQU 0x0F88

; LCDCON
WERR = 5
SLPEN = 6
LCDEN = 7
LMUX0 = 0
LMUX1 = 1
CS0 = 2
CS1 = 3

; LCDPS
WA = 4
LCDA = 5
BIASMD = 6
WFT = 7
LP0 = 0
LP1 = 1
LP2 = 2
LP3 = 3

; LCDSE0
SE00 = 0
SE01 = 1
SE02 = 2
SE03 = 3
SE04 = 4
SE05 = 5
SE06 = 6
SE07 = 7

; LCDSE1
SE08 = 0
SE09 = 1
SE10 = 2
SE11 = 3
SE12 = 4
SE13 = 5
SE14 = 6
SE15 = 7

; LCDSE2
SE16 = 0
SE17 = 1
SE18 = 2
SE19 = 3
SE20 = 4
SE21 = 5
SE22 = 6
SE23 = 7

; LCDSE3
SE24 = 0
SE25 = 1
SE26 = 2
SE27 = 3
SE28 = 4
SE29 = 5
SE30 = 6
SE31 = 7

; LCDSE4
SE32 = 0
SE33 = 1
SE34 = 2
SE35 = 3
SE36 = 4
SE37 = 5
SE38 = 6
SE39 = 7

; LCDSE5
SE40 = 0
SE41 = 1
SE42 = 2
SE43 = 3
SE44 = 4
SE45 = 5
SE46 = 6
SE47 = 7

; LCDRL
LCDIRI = 3
LRLAT0 = 0
LRLAT1 = 1
LRLAT2 = 2
LRLBP0 = 4
LRLBP1 = 5
LRLAP0 = 6
LRLAP1 = 7

; LCDREF
VLCD1PE = 0
VLCD2PE = 1
VLCD3PE = 2
LCDIRS = 6
LCDIRE = 7
LCDCST0 = 3
LCDCST1 = 4
LCDCST2 = 5

; SSP2CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP2CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP2STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSP2ADD
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; T4CON
T4CKPS0 = 0
T4CKPS1 = 1
TMR4ON = 2
T4OUTPS0 = 3
T4OUTPS1 = 4
T4OUTPS2 = 5
T4OUTPS3 = 6

; CCP7CON
CCP7M0 = 0
CCP7M1 = 1
CCP7M2 = 2
CCP7M3 = 3
DC7B0 = 4
DC7B1 = 5
CCP7Y = 4
CCP7X = 5

; CCP6CON
CCP6M0 = 0
CCP6M1 = 1
CCP6M2 = 2
CCP6M3 = 3
DC6B0 = 4
DC6B1 = 5
CCP6Y = 4
CCP6X = 5

; CCP5CON
CCP5M0 = 0
CCP5M1 = 1
CCP5M2 = 2
CCP5M3 = 3
DC5B0 = 4
DC5B1 = 5
CCP5Y = 4
CCP5X = 5

; CCP4CON
CCP4M0 = 0
CCP4M1 = 1
CCP4M2 = 2
CCP4M3 = 3
DC4B0 = 4
DC4B1 = 5
CCP4Y = 4
CCP4X = 5

; T5GCON
T5GVAL = 2
T5GGO_NOT_T5DONE = 3
T5GSPM = 4
T5GTM = 5
T5GPOL = 6
TMR5GE = 7
T5GSS0 = 0
T5GSS1 = 1
T5GGO = 3
NOT_T5DONE = 3

; T5CON
TMR5ON = 0
RD16 = 1
NOT_T5SYNC = 2
SOSCEN = 3
T5CKPS0 = 4
T5CKPS1 = 5
TMR5CS0 = 6
TMR5CS1 = 7

; PMD3
TMR12MD = 0
CCP4MD = 1
CCP5MD = 2
CCP6MD = 3
CCP7MD = 4
CCP8MD = 5
CCP9MD = 6
CCP10MD = 7

; PMD2
CMP1MD = 0
CMP2MD = 1
CMP3MD = 2
TMR5MD = 3
TMR6MD = 4
TMR7MD = 5
TMR8MD = 6
TMR10MD = 7

; PMD1
TMR1MD = 1
TMR2MD = 2
TMR3MD = 3
TMR4MD = 4
RTCCMD = 5
CTMUMD = 6

; PMD0
ADCMD = 0
SSP1MD = 1
SSP2MD = 2
UART1MD = 3
UART2MD = 4
CCP1MD = 5
CCP2MD = 6
CCP3MD = 7

; PSTR3CON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4
CMPL0 = 6
CMPL1 = 7

; PSTR2CON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4
CMPL0 = 6
CMPL1 = 7

; BAUDCON2
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7

; TXSTA2
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TX9D2 = 0
TRMT2 = 1
BRGH2 = 2
SENDB2 = 3
SYNC2 = 4
TXEN2 = 5
TX92 = 6
CSRC2 = 7

; RCSTA2
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RX9D2 = 0
OERR2 = 1
FERR2 = 2
ADDEN2 = 3
CREN2 = 4
SREN2 = 5
RX92 = 6
SPEN2 = 7

; ANCON2
ANSEL16 = 0
ANSEL17 = 1
ANSEL18 = 2
ANSEL19 = 3
ANSEL20 = 4
ANSEL21 = 5
ANSEL22 = 6
ANSEL23 = 7

; ANCON1
ANSEL8 = 0
ANSEL9 = 1
ANSEL10 = 2
ANSEL11 = 3
ANSEL12 = 4
ANSEL13 = 5
ANSEL14 = 6
ANSEL15 = 7

; ANCON0
ANSEL0 = 0
ANSEL1 = 1
ANSEL2 = 2
ANSEL3 = 3
ANSEL4 = 4
ANSEL5 = 5
ANSEL6 = 6
ANSEL7 = 7

; ODCON3
CTMUDS = 0
U1OD = 6
U2OD = 7

; ODCON2
CCP3OD = 0
CCP4OD = 1
CCP5OD = 2
CCP6OD = 3
CCP7OD = 4
CCP8OD = 5
CCP9OD = 6
CCP10OD = 7

; ODCON1
SPI2OD = 0
CCP1OD = 5
CCP2OD = 6
SPI1OD = 7

; REFOCON
ROSEL = 4
ROSSLP = 5
ROON = 7
RODIV0 = 0
RODIV1 = 1
RODIV2 = 2
RODIV3 = 3

; CCPTMRS2
C9TSEL0 = 2
C10TSEL0 = 4
C8TSEL0 = 0
C8TSEL1 = 1

; CCPTMRS1
C5TSEL0 = 2
C6TSEL0 = 4
C4TSEL0 = 0
C4TSEL1 = 1
C7TSEL0 = 6
C7TSEL1 = 7

; CCPTMRS0
C1TSEL0 = 0
C1TSEL1 = 1
C1TSEL2 = 2
C2TSEL0 = 3
C2TSEL1 = 4
C2TSEL2 = 5
C3TSEL0 = 6
C3TSEL1 = 7

; CM3CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM3CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM2CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM2CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; T12CON
TMR12ON = 2
T12CKPS0 = 0
T12CKPS1 = 1
T12OUTPS0 = 3
T12OUTPS1 = 4
T12OUTPS2 = 5
T12OUTPS3 = 6

; T10CON
TMR10ON = 2
T10CKPS0 = 0
T10CKPS1 = 1
T10OUTPS0 = 3
T10OUTPS1 = 4
T10OUTPS2 = 5
T10OUTPS3 = 6

; T8CON
TMR8ON = 2
T8CKPS0 = 0
T8CKPS1 = 1
T8OUTPS0 = 3
T8OUTPS1 = 4
T8OUTPS2 = 5
T8OUTPS3 = 6

; T6CON
TMR6ON = 2
T6CKPS0 = 0
T6CKPS1 = 1
T6OUTPS0 = 3
T6OUTPS1 = 4
T6OUTPS2 = 5
T6OUTPS3 = 6

; T7GCON
T7GVAL = 2
T7GGO_NOT_T7DONE = 3
T7GSPM = 4
T7GTM = 5
T7GPOL = 6
TMR7GE = 7
T7GSS0 = 0
T7GSS1 = 1
T7GGO = 3
NOT_T7DONE = 3

; T7CON
TMR7ON = 0
RD16 = 1
NOT_T7SYNC = 2
SOSCEN = 3
T7CKPS0 = 4
T7CKPS1 = 5
TMR7CS0 = 6
TMR7CS1 = 7

; CCP10CON
CCP10M0 = 0
CCP10M1 = 1
CCP10M2 = 2
CCP10M3 = 3
DC10B0 = 4
DC10B1 = 5
CCP10Y = 4
CCP10X = 5

; CCP9CON
CCP9M0 = 0
CCP9M1 = 1
CCP9M2 = 2
CCP9M3 = 3
DC9B0 = 4
DC9B1 = 5
CCP9Y = 4
CCP9X = 5

; CCP8CON
CCP8M0 = 0
CCP8M1 = 1
CCP8M2 = 2
CCP8M3 = 3
DC8B0 = 4
DC8B1 = 5
CCP8Y = 4
CCP8X = 5

; CCP3CON
CCP3M0 = 0
CCP3M1 = 1
CCP3M2 = 2
CCP3M3 = 3
DC3B0 = 4
DC3B1 = 5
P3M0 = 6
P3M1 = 7
CCP3Y = 4
CCP3X = 5

; ECCP3DEL
P3RSEN = 7
P3DC0 = 0
P3DC1 = 1
P3DC2 = 2
P3DC3 = 3
P3DC4 = 4
P3DC5 = 5
P3DC6 = 6

; PWM3CON
P3RSEN = 7
P3DC0 = 0
P3DC1 = 1
P3DC2 = 2
P3DC3 = 3
P3DC4 = 4
P3DC5 = 5
P3DC6 = 6

; ECCP3AS
ECCP3ASE = 7
PSS3BD0 = 0
PSS3BD1 = 1
PSS3AC0 = 2
PSS3AC1 = 3
ECCP3AS0 = 4
ECCP3AS1 = 5
ECCP3AS2 = 6

; CCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
P2M0 = 6
P2M1 = 7
CCP2Y = 4
CCP2X = 5

; ECCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
P2M0 = 6
P2M1 = 7
CCP2Y = 4
CCP2X = 5

; ECCP2DEL
P2RSEN = 7
P2DC0 = 0
P2DC1 = 1
P2DC2 = 2
P2DC3 = 3
P2DC4 = 4
P2DC5 = 5
P2DC6 = 6

; PWM2CON
P2RSEN = 7
P2DC0 = 0
P2DC1 = 1
P2DC2 = 2
P2DC3 = 3
P2DC4 = 4
P2DC5 = 5
P2DC6 = 6

; ECCP2AS
ECCP2ASE = 7
PSS2BD0 = 0
PSS2BD1 = 1
PSS2AC0 = 2
PSS2AC1 = 3
ECCP2AS0 = 4
ECCP2AS1 = 5
ECCP2AS2 = 6

; PADCFG1
RJPU = 5
REPU = 6
RDPU = 7
RTSECSEL0 = 1
RTSECSEL1 = 2

; CM1CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM1CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CTMUICON
IRNG0 = 0
IRNG1 = 1
ITRIM0 = 2
ITRIM1 = 3
ITRIM2 = 4
ITRIM3 = 5
ITRIM4 = 6
ITRIM5 = 7

; CTMUCONL
EDG1STAT = 0
EDG2STAT = 1
EDG1POL = 4
EDG2POL = 7
EDG1SEL0 = 2
EDG1SEL1 = 3
EDG2SEL0 = 5
EDG2SEL1 = 6

; CTMUCONH
CTTRIG = 0
IDISSEN = 1
EDGSEQEN = 2
EDGEN = 3
TGEN = 4
CTMUSIDL = 5
CTMUEN = 7

; ALRMRPT
ARPT0 = 0
ARPT1 = 1
ARPT2 = 2
ARPT3 = 3
ARPT4 = 4
ARPT5 = 5
ARPT6 = 6
ARPT7 = 7

; ALRMCFG
CHIME = 6
ALRMEN = 7
ALRMPTR0 = 0
ALRMPTR1 = 1
AMASK0 = 2
AMASK1 = 3
AMASK2 = 4
AMASK3 = 5

; RTCVALH
WAITE0 = 0
WAITE1 = 1
WAITM0 = 2
WAITM1 = 3
WAITM2 = 4
WAITM3 = 5
WAITB0 = 6
WAITB1 = 7

; RTCCAL
CAL0 = 0
CAL1 = 1
CAL2 = 2
CAL3 = 3
CAL4 = 4
CAL5 = 5
CAL6 = 6
CAL7 = 7

; RTCCFG
RTCOE = 2
HALFSEC = 3
RTCSYNC = 4
RTCWREN = 5
RTCEN = 7
RTCPTR0 = 0
RTCPTR1 = 1

; PIE6
CMP1IE = 0
CMP2IE = 1
CMP3IE = 2
EEIE = 4

; OSCCON2
MFIOSEL = 0
MFIOFS = 1
SOSCGO = 3
SOSCRUN = 6

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7

; BAUDCON1
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7

; BAUDCTL
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7

; LCDDATA0
S00C0 = 0
S01C0 = 1
S02C0 = 2
S03C0 = 3
S04C0 = 4
S05C0 = 5
S06C0 = 6
S07C0 = 7

; LCDDATA1
S08C0 = 0
S09C0 = 1
S10C0 = 2
S11C0 = 3
S12C0 = 4
S13C0 = 5
S14C0 = 6
S15C0 = 7

; LCDDATA2
S16C0 = 0
S17C0 = 1
S18C0 = 2
S19C0 = 3
S20C0 = 4
S21C0 = 5
S22C0 = 6
S23C0 = 7

; LCDDATA3
S24C0 = 0
S25C0 = 1
S26C0 = 2
S27C0 = 3
S28C0 = 4
S29C0 = 5
S30C0 = 6
S31C0 = 7

; LCDDATA4
S32C0 = 0
S33C0 = 1
S34C0 = 2
S35C0 = 3
S36C0 = 4
S37C0 = 5
S38C0 = 6
S39C0 = 7

; LCDDATA5
S40C0 = 0
S41C0 = 1
S42C0 = 2
S43C0 = 3
S44C0 = 4
S45C0 = 5
S46C0 = 6
S47C0 = 7

; LCDDATA6
S00C1 = 0
S01C1 = 1
S02C1 = 2
S03C1 = 3
S04C1 = 4
S05C1 = 5
S06C1 = 6
S07C1 = 7

; LCDDATA7
S08C1 = 0
S09C1 = 1
S10C1 = 2
S11C1 = 3
S12C1 = 4
S13C1 = 5
S14C1 = 6
S15C1 = 7

; LCDDATA8
S16C1 = 0
S17C1 = 1
S18C1 = 2
S19C1 = 3
S20C1 = 4
S21C1 = 5
S22C1 = 6
S23C1 = 7

; LCDDATA9
S24C1 = 0
S25C1 = 1
S26C1 = 2
S27C1 = 3
S28C1 = 4
S29C1 = 5
S30C1 = 6
S31C1 = 7

; LCDDATA10
S32C1 = 0
S33C1 = 1
S34C1 = 2
S35C1 = 3
S36C1 = 4
S37C1 = 5
S38C1 = 6
S39C1 = 7

; LCDDATA11
S40C1 = 0
S41C1 = 1
S42C1 = 2
S43C1 = 3
S44C1 = 4
S45C1 = 5
S46C1 = 6
S47C1 = 7

; LCDDATA12
S00C2 = 0
S01C2 = 1
S02C2 = 2
S03C2 = 3
S04C2 = 4
S05C2 = 5
S06C2 = 6
S07C2 = 7

; LCDDATA13
S08C2 = 0
S09C2 = 1
S10C2 = 2
S11C2 = 3
S12C2 = 4
S13C2 = 5
S14C2 = 6
S15C2 = 7

; LCDDATA14
S16C2 = 0
S17C2 = 1
S18C2 = 2
S19C2 = 3
S20C2 = 4
S21C2 = 5
S22C2 = 6
S23C2 = 7

; LCDDATA15
S24C2 = 0
S25C2 = 1
S26C2 = 2
S27C2 = 3
S28C2 = 4
S29C2 = 5
S30C2 = 6
S31C2 = 7

; LCDDATA16
S32C2 = 0
S33C2 = 1
S34C2 = 2
S35C2 = 3
S36C2 = 4
S37C2 = 5
S38C2 = 6
S39C2 = 7

; LCDDATA17
S40C2 = 0
S41C2 = 1
S42C2 = 2
S43C2 = 3
S44C2 = 4
S45C2 = 5
S46C2 = 6
S47C2 = 7

; LCDDATA18
S00C3 = 0
S01C3 = 1
S02C3 = 2
S03C3 = 3
S04C3 = 4
S05C3 = 5
S06C3 = 6
S07C3 = 7

; LCDDATA19
S08C3 = 0
S09C3 = 1
S10C3 = 2
S11C3 = 3
S12C3 = 4
S13C3 = 5
S14C3 = 6
S15C3 = 7

; LCDDATA20
S16C3 = 0
S17C3 = 1
S18C3 = 2
S19C3 = 3
S20C3 = 4
S21C3 = 5
S22C3 = 6
S23C3 = 7

; LCDDATA21
S24C3 = 0
S25C3 = 1
S26C3 = 2
S27C3 = 3
S28C3 = 4
S29C3 = 5
S30C3 = 6
S31C3 = 7

; LCDDATA22
S32C3 = 0
S33C3 = 1
S34C3 = 2
S35C3 = 3
S36C3 = 4
S37C3 = 5
S38C3 = 6
S39C3 = 7

; LCDDATA23
S40C3 = 0
S41C3 = 1
S42C3 = 2
S43C3 = 3
S44C3 = 4
S45C3 = 5
S46C3 = 6
S47C3 = 7

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
AN4 = 5
OSC2 = 6
OSC1 = 7
ULPWUIN = 0
SEG18 = 1
VREF_MINUS = 2
VREF_PLUS = 3
SEG14 = 4
SEG15 = 5
CLKO = 6
CLKI = 7
T0CKI = 4
T1CKI = 5
T3G = 5
LVDIN = 5

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
INT0 = 0
INT1 = 1
INT2 = 2
INT3 = 3
KBI0 = 4
KBI1 = 5
KBI2 = 6
KBI3 = 7
SEG30 = 0
SEG8 = 1
SEG9 = 2
SEG10 = 3
SEG11 = 4
SEG29 = 5
FLT0 = 0
CTED1 = 2
CTED2 = 3
T3CKI = 5
CCP2_PA2 = 3
T1G = 5
PGM = 5
PGC = 6
PGD = 7

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
SEG32 = 1
SEG13 = 2
SEG17 = 3
SEG16 = 4
SEG12 = 5
SEG27 = 6
SEG28 = 7
SOSCO = 0
SOSCI = 1
SCK1 = 3
SDI1 = 4
SDO1 = 5
TX1 = 6
RX1 = 7
SCKLI = 0
CCP2_PORTC = 1
CCP1 = 2
SCL1 = 3
SDA1 = 4
CK1 = 6
DT1 = 7
PA2_PORTC = 1
PA1 = 2

; PORTD
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7
AD0 = 0
AD1 = 1
AD2 = 2
AD3 = 3
AD4 = 4
AD5 = 5
AD6 = 6
AD7 = 7
PSP0 = 0
PSP1 = 1
PSP2 = 2
PSP3 = 3
PSP4 = 4
PSP5 = 5
PSP6 = 6
PSP7 = 7
SEG0 = 0
SEG1 = 1
SEG2 = 2
SEG3 = 3
SEG4 = 4
SEG5 = 5
SEG6 = 6
SEG7 = 7
CTPLS = 0
T5CKI = 1
SDO2 = 4
SDI2 = 5
SCK2 = 6
SS2 = 7
T7G = 1
SDA2 = 5
SCL2 = 6

; PORTE
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7
AD8 = 0
AD9 = 1
AD10 = 2
AD11 = 3
AD12 = 4
AD13 = 5
AD14 = 6
AD15 = 7
PD2 = 0
PC2 = 1
PB2 = 2
PC3_PORTE = 3
PB3_PORTE = 4
PC1_PORTE = 5
PB1_PORTE = 6
PA2_PORTE = 7
CCP10 = 2
CCP9_PORTE = 3
CCP8_PORTE = 4
CCP7_PORTE = 5
CCP6_PORTE = 6
CCP2_PORTE = 7
RD = 0
WR = 1
CS = 2
COM0 = 3
COM1 = 4
COM2 = 5
COM3 = 6
SEG31 = 7
LCDBIAS1 = 0
LCDBIAS2 = 1
LCDBIAS3 = 2
REFO = 4

; PORTF
RF1 = 1
RF2 = 2
RF3 = 3
RF4 = 4
RF5 = 5
RF6 = 6
RF7 = 7
AN6 = 1
AN7 = 2
AN8 = 3
AN9 = 4
AN10 = 5
AN11 = 6
AN5 = 7
SEG19 = 1
SEG20 = 2
SEG21 = 3
SEG22 = 4
SEG23 = 5
SEG24 = 6
SEG25 = 7
C2OUT_PORTF = 1
C1OUT_PORTF = 2
C2INB = 3
C2INA = 4
C1INB = 5
C1INA = 6
SS1 = 7
CTDIN = 1
CTMUI = 3
CVREF = 5

; PORTG
RG0 = 0
RG1 = 1
RG2 = 2
RG3 = 3
RG4 = 4
RG5 = 5
CCP3 = 0
C3OUT_PORTG = 1
C3INA = 2
C3INB = 3
C3INC = 4
PA3 = 0
TX2 = 1
RX2 = 2
PD3 = 3
PD1 = 4
AN19 = 1
AN18 = 2
AN17 = 3
AN16 = 4
CK2 = 1
DT2 = 2
CCP4 = 3
CCP5 = 4
SEG26 = 4
T7CKI = 4
T5G = 4
RTCC = 4

; PORTH
RH0 = 0
RH1 = 1
RH2 = 2
RH3 = 3
RH4 = 4
RH5 = 5
RH6 = 6
RH7 = 7
SEG47 = 0
SEG46 = 1
SEG45 = 2
SEG44 = 3
SEG40 = 4
SEG41 = 5
SEG42 = 6
SEG43 = 7
AN23 = 0
AN22 = 1
AN21 = 2
AN20 = 3
AN12 = 4
AN13 = 5
AN14 = 6
AN15 = 7
A16 = 0
A17 = 1
A18 = 2
A19 = 3
CCP9_PORTH = 4
CCP8_PORTH = 5
CCP7_PORTH = 6
CCP6_PORTH = 7
PC3_PORTH = 4
PB3_PORTH = 5
PC1_PORTH = 6
PB1_PORTH = 7
C2INC = 4
C2IND = 5
C1INC = 6

; PORTJ
RJ0 = 0
RJ1 = 1
RJ2 = 2
RJ3 = 3
RJ4 = 4
RJ5 = 5
RJ6 = 6
RJ7 = 7
ALE = 0
OE = 1
WRL = 2
WRH = 3
BA0 = 4
CE = 5
LB = 6
UB = 7
SEG33 = 1
SEG34 = 2
SEG35 = 3
SEG39 = 4
SEG38 = 5
SEG37 = 6
SEG36 = 7

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; LATD
LATD0 = 0
LATD1 = 1
LATD2 = 2
LATD3 = 3
LATD4 = 4
LATD5 = 5
LATD6 = 6
LATD7 = 7

; LATE
LATE0 = 0
LATE1 = 1
LATE2 = 2
LATE3 = 3
LATE4 = 4
LATE5 = 5
LATE6 = 6
LATE7 = 7

; LATF
LATF1 = 1
LATF2 = 2
LATF3 = 3
LATF4 = 4
LATF5 = 5
LATF6 = 6
LATF7 = 7

; LATG
LATG0 = 0
LATG1 = 1
LATG2 = 2
LATG3 = 3
LATG4 = 4

; LATH
LATH0 = 0
LATH1 = 1
LATH2 = 2
LATH3 = 3
LATH4 = 4
LATH5 = 5
LATH6 = 6
LATH7 = 7

; LATJ
LATJ0 = 0
LATJ1 = 1
LATJ2 = 2
LATJ3 = 3
LATJ4 = 4
LATJ5 = 5
LATJ6 = 6
LATJ7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7

; TRISD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7

; TRISE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
TRISE3 = 3
TRISE4 = 4
TRISE5 = 5
TRISE6 = 6
TRISE7 = 7

; TRISF
TRISF1 = 1
TRISF2 = 2
TRISF3 = 3
TRISF4 = 4
TRISF5 = 5
TRISF6 = 6
TRISF7 = 7

; TRISG
TRISG0 = 0
TRISG1 = 1
TRISG2 = 2
TRISG3 = 3
TRISG4 = 4

; TRISH
TRISH0 = 0
TRISH1 = 1
TRISH2 = 2
TRISH3 = 3
TRISH4 = 4
TRISH5 = 5
TRISH6 = 6
TRISH7 = 7

; TRISJ
TRISJ0 = 0
TRISJ1 = 1
TRISJ2 = 2
TRISJ3 = 3
TRISJ4 = 4
TRISJ5 = 5
TRISJ6 = 6
TRISJ7 = 7

; OSCTUNE
PLLEN = 6
INTSRC = 7
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5

; PSTR1CON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4
CMPL0 = 6
CMPL1 = 7

; PIE1
TMR1IE = 0
TMR2IE = 1
TMR1GIE = 2
SSP1IE = 3
TX1IE = 4
RC1IE = 5
ADIE = 6
SSPIE = 3
TXIE = 4
RCIE = 5

; PIR1
TMR1IF = 0
TMR2IF = 1
TMR1GIF = 2
SSP1IF = 3
TX1IF = 4
RC1IF = 5
ADIF = 6
SSPIF = 3
TXIF = 4
RCIF = 5

; IPR1
TMR1IP = 0
TMR2IP = 1
TMR1GIP = 2
SSP1IP = 3
TX1IP = 4
RC1IP = 5
ADIP = 6
SSPIP = 3
TXIP = 4
RCIP = 5

; PIE2
TMR3GIE = 0
TMR3IE = 1
HLVDIE = 2
BCL1IE = 3
BCL2IE = 4
SSP2IE = 5
OSCFIE = 7
LVDIE = 2
BCLIE = 3

; PIR2
TMR3GIF = 0
TMR3IF = 1
HLVDIF = 2
BCL1IF = 3
BCL2IF = 4
SSP2IF = 5
OSCFIF = 7
LVDIF = 2
BCLIF = 3

; IPR2
TMR3GIP = 0
TMR3IP = 1
HLVDIP = 2
BCL1IP = 3
BCL2IP = 4
SSP2IP = 5
OSCFIP = 7
LVDIP = 2
BCLIP = 3

; PIE3
RTCCIE = 0
CCP1IE = 1
CCP2IE = 2
CTMUIE = 3
TX2IE = 4
RC2IE = 5
LCDIE = 6
TMR5GIE = 7

; PIR3
RTCCIF = 0
CCP1IF = 1
CCP2IF = 2
CTMUIF = 3
TX2IF = 4
RC2IF = 5
LCDIF = 6
TMR5GIF = 7

; IPR3
RTCCIP = 0
CCP1IP = 1
CCP2IP = 2
CTMUIP = 3
TX2IP = 4
RC2IP = 5
LCDIP = 6
TMR5GIP = 7

; PIR6
CMP1IF = 0
CMP2IF = 1
CMP3IF = 2
EEIF = 4

; HLVDCON
HLVDEN = 4
IRVST = 5
BGVST = 6
VDIRMAG = 7
HLVDL0 = 0
HLVDL1 = 1
HLVDL2 = 2
HLVDL3 = 3

; IPR6
CMP1IP = 0
CMP2IP = 1
CMP3IP = 2
EEIP = 4

; T1GCON
T1GVAL = 2
T1GGO_NOT_T1DONE = 3
T1GSPM = 4
T1GTM = 5
T1GPOL = 6
TMR1GE = 7
T1GSS0 = 0
T1GSS1 = 1
T1GGO = 3
NOT_T1DONE = 3

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
ADEN = 3
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; RCSTA1
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
ADEN = 3
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; TXSTA1
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; T3GCON
T3GVAL = 2
T3GGO_NOT_T3DONE = 3
T3GSPM = 4
T3GTM = 5
T3GPOL = 6
TMR3GE = 7
T3GSS0 = 0
T3GSS1 = 1
T3GGO = 3
NOT_T3DONE = 3

; T3CON
TMR3ON = 0
RD16 = 1
NOT_T3SYNC = 2
SOSCEN = 3
T3CKPS0 = 4
T3CKPS1 = 5
TMR3CS0 = 6
TMR3CS1 = 7

; CMSTAT
CMP1OUT = 5
CMP2OUT = 6
CMP3OUT = 7
C1OUT_CMSTAT = 5
C2OUT_CMSTAT = 6
C3OUT_CMSTAT = 7

; CMSTATUS
CMP1OUT = 5
CMP2OUT = 6
CMP3OUT = 7
C1OUT_CMSTATUS = 5
C2OUT_CMSTATUS = 6
C3OUT_CMSTATUS = 7

; CVRCON
CVRSS = 5
CVROE = 6
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3
CVR4 = 4

; PIE4
CCP3IE = 0
CCP4IE = 1
CCP5IE = 2
CCP6IE = 3
CCP7IE = 4
CCP8IE = 5
CCP9IE = 6
CCP10IE = 7

; PIR4
CCP3IF = 0
CCP4IF = 1
CCP5IF = 2
CCP6IF = 3
CCP7IF = 4
CCP8IF = 5
CCP9IF = 6
CCP10IF = 7

; IPR4
CCP3IP = 0
CCP4IP = 1
CCP5IP = 2
CCP6IP = 3
CCP7IP = 4
CCP8IP = 5
CCP9IP = 6
CCP10IP = 7

; PIE5
TMR4IE = 0
TMR5IE = 1
TMR6IE = 2
TMR7IE = 3
TMR8IE = 4
TMR10IE = 5
TMR12IE = 6
TMR7GIE = 7

; PIR5
TMR4IF = 0
TMR5IF = 1
TMR6IF = 2
TMR7IF = 3
TMR8IF = 4
TMR10IF = 5
TMR12IF = 6
TMR7GIF = 7

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1DEL
P1RSEN = 7
P1DC0 = 0
P1DC1 = 1
P1DC2 = 2
P1DC3 = 3
P1DC4 = 4
P1DC5 = 5
P1DC6 = 6

; PWM1CON
P1RSEN = 7
P1DC0 = 0
P1DC1 = 1
P1DC2 = 2
P1DC3 = 3
P1DC4 = 4
P1DC5 = 5
P1DC6 = 6

; ECCP1AS
ECCP1ASE = 7
PSS1BD0 = 0
PSS1BD1 = 1
PSS1AC0 = 2
PSS1AC1 = 3
ECCP1AS0 = 4
ECCP1AS1 = 5
ECCP1AS2 = 6

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
VNCFG = 3
CHSN0 = 0
CHSN1 = 1
CHSN2 = 2
VCFG0 = 4
VCFG1 = 5
TRIGSEL0 = 6
TRIGSEL1 = 7

; ADCON0
ADON = 0
GO_NOT_DONE = 1
DONE = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
CHS3 = 5
CHS4 = 6
GO = 1
NOT_DONE = 1

; SSP1CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP1CON1
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7

; SSPCON1
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7

; SSP1STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSP1ADD
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; SSPADD
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6

; T1CON
TMR1ON = 0
RD16 = 1
NOT_T1SYNC = 2
SOSCEN = 3
T1CKPS0 = 4
T1CKPS1 = 5
TMR1CS0 = 6
TMR1CS1 = 7

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
NOT_CM = 5
SBOREN = 6
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
CM = 5

; WDTCON
SWDTEN = 0
ULPSINK = 1
ULPEN = 2
SRETEN = 4
ULPLVL = 5
REGSLP = 7
SWDTE = 0

; IPR5
TMR4IP = 0
TMR5IP = 1
TMR6IP = 2
TMR7IP = 3
TMR8IP = 4
TMR10IP = 5
TMR12IP = 6
TMR7GIP = 7

; OSCCON
HFIOFS = 2
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT3IF = 2
INT1IE = 3
INT2IE = 4
INT3IE = 5
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT3F = 2
INT1E = 3
INT2E = 4
INT3E = 5
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
INT3IP = 1
TMR0IP = 2
INTEDG3 = 3
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
INT3P = 1
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
STKOVF = 7

; LIST
