NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
RXF6SIDH         EQU 0x0D60
RXF6SIDLH        EQU 0x0D60
RXF6SIDL         EQU 0x0D61
RXF6EIDH         EQU 0x0D62
RXF6EIDLH        EQU 0x0D62
RXF6EIDL         EQU 0x0D63
RXF7SIDH         EQU 0x0D64
RXF7SIDLH        EQU 0x0D64
RXF7SIDL         EQU 0x0D65
RXF7EIDH         EQU 0x0D66
RXF7EIDLH        EQU 0x0D66
RXF7EIDL         EQU 0x0D67
RXF8SIDH         EQU 0x0D68
RXF8SIDLH        EQU 0x0D68
RXF8SIDL         EQU 0x0D69
RXF8EIDH         EQU 0x0D6A
RXF8EIDLH        EQU 0x0D6A
RXF8EIDL         EQU 0x0D6B
RXF9SIDH         EQU 0x0D70
RXF9SIDLH        EQU 0x0D70
RXF9SIDL         EQU 0x0D71
RXF9EIDH         EQU 0x0D72
RXF9EIDLH        EQU 0x0D72
RXF9EIDL         EQU 0x0D73
RXF10SIDH        EQU 0x0D74
RXF10SIDLH       EQU 0x0D74
RXF10SIDL        EQU 0x0D75
RXF10EIDH        EQU 0x0D76
RXF10EIDLH       EQU 0x0D76
RXF10EIDL        EQU 0x0D77
RXF11SIDH        EQU 0x0D78
RXF11SIDLH       EQU 0x0D78
RXF11SIDL        EQU 0x0D79
RXF11EIDH        EQU 0x0D7A
RXF11EIDLH       EQU 0x0D7A
RXF11EIDL        EQU 0x0D7B
RXF12SIDH        EQU 0x0D80
RXF12SIDLH       EQU 0x0D80
RXF12SIDL        EQU 0x0D81
RXF12EIDH        EQU 0x0D82
RXF12EIDLH       EQU 0x0D82
RXF12EIDL        EQU 0x0D83
RXF13SIDH        EQU 0x0D84
RXF13SIDLH       EQU 0x0D84
RXF13SIDL        EQU 0x0D85
RXF13EIDH        EQU 0x0D86
RXF13EIDLH       EQU 0x0D86
RXF13EIDL        EQU 0x0D87
RXF14SIDH        EQU 0x0D88
RXF14SIDLH       EQU 0x0D88
RXF14SIDL        EQU 0x0D89
RXF14EIDH        EQU 0x0D8A
RXF14EIDLH       EQU 0x0D8A
RXF14EIDL        EQU 0x0D8B
RXF15SIDH        EQU 0x0D90
RXF15SIDLH       EQU 0x0D90
RXF15SIDL        EQU 0x0D91
RXF15EIDH        EQU 0x0D92
RXF15EIDLH       EQU 0x0D92
RXF15EIDL        EQU 0x0D93
RXFCON0          EQU 0x0DD4
RXFCON1          EQU 0x0DD5
SDFLC            EQU 0x0DD8
RXFBCON0         EQU 0x0DE0
RXFBCON1         EQU 0x0DE1
RXFBCON2         EQU 0x0DE2
RXFBCON3         EQU 0x0DE3
RXFBCON4         EQU 0x0DE4
RXFBCON5         EQU 0x0DE5
RXFBCON6         EQU 0x0DE6
RXFBCON7         EQU 0x0DE7
MSEL0            EQU 0x0DF0
MSEL1            EQU 0x0DF1
MSEL2            EQU 0x0DF2
MSEL3            EQU 0x0DF3
BSEL0            EQU 0x0DF8
BIE0             EQU 0x0DFA
TXBIE            EQU 0x0DFC
B0CON            EQU 0x0E20
B0SIDH           EQU 0x0E21
B0SIDLH          EQU 0x0E21
B0SIDL           EQU 0x0E22
B0EIDH           EQU 0x0E23
B0EIDLH          EQU 0x0E23
B0EIDL           EQU 0x0E24
B0DLC            EQU 0x0E25
B0D0             EQU 0x0E26
B0D1             EQU 0x0E27
B0D2             EQU 0x0E28
B0D3             EQU 0x0E29
B0D4             EQU 0x0E2A
B0D5             EQU 0x0E2B
B0D6             EQU 0x0E2C
B0D7             EQU 0x0E2D
CANSTAT_RO9      EQU 0x0E2E
CANCON_RO9       EQU 0x0E2F
B1CON            EQU 0x0E30
B1SIDH           EQU 0x0E31
B1SIDLH          EQU 0x0E31
B1SIDL           EQU 0x0E32
B1EIDH           EQU 0x0E33
B1EIDLH          EQU 0x0E33
B1EIDL           EQU 0x0E34
B1DLC            EQU 0x0E35
B1D0             EQU 0x0E36
B1D1             EQU 0x0E37
B1D2             EQU 0x0E38
B1D3             EQU 0x0E39
B1D4             EQU 0x0E3A
B1D5             EQU 0x0E3B
B1D6             EQU 0x0E3C
B1D7             EQU 0x0E3D
CANSTAT_RO8      EQU 0x0E3E
CANCON_RO8       EQU 0x0E3F
B2CON            EQU 0x0E40
B2SIDH           EQU 0x0E41
B2SIDLH          EQU 0x0E41
B2SIDL           EQU 0x0E42
B2EIDH           EQU 0x0E43
B2EIDLH          EQU 0x0E43
B2EIDL           EQU 0x0E44
B2DLC            EQU 0x0E45
B2D0             EQU 0x0E46
B2D1             EQU 0x0E47
B2D2             EQU 0x0E48
B2D3             EQU 0x0E49
B2D4             EQU 0x0E4A
B2D5             EQU 0x0E4B
B2D6             EQU 0x0E4C
B2D7             EQU 0x0E4D
CANSTAT_RO7      EQU 0x0E4E
CANCON_RO7       EQU 0x0E4F
B3CON            EQU 0x0E50
B3SIDH           EQU 0x0E51
B3SIDLH          EQU 0x0E51
B3SIDL           EQU 0x0E52
B3EIDH           EQU 0x0E53
B3EIDLH          EQU 0x0E53
B3EIDL           EQU 0x0E54
B3DLC            EQU 0x0E55
B3D0             EQU 0x0E56
B3D1             EQU 0x0E57
B3D2             EQU 0x0E58
B3D3             EQU 0x0E59
B3D4             EQU 0x0E5A
B3D5             EQU 0x0E5B
B3D6             EQU 0x0E5C
B3D7             EQU 0x0E5D
CANSTAT_RO6      EQU 0x0E5E
CANCON_RO6       EQU 0x0E5F
B4CON            EQU 0x0E60
B4SIDH           EQU 0x0E61
B4SIDLH          EQU 0x0E61
B4SIDL           EQU 0x0E62
B4EIDH           EQU 0x0E63
B4EIDLH          EQU 0x0E63
B4EIDL           EQU 0x0E64
B4DLC            EQU 0x0E65
B4D0             EQU 0x0E66
B4D1             EQU 0x0E67
B4D2             EQU 0x0E68
B4D3             EQU 0x0E69
B4D4             EQU 0x0E6A
B4D5             EQU 0x0E6B
B4D6             EQU 0x0E6C
B4D7             EQU 0x0E6D
CANSTAT_RO5      EQU 0x0E6E
CANCON_RO5       EQU 0x0E6F
B5CON            EQU 0x0E70
B5SIDH           EQU 0x0E71
B5SIDLH          EQU 0x0E71
B5SIDL           EQU 0x0E72
B5EIDH           EQU 0x0E73
B5EIDLH          EQU 0x0E73
B5EIDL           EQU 0x0E74
B5DLC            EQU 0x0E75
B5D0             EQU 0x0E76
B5D1             EQU 0x0E77
B5D2             EQU 0x0E78
B5D3             EQU 0x0E79
B5D4             EQU 0x0E7A
B5D5             EQU 0x0E7B
B5D6             EQU 0x0E7C
B5D7             EQU 0x0E7D
CANSTAT_RO4      EQU 0x0E7E
CANCON_RO4       EQU 0x0E7F
RXF0SIDH         EQU 0x0F00
RXF0SIDLH        EQU 0x0F00
RXF0SIDL         EQU 0x0F01
RXF0EIDH         EQU 0x0F02
RXF0EIDLH        EQU 0x0F02
RXF0EIDL         EQU 0x0F03
RXF1SIDH         EQU 0x0F04
RXF1SIDLH        EQU 0x0F04
RXF1SIDL         EQU 0x0F05
RXF1EIDH         EQU 0x0F06
RXF1EIDLH        EQU 0x0F06
RXF1EIDL         EQU 0x0F07
RXF2SIDH         EQU 0x0F08
RXF2SIDLH        EQU 0x0F08
RXF2SIDL         EQU 0x0F09
RXF2EIDH         EQU 0x0F0A
RXF2EIDLH        EQU 0x0F0A
RXF2EIDL         EQU 0x0F0B
RXF3SIDH         EQU 0x0F0C
RXF3SIDLH        EQU 0x0F0C
RXF3SIDL         EQU 0x0F0D
RXF3EIDH         EQU 0x0F0E
RXF3EIDLH        EQU 0x0F0E
RXF3EIDL         EQU 0x0F0F
RXF4SIDH         EQU 0x0F10
RXF4SIDLH        EQU 0x0F10
RXF4SIDL         EQU 0x0F11
RXF4EIDH         EQU 0x0F12
RXF4EIDLH        EQU 0x0F12
RXF4EIDL         EQU 0x0F13
RXF5SIDH         EQU 0x0F14
RXF5SIDLH        EQU 0x0F14
RXF5SIDL         EQU 0x0F15
RXF5EIDH         EQU 0x0F16
RXF5EIDLH        EQU 0x0F16
RXF5EIDL         EQU 0x0F17
RXM0SIDH         EQU 0x0F18
RXM0SIDLH        EQU 0x0F18
RXM0SIDL         EQU 0x0F19
RXM0EIDH         EQU 0x0F1A
RXM0EIDLH        EQU 0x0F1A
RXM0EIDL         EQU 0x0F1B
RXM1SIDH         EQU 0x0F1C
RXM1SIDLH        EQU 0x0F1C
RXM1SIDL         EQU 0x0F1D
RXM1EIDH         EQU 0x0F1E
RXM1EIDLH        EQU 0x0F1E
RXM1EIDL         EQU 0x0F1F
TXB2CON          EQU 0x0F20
TXB2SIDH         EQU 0x0F21
TXB2SIDLH        EQU 0x0F21
TXB2SIDL         EQU 0x0F22
TXB2EIDH         EQU 0x0F23
TXB2EIDLH        EQU 0x0F23
TXB2EIDL         EQU 0x0F24
TXB2DLC          EQU 0x0F25
TXB2D0           EQU 0x0F26
TXB2D1           EQU 0x0F27
TXB2D2           EQU 0x0F28
TXB2D3           EQU 0x0F29
TXB2D4           EQU 0x0F2A
TXB2D5           EQU 0x0F2B
TXB2D6           EQU 0x0F2C
TXB2D7           EQU 0x0F2D
CANSTAT_RO3      EQU 0x0F2E
CANCON_RO3       EQU 0x0F2F
TXB1CON          EQU 0x0F30
TXB1SIDH         EQU 0x0F31
TXB1SIDLH        EQU 0x0F31
TXB1SIDL         EQU 0x0F32
TXB1EIDH         EQU 0x0F33
TXB1EIDLH        EQU 0x0F33
TXB1EIDL         EQU 0x0F34
TXB1DLC          EQU 0x0F35
TXB1D0           EQU 0x0F36
TXB1D1           EQU 0x0F37
TXB1D2           EQU 0x0F38
TXB1D3           EQU 0x0F39
TXB1D4           EQU 0x0F3A
TXB1D5           EQU 0x0F3B
TXB1D6           EQU 0x0F3C
TXB1D7           EQU 0x0F3D
CANSTAT_RO2      EQU 0x0F3E
CANCON_RO2       EQU 0x0F3F
TXB0CON          EQU 0x0F40
TXB0SIDH         EQU 0x0F41
TXB0SIDLH        EQU 0x0F41
TXB0SIDL         EQU 0x0F42
TXB0EIDH         EQU 0x0F43
TXB0EIDLH        EQU 0x0F43
TXB0EIDL         EQU 0x0F44
TXB0DLC          EQU 0x0F45
TXB0D0           EQU 0x0F46
TXB0D1           EQU 0x0F47
TXB0D2           EQU 0x0F48
TXB0D3           EQU 0x0F49
TXB0D4           EQU 0x0F4A
TXB0D5           EQU 0x0F4B
TXB0D6           EQU 0x0F4C
TXB0D7           EQU 0x0F4D
CANSTAT_RO1      EQU 0x0F4E
CANCON_RO1       EQU 0x0F4F
RXB1CON          EQU 0x0F50
RXB1SIDH         EQU 0x0F51
RXB1SIDLH        EQU 0x0F51
RXB1SIDL         EQU 0x0F52
RXB1EIDH         EQU 0x0F53
RXB1EIDLH        EQU 0x0F53
RXB1EIDL         EQU 0x0F54
RXB1DLC          EQU 0x0F55
RXB1D0           EQU 0x0F56
RXB1D1           EQU 0x0F57
RXB1D2           EQU 0x0F58
RXB1D3           EQU 0x0F59
RXB1D4           EQU 0x0F5A
RXB1D5           EQU 0x0F5B
RXB1D6           EQU 0x0F5C
RXB1D7           EQU 0x0F5D
CANSTAT_RO0      EQU 0x0F5E
CANCON_RO0       EQU 0x0F5F
RXB0CON          EQU 0x0F60
RXB0SIDH         EQU 0x0F61
RXB0SIDLH        EQU 0x0F61
RXB0SIDL         EQU 0x0F62
RXB0EIDH         EQU 0x0F63
RXB0EIDLH        EQU 0x0F63
RXB0EIDL         EQU 0x0F64
RXB0DLC          EQU 0x0F65
RXB0D0           EQU 0x0F66
RXB0D1           EQU 0x0F67
RXB0D2           EQU 0x0F68
RXB0D3           EQU 0x0F69
RXB0D4           EQU 0x0F6A
RXB0D5           EQU 0x0F6B
RXB0D6           EQU 0x0F6C
RXB0D7           EQU 0x0F6D
CANSTAT          EQU 0x0F6E
CANCON           EQU 0x0F6F
BRGCON1          EQU 0x0F70
BRGCON2          EQU 0x0F71
BRGCON3          EQU 0x0F72
CIOCON           EQU 0x0F73
COMSTAT          EQU 0x0F74
RXERRCNT         EQU 0x0F75
TXERRCNT         EQU 0x0F76
ECANCON          EQU 0x0F77
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
LATD             EQU 0x0F8C
LATE             EQU 0x0F8D
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
DDRC             EQU 0x0F94
TRISC            EQU 0x0F94
DDRD             EQU 0x0F95
TRISD            EQU 0x0F95
DDRE             EQU 0x0F96
TRISE            EQU 0x0F96
OSCTUNE          EQU 0x0F9B
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
EEDATA           EQU 0x0FA8
EEADR            EQU 0x0FA9
EEADRH           EQU 0x0FAA
RCSTA            EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXREG            EQU 0x0FAD
RCREG            EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRGH           EQU 0x0FB0
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
CMCON            EQU 0x0FB4
CVRCON           EQU 0x0FB5
ECCP1AS          EQU 0x0FB6
ECCP1DEL         EQU 0x0FB7
BAUDCON          EQU 0x0FB8
BAUDCTL          EQU 0x0FB8
ECCP1CON         EQU 0x0FBA
ECCPR1           EQU 0x0FBB
ECCPR1L          EQU 0x0FBB
ECCPR1LH         EQU 0x0FBC
ECCPR1H          EQU 0x0FBC
CCP1CON          EQU 0x0FBD
CCPR1            EQU 0x0FBE
CCPR1L           EQU 0x0FBE
CCPR1LH          EQU 0x0FBF
CCPR1H           EQU 0x0FBF
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSPCON2          EQU 0x0FC5
SSPCON1          EQU 0x0FC6
SSPSTAT          EQU 0x0FC7
SSPADD           EQU 0x0FC8
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
HLVDCON          EQU 0x0FD2
LVDCON           EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTD            EQU 0x0F83
PORTE            EQU 0x0F84

; RXF6SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF6SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF6EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF6EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF7SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF7SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF7EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF7EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF8SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF8SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF8EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF8EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF9SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF9SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF9EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF9EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF10SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF10SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF10EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF10EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF11SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF11SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF11EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF11EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF12SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF12SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF12EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF12EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF13SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF13SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF13EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF13EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF14SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF14SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF14EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF14EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF15SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF15SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF15EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF15EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXFCON0
RXF0EN = 0
RXF1EN = 1
RXF2EN = 2
RXF3EN = 3
RXF4EN = 4
RXF5EN = 5
RXF6EN = 6
RXF7EN = 7

; RXFCON1
RXF8EN = 0
RXF9EN = 1
RXF10EN = 2
RXF11EN = 3
RXF12EN = 4
RXF13EN = 5
RXF14EN = 6
RXF15EN = 7

; SDFLC
FLC0 = 0
FLC1 = 1
FLC2 = 2
FLC3 = 3
FLC4 = 4
DFLC0 = 0
DFLC1 = 1
DFLC2 = 2
DFLC3 = 3
DFLC4 = 4

; RXFBCON0
F0BP_0 = 0
F0BP_1 = 1
F0BP_2 = 2
F0BP_3 = 3
F1BP_0 = 4
F1BP_1 = 5
F1BP_2 = 6
F1BP_3 = 7

; RXFBCON1
F2BP_0 = 0
F2BP_1 = 1
F2BP_2 = 2
F2BP_3 = 3
F3BP_0 = 4
F3BP_1 = 5
F3BP_2 = 6
F3BP_3 = 7

; RXFBCON2
F4BP_0 = 0
F4BP_1 = 1
F4BP_2 = 2
F4BP_3 = 3
F5BP_0 = 4
F5BP_1 = 5
F5BP_2 = 6
F5BP_3 = 7

; RXFBCON3
F6BP_0 = 0
F6BP_1 = 1
F6BP_2 = 2
F6BP_3 = 3
F7BP_0 = 4
F7BP_1 = 5
F7BP_2 = 6
F7BP_3 = 7

; RXFBCON4
F8BP_0 = 0
F8BP_1 = 1
F8BP_2 = 2
F8BP_3 = 3
F9BP_0 = 4
F9BP_1 = 5
F9BP_2 = 6
F9BP_3 = 7

; RXFBCON5
F10BP_0 = 0
F10BP_1 = 1
F10BP_2 = 2
F10BP_3 = 3
F11BP_0 = 4
F11BP_1 = 5
F11BP_2 = 6
F11BP_3 = 7

; RXFBCON6
F12BP_0 = 0
F12BP_1 = 1
F12BP_2 = 2
F12BP_3 = 3
F13BP_0 = 4
F13BP_1 = 5
F13BP_2 = 6
F13BP_3 = 7

; RXFBCON7
F14BP_0 = 0
F14BP_1 = 1
F14BP_2 = 2
F14BP_3 = 3
F15BP_0 = 4
F15BP_1 = 5
F15BP_2 = 6
F15BP_3 = 7

; MSEL0
FIL0_0 = 0
FIL0_1 = 1
FIL1_0 = 2
FIL1_1 = 3
FIL2_0 = 4
FIL2_1 = 5
FIL3_0 = 6
FIL3_1 = 7

; MSEL1
FIL4_0 = 0
FIL4_1 = 1
FIL5_0 = 2
FIL5_1 = 3
FIL6_0 = 4
FIL6_1 = 5
FIL7_0 = 6
FIL7_1 = 7

; MSEL2
FIL8_0 = 0
FIL8_1 = 1
FIL9_0 = 2
FIL9_1 = 3
FIL10_0 = 4
FIL10_1 = 5
FIL11_0 = 6
FIL11_1 = 7

; MSEL3
FIL12_0 = 0
FIL12_1 = 1
FIL13_0 = 2
FIL13_1 = 3
FIL14_0 = 4
FIL14_1 = 5
FIL15_0 = 6
FIL15_1 = 7

; BSEL0
B0TXEN = 2
B1TXEN = 3
B2TXEN = 4
B3TXEN = 5
B4TXEN = 6
B5TXEN = 7

; BIE0
RXB0IE = 0
RXB1IE = 1
B0IE = 2
B1IE = 3
B2IE = 4
B3IE = 5
B4IE = 6
B5IE = 7

; TXBIE
TXB0IE = 2
TXB1IE = 3
TXB2IE = 4

; B0CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RTRRO = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
RXRTRRO_B0CON = 5

; B0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B0SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7
EXID = 3

; B0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B0DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B0DLC = 4
RB1_B0DLC = 5
RXRTR_TXRTR = 6
RESRB0 = 4
RESRB1 = 5
TXRTR = 6
RXRTR = 6

; B0D0
B0D00 = 0
B0D01 = 1
B0D02 = 2
B0D03 = 3
B0D04 = 4
B0D05 = 5
B0D06 = 6
B0D07 = 7

; B0D1
B0D10 = 0
B0D11 = 1
B0D12 = 2
B0D13 = 3
B0D14 = 4
B0D15 = 5
B0D16 = 6
B0D17 = 7

; B0D2
B0D20 = 0
B0D21 = 1
B0D22 = 2
B0D23 = 3
B0D24 = 4
B0D25 = 5
B0D26 = 6
B0D27 = 7

; B0D3
B0D30 = 0
B0D31 = 1
B0D32 = 2
B0D33 = 3
B0D34 = 4
B0D35 = 5
B0D36 = 6
B0D37 = 7

; B0D4
B0D40 = 0
B0D41 = 1
B0D42 = 2
B0D43 = 3
B0D44 = 4
B0D45 = 5
B0D46 = 6
B0D47 = 7

; B0D5
B0D50 = 0
B0D51 = 1
B0D52 = 2
B0D53 = 3
B0D54 = 4
B0D55 = 5
B0D56 = 6
B0D57 = 7

; B0D6
B0D60 = 0
B0D61 = 1
B0D62 = 2
B0D63 = 3
B0D64 = 4
B0D65 = 5
B0D66 = 6
B0D67 = 7

; B0D7
B0D70 = 0
B0D71 = 1
B0D72 = 2
B0D73 = 3
B0D74 = 4
B0D75 = 5
B0D76 = 6
B0D77 = 7

; CANSTAT_RO9
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO9
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; B1CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RTRRO = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
RXRTRRO_B1CON = 5

; B1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B1SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7
EXID = 3

; B1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B1DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B1DLC = 4
RB1_B1DLC = 5
RXRTR_TXRTR = 6
RESRB0 = 4
RESRB1 = 5
TXRTR = 6
RXRTR = 6

; B1D0
B1D00 = 0
B1D01 = 1
B1D02 = 2
B1D03 = 3
B1D04 = 4
B1D05 = 5
B1D06 = 6
B1D07 = 7

; B1D1
B1D10 = 0
B1D11 = 1
B1D12 = 2
B1D13 = 3
B1D14 = 4
B1D15 = 5
B1D16 = 6
B1D17 = 7

; B1D2
B1D20 = 0
B1D21 = 1
B1D22 = 2
B1D23 = 3
B1D24 = 4
B1D25 = 5
B1D26 = 6
B1D27 = 7

; B1D3
B1D30 = 0
B1D31 = 1
B1D32 = 2
B1D33 = 3
B1D34 = 4
B1D35 = 5
B1D36 = 6
B1D37 = 7

; B1D4
B1D40 = 0
B1D41 = 1
B1D42 = 2
B1D43 = 3
B1D44 = 4
B1D45 = 5
B1D46 = 6
B1D47 = 7

; B1D5
B1D50 = 0
B1D51 = 1
B1D52 = 2
B1D53 = 3
B1D54 = 4
B1D55 = 5
B1D56 = 6
B1D57 = 7

; B1D6
B1D60 = 0
B1D61 = 1
B1D62 = 2
B1D63 = 3
B1D64 = 4
B1D65 = 5
B1D66 = 6
B1D67 = 7

; B1D7
B1D70 = 0
B1D71 = 1
B1D72 = 2
B1D73 = 3
B1D74 = 4
B1D75 = 5
B1D76 = 6
B1D77 = 7

; CANSTAT_RO8
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO8
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; B2CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RTRRO = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
RXRTRRO_B2CON = 5

; B2SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B2SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7
EXID = 3

; B2EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B2EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B2DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B2DLC = 4
RB1_B2DLC = 5
RXRTR_TXRTR = 6
RESRB0 = 4
RESRB1 = 5
TXRTR = 6
RXRTR = 6

; B2D0
B2D00 = 0
B2D01 = 1
B2D02 = 2
B2D03 = 3
B2D04 = 4
B2D05 = 5
B2D06 = 6
B2D07 = 7

; B2D1
B2D10 = 0
B2D11 = 1
B2D12 = 2
B2D13 = 3
B2D14 = 4
B2D15 = 5
B2D16 = 6
B2D17 = 7

; B2D2
B2D20 = 0
B2D21 = 1
B2D22 = 2
B2D23 = 3
B2D24 = 4
B2D25 = 5
B2D26 = 6
B2D27 = 7

; B2D3
B2D30 = 0
B2D31 = 1
B2D32 = 2
B2D33 = 3
B2D34 = 4
B2D35 = 5
B2D36 = 6
B2D37 = 7

; B2D4
B2D40 = 0
B2D41 = 1
B2D42 = 2
B2D43 = 3
B2D44 = 4
B2D45 = 5
B2D46 = 6
B2D47 = 7

; B2D5
B2D50 = 0
B2D51 = 1
B2D52 = 2
B2D53 = 3
B2D54 = 4
B2D55 = 5
B2D56 = 6
B2D57 = 7

; B2D6
B2D60 = 0
B2D61 = 1
B2D62 = 2
B2D63 = 3
B2D64 = 4
B2D65 = 5
B2D66 = 6
B2D67 = 7

; B2D7
B2D70 = 0
B2D71 = 1
B2D72 = 2
B2D73 = 3
B2D74 = 4
B2D75 = 5
B2D76 = 6
B2D77 = 7

; CANSTAT_RO7
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO7
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; B3CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RTRRO = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
RXRTRRO_B3CON = 5

; B3SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B3SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7
EXID = 3

; B3EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B3EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B3DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B3DLC = 4
RB1_B3DLC = 5
RXRTR_TXRTR = 6
RESRB0 = 4
RESRB1 = 5
TXRTR = 6
RXRTR = 6

; B3D0
B3D00 = 0
B3D01 = 1
B3D02 = 2
B3D03 = 3
B3D04 = 4
B3D05 = 5
B3D06 = 6
B3D07 = 7

; B3D1
B3D10 = 0
B3D11 = 1
B3D12 = 2
B3D13 = 3
B3D14 = 4
B3D15 = 5
B3D16 = 6
B3D17 = 7

; B3D2
B3D20 = 0
B3D21 = 1
B3D22 = 2
B3D23 = 3
B3D24 = 4
B3D25 = 5
B3D26 = 6
B3D27 = 7

; B3D3
B3D30 = 0
B3D31 = 1
B3D32 = 2
B3D33 = 3
B3D34 = 4
B3D35 = 5
B3D36 = 6
B3D37 = 7

; B3D4
B3D40 = 0
B3D41 = 1
B3D42 = 2
B3D43 = 3
B3D44 = 4
B3D45 = 5
B3D46 = 6
B3D47 = 7

; B3D5
B3D50 = 0
B3D51 = 1
B3D52 = 2
B3D53 = 3
B3D54 = 4
B3D55 = 5
B3D56 = 6
B3D57 = 7

; B3D6
B3D60 = 0
B3D61 = 1
B3D62 = 2
B3D63 = 3
B3D64 = 4
B3D65 = 5
B3D66 = 6
B3D67 = 7

; B3D7
B3D70 = 0
B3D71 = 1
B3D72 = 2
B3D73 = 3
B3D74 = 4
B3D75 = 5
B3D76 = 6
B3D77 = 7

; CANSTAT_RO6
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO6
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; B4CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RTRRO = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
RXRTRRO_B4CON = 5

; B4SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B4SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7
EXID = 3

; B4EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B4EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B4DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B4DLC = 4
RB1_B4DLC = 5
RXRTR_TXRTR = 6
RESRB0 = 4
RESRB1 = 5
TXRTR = 6
RXRTR = 6

; B4D0
B4D00 = 0
B4D01 = 1
B4D02 = 2
B4D03 = 3
B4D04 = 4
B4D05 = 5
B4D06 = 6
B4D07 = 7

; B4D1
B4D10 = 0
B4D11 = 1
B4D12 = 2
B4D13 = 3
B4D14 = 4
B4D15 = 5
B4D16 = 6
B4D17 = 7

; B4D2
B4D20 = 0
B4D21 = 1
B4D22 = 2
B4D23 = 3
B4D24 = 4
B4D25 = 5
B4D26 = 6
B4D27 = 7

; B4D3
B4D30 = 0
B4D31 = 1
B4D32 = 2
B4D33 = 3
B4D34 = 4
B4D35 = 5
B4D36 = 6
B4D37 = 7

; B4D4
B4D40 = 0
B4D41 = 1
B4D42 = 2
B4D43 = 3
B4D44 = 4
B4D45 = 5
B4D46 = 6
B4D47 = 7

; B4D5
B4D50 = 0
B4D51 = 1
B4D52 = 2
B4D53 = 3
B4D54 = 4
B4D55 = 5
B4D56 = 6
B4D57 = 7

; B4D6
B4D60 = 0
B4D61 = 1
B4D62 = 2
B4D63 = 3
B4D64 = 4
B4D65 = 5
B4D66 = 6
B4D67 = 7

; B4D7
B4D70 = 0
B4D71 = 1
B4D72 = 2
B4D73 = 3
B4D74 = 4
B4D75 = 5
B4D76 = 6
B4D77 = 7
B46D77 = 7

; CANSTAT_RO5
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO5
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; B5CON
FILHIT0_TXPRI0 = 0
FILHIT1_TXPRI1 = 1
FILHIT2_RTREN = 2
FILHIT3_TXREQ = 3
FILHIT4_TXERR = 4
RXRTRRO_TXLARB = 5
RXM1_TXABT = 6
RXFUL_TXBIF = 7
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
FILHIT4 = 4
RTRRO = 5
RXM1 = 6
RXFUL = 7
TXPRI0 = 0
TXPRI1 = 1
RTREN = 2
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
RXRTRRO_B5CON = 5

; B5SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; B5SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7
EXID = 3
EXIDEN = 3

; B5EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; B5EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; B5DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_B5DLC = 4
RB1_B5DLC = 5
RXRTR_TXRTR = 6
RESRB0 = 4
RESRB1 = 5
RXRTR = 6

; B5D0
B5D00 = 0
B5D01 = 1
B5D02 = 2
B5D03 = 3
B5D04 = 4
B5D05 = 5
B5D06 = 6
B5D07 = 7
B57D07 = 7

; B5D1
B5D10 = 0
B5D11 = 1
B5D12 = 2
B5D13 = 3
B5D14 = 4
B5D15 = 5
B5D16 = 6
B5D17 = 7

; B5D2
B5D20 = 0
B5D21 = 1
B5D22 = 2
B5D23 = 3
B5D24 = 4
B5D25 = 5
B5D26 = 6
B5D27 = 7
B57D23 = 3

; B5D3
B5D30 = 0
B5D31 = 1
B5D32 = 2
B5D33 = 3
B5D34 = 4
B5D35 = 5
B5D36 = 6
B5D37 = 7

; B5D4
B5D40 = 0
B5D41 = 1
B5D42 = 2
B5D43 = 3
B5D44 = 4
B5D45 = 5
B5D46 = 6
B5D47 = 7

; B5D5
B5D50 = 0
B5D51 = 1
B5D52 = 2
B5D53 = 3
B5D54 = 4
B5D55 = 5
B5D56 = 6
B5D57 = 7

; B5D6
B5D60 = 0
B5D61 = 1
B5D62 = 2
B5D63 = 3
B5D64 = 4
B5D65 = 5
B5D66 = 6
B5D67 = 7

; B5D7
B5D70 = 0
B5D71 = 1
B5D72 = 2
B5D73 = 3
B5D74 = 4
B5D75 = 5
B5D76 = 6
B5D77 = 7

; CANSTAT_RO4
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO4
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; RXF0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF0SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF1SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF2SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF2SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF2EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF2EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF3SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF3SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF3EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF3EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF4SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF4SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF4EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF4EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXF5SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXF5SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7
EXIDE = 3

; RXF5EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXF5EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXM0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXM0SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7

; RXM0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXM0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXM1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXM1SIDL
EID16 = 0
EID17 = 1
EXIDEN = 3
SID0 = 5
SID1 = 6
SID2 = 7

; RXM1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXM1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB2CON
TXPRI0 = 0
TXPRI1 = 1
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
TXBIFBXB2CON = 7

; TXB2SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB2SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SID0 = 5
SID1 = 6
SID2 = 7

; TXB2EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB2EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB2DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
TXRTR = 6

; TXB2D0
TXB2D00 = 0
TXB2D01 = 1
TXB2D02 = 2
TXB2D03 = 3
TXB2D04 = 4
TXB2D05 = 5
TXB2D06 = 6
TXB2D07 = 7

; TXB2D1
TXB2D10 = 0
TXB2D11 = 1
TXB2D12 = 2
TXB2D13 = 3
TXB2D14 = 4
TXB2D15 = 5
TXB2D16 = 6
TXB2D17 = 7

; TXB2D2
TXB2D20 = 0
TXB2D21 = 1
TXB2D22 = 2
TXB2D23 = 3
TXB2D24 = 4
TXB2D25 = 5
TXB2D26 = 6
TXB2D27 = 7

; TXB2D3
TXB2D30 = 0
TXB2D31 = 1
TXB2D32 = 2
TXB2D33 = 3
TXB2D34 = 4
TXB2D35 = 5
TXB2D36 = 6
TXB2D37 = 7

; TXB2D4
TXB2D40 = 0
TXB2D41 = 1
TXB2D42 = 2
TXB2D43 = 3
TXB2D44 = 4
TXB2D45 = 5
TXB2D46 = 6
TXB2D47 = 7

; TXB2D5
TXB2D50 = 0
TXB2D51 = 1
TXB2D52 = 2
TXB2D53 = 3
TXB2D54 = 4
TXB2D55 = 5
TXB2D56 = 6
TXB2D57 = 7

; TXB2D6
TXB2D60 = 0
TXB2D61 = 1
TXB2D62 = 2
TXB2D63 = 3
TXB2D64 = 4
TXB2D65 = 5
TXB2D66 = 6
TXB2D67 = 7

; TXB2D7
TXB2D70 = 0
TXB2D71 = 1
TXB2D72 = 2
TXB2D73 = 3
TXB2D74 = 4
TXB2D75 = 5
TXB2D76 = 6
TXB2D77 = 7

; CANSTAT_RO3
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO3
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; TXB1CON
TXPRI0 = 0
TXPRI1 = 1
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7
TXBIFTXB1CON = 7

; TXB1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB1SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SID0 = 5
SID1 = 6
SID2 = 7

; TXB1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB1DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
TXRTR = 6

; TXB1D0
TXB1D00 = 0
TXB1D01 = 1
TXB1D02 = 2
TXB1D03 = 3
TXB1D04 = 4
TXB1D05 = 5
TXB1D06 = 6
TXB1D07 = 7

; TXB1D1
TXB1D10 = 0
TXB1D11 = 1
TXB1D12 = 2
TXB1D13 = 3
TXB1D14 = 4
TXB1D15 = 5
TXB1D16 = 6
TXB1D17 = 7

; TXB1D2
TXB1D20 = 0
TXB1D21 = 1
TXB1D22 = 2
TXB1D23 = 3
TXB1D24 = 4
TXB1D25 = 5
TXB1D26 = 6
TXB1D27 = 7

; TXB1D3
TXB1D30 = 0
TXB1D31 = 1
TXB1D32 = 2
TXB1D33 = 3
TXB1D34 = 4
TXB1D35 = 5
TXB1D36 = 6
TXB1D37 = 7

; TXB1D4
TXB1D40 = 0
TXB1D41 = 1
TXB1D42 = 2
TXB1D43 = 3
TXB1D44 = 4
TXB1D45 = 5
TXB1D46 = 6
TXB1D47 = 7

; TXB1D5
TXB1D50 = 0
TXB1D51 = 1
TXB1D52 = 2
TXB1D53 = 3
TXB1D54 = 4
TXB1D55 = 5
TXB1D56 = 6
TXB1D57 = 7

; TXB1D6
TXB1D60 = 0
TXB1D61 = 1
TXB1D62 = 2
TXB1D63 = 3
TXB1D64 = 4
TXB1D65 = 5
TXB1D66 = 6
TXB1D67 = 7

; TXB1D7
TXB1D70 = 0
TXB1D71 = 1
TXB1D72 = 2
TXB1D73 = 3
TXB1D74 = 4
TXB1D75 = 5
TXB1D76 = 6
TXB1D77 = 7

; CANSTAT_RO2
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO2
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; TXB0CON
TXPRI0 = 0
TXPRI1 = 1
TXREQ = 3
TXERR = 4
TXLARB = 5
TXABT = 6
TXBIF = 7

; TXB0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; TXB0SIDL
EID16 = 0
EID17 = 1
EXIDE = 3
SID0 = 5
SID1 = 6
SID2 = 7

; TXB0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; TXB0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; TXB0DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
TXRTR = 6

; TXB0D0
TXB0D00 = 0
TXB0D01 = 1
TXB0D02 = 2
TXB0D03 = 3
TXB0D04 = 4
TXB0D05 = 5
TXB0D06 = 6
TXB0D07 = 7

; TXB0D1
TXB0D10 = 0
TXB0D11 = 1
TXB0D12 = 2
TXB0D13 = 3
TXB0D14 = 4
TXB0D15 = 5
TXB0D16 = 6
TXB0D17 = 7

; TXB0D2
TXB0D20 = 0
TXB0D21 = 1
TXB0D22 = 2
TXB0D23 = 3
TXB0D24 = 4
TXB0D25 = 5
TXB0D26 = 6
TXB0D27 = 7

; TXB0D3
TXB0D30 = 0
TXB0D31 = 1
TXB0D32 = 2
TXB0D33 = 3
TXB0D34 = 4
TXB0D35 = 5
TXB0D36 = 6
TXB0D37 = 7

; TXB0D4
TXB0D40 = 0
TXB0D41 = 1
TXB0D42 = 2
TXB0D43 = 3
TXB0D44 = 4
TXB0D45 = 5
TXB0D46 = 6
TXB0D47 = 7

; TXB0D5
TXB0D50 = 0
TXB0D51 = 1
TXB0D52 = 2
TXB0D53 = 3
TXB0D54 = 4
TXB0D55 = 5
TXB0D56 = 6
TXB0D57 = 7

; TXB0D6
TXB0D60 = 0
TXB0D61 = 1
TXB0D62 = 2
TXB0D63 = 3
TXB0D64 = 4
TXB0D65 = 5
TXB0D66 = 6
TXB0D67 = 7

; TXB0D7
TXB0D70 = 0
TXB0D71 = 1
TXB0D72 = 2
TXB0D73 = 3
TXB0D74 = 4
TXB0D75 = 5
TXB0D76 = 6
TXB0D77 = 7

; CANSTAT_RO1
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO1
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; RXB1CON
FILHIT0 = 0
FILHIT1 = 1
FILHIT2 = 2
RXRTRRO_FILHIT3 = 3
FILHIT4 = 4
RXM0_RTRRO = 5
RXM1 = 6
RXFUL = 7
RXRTRRO_RXB1CON = 3
RXM0 = 5
FILHIT3 = 3
RTRRO = 5

; RXB1SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXB1SIDL
EID16 = 0
EID17 = 1
EXID = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7

; RXB1EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXB1EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXB1DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_RXB1DLC = 4
RB1_RXB1DLC = 5
RXRTR = 6
RESRB0 = 4
RESRB1 = 5

; RXB1D0
RXB1D00 = 0
RXB1D01 = 1
RXB1D02 = 2
RXB1D03 = 3
RXB1D04 = 4
RXB1D05 = 5
RXB1D06 = 6
RXB1D07 = 7

; RXB1D1
RXB1D10 = 0
RXB1D11 = 1
RXB1D12 = 2
RXB1D13 = 3
RXB1D14 = 4
RXB1D15 = 5
RXB1D16 = 6
RXB1D17 = 7

; RXB1D2
RXB1D20 = 0
RXB1D21 = 1
RXB1D22 = 2
RXB1D23 = 3
RXB1D24 = 4
RXB1D25 = 5
RXB1D26 = 6
RXB1D27 = 7

; RXB1D3
RXB1D30 = 0
RXB1D31 = 1
RXB1D32 = 2
RXB1D33 = 3
RXB1D34 = 4
RXB1D35 = 5
RXB1D36 = 6
RXB1D37 = 7

; RXB1D4
RXB1D40 = 0
RXB1D41 = 1
RXB1D42 = 2
RXB1D43 = 3
RXB1D44 = 4
RXB1D45 = 5
RXB1D46 = 6
RXB1D47 = 7

; RXB1D5
RXB1D50 = 0
RXB1D51 = 1
RXB1D52 = 2
RXB1D53 = 3
RXB1D54 = 4
RXB1D55 = 5
RXB1D56 = 6
RXB1D57 = 7

; RXB1D6
RXB1D60 = 0
RXB1D61 = 1
RXB1D62 = 2
RXB1D63 = 3
RXB1D64 = 4
RXB1D65 = 5
RXB1D66 = 6
RXB1D67 = 7

; RXB1D7
RXB1D70 = 0
RXB1D71 = 1
RXB1D72 = 2
RXB1D73 = 3
RXB1D74 = 4
RXB1D75 = 5
RXB1D76 = 6
RXB1D77 = 7

; CANSTAT_RO0
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
ICODE4 = 4

; CANCON_RO0
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3

; RXB0CON
FILHIT0 = 0
JTOFF_FILHIT1 = 1
RXB0DBEN_FILHIT2 = 2
RXRTRRO_FILHIT3 = 3
FILHIT4 = 4
RXM0_RTRRO = 5
RXM1 = 6
RXFUL = 7
JTOFF = 1
RXB0DBEN = 2
RXRTRRO_RXB0CON = 3
RXM0 = 5
FILHIT1 = 1
FILHIT2 = 2
FILHIT3 = 3
RTRRO = 5
RXBODBEN = 2

; RXB0SIDH
SID3 = 0
SID4 = 1
SID5 = 2
SID6 = 3
SID7 = 4
SID8 = 5
SID9 = 6
SID10 = 7

; RXB0SIDL
EID16 = 0
EID17 = 1
EXID = 3
SRR = 4
SID0 = 5
SID1 = 6
SID2 = 7

; RXB0EIDH
EID8 = 0
EID9 = 1
EID10 = 2
EID11 = 3
EID12 = 4
EID13 = 5
EID14 = 6
EID15 = 7

; RXB0EIDL
EID0 = 0
EID1 = 1
EID2 = 2
EID3 = 3
EID4 = 4
EID5 = 5
EID6 = 6
EID7 = 7

; RXB0DLC
DLC0 = 0
DLC1 = 1
DLC2 = 2
DLC3 = 3
RB0_RXB0DLC = 4
RB1_RXB0DLC = 5
RXRTR = 6
RESRB0 = 4
RESRB1 = 5

; RXB0D0
RXB0D00 = 0
RXB0D01 = 1
RXB0D02 = 2
RXB0D03 = 3
RXB0D04 = 4
RXB0D05 = 5
RXB0D06 = 6
RXB0D07 = 7

; RXB0D1
RXB0D10 = 0
RXB0D11 = 1
RXB0D12 = 2
RXB0D13 = 3
RXB0D14 = 4
RXB0D15 = 5
RXB0D16 = 6
RXB0D17 = 7

; RXB0D2
RXB0D20 = 0
RXB0D21 = 1
RXB0D22 = 2
RXB0D23 = 3
RXB0D24 = 4
RXB0D25 = 5
RXB0D26 = 6
RXB0D27 = 7

; RXB0D3
RXB0D30 = 0
RXB0D31 = 1
RXB0D32 = 2
RXB0D33 = 3
RXB0D34 = 4
RXB0D35 = 5
RXB0D36 = 6
RXB0D37 = 7

; RXB0D4
RXB0D40 = 0
RXB0D41 = 1
RXB0D42 = 2
RXB0D43 = 3
RXB0D44 = 4
RXB0D45 = 5
RXB0D46 = 6
RXB0D47 = 7

; RXB0D5
RXB0D50 = 0
RXB0D51 = 1
RXB0D52 = 2
RXB0D53 = 3
RXB0D54 = 4
RXB0D55 = 5
RXB0D56 = 6
RXB0D57 = 7

; RXB0D6
RXB0D60 = 0
RXB0D61 = 1
RXB0D62 = 2
RXB0D63 = 3
RXB0D64 = 4
RXB0D65 = 5
RXB0D66 = 6
RXB0D67 = 7

; RXB0D7
RXB0D70 = 0
RXB0D71 = 1
RXB0D72 = 2
RXB0D73 = 3
RXB0D74 = 4
RXB0D75 = 5
RXB0D76 = 6
RXB0D77 = 7

; CANSTAT
EICODE0 = 0
EICODE1_ICODE0 = 1
EICODE2_ICODE1 = 2
EICODE3_ICODE2 = 3
EICODE4 = 4
OPMODE0 = 5
OPMODE1 = 6
OPMODE2 = 7
ICODE0 = 0
ICODE1 = 1
ICODE2 = 2
ICODE3 = 3
EICODE1 = 1
EICODE2 = 2
EICODE3 = 3

; CANCON
FP0 = 0
WIN0_FP1 = 1
WIN1_FP2 = 2
WIN2_FP3 = 3
ABAT = 4
REQOP0 = 5
REQOP1 = 6
REQOP2 = 7
WIN0 = 1
WIN1 = 2
WIN2 = 3
FP1 = 1
FP2 = 2
FP3 = 3

; BRGCON1
BRP0 = 0
BRP1 = 1
BRP2 = 2
BRP3 = 3
BRP4 = 4
BRP5 = 5
SJW0 = 6
SJW1 = 7

; BRGCON2
PRSEG0 = 0
PRSEG1 = 1
PRSEG2 = 2
SEG1PH0 = 3
SEG1PH1 = 4
SEG1PH2 = 5
SAM = 6
SEG2PHT = 7
SEG2PHTS = 7

; BRGCON3
SEG2PH0 = 0
SEG2PH1 = 1
SEG2PH2 = 2
WAKFIL = 6
WAKDIS = 7

; CIOCON
CANCAP = 4
ENDRHI = 5

; COMSTAT
EWARN = 0
RXWARN = 1
TXWARN = 2
RXBP = 3
TXBP = 4
TXBO = 5
RXBNOVFL = 6
RXB0OVFL_NOT_FIFOEMPTY = 7
RXB1OVFL = 6
RXB0OVFL = 7
FIFOEMPTY = 7
NOT_FIFOEMPTY = 7

; RXERRCNT
REC0 = 0
REC1 = 1
REC2 = 2
REC3 = 3
REC4 = 4
REC5 = 5
REC6 = 6
REC7 = 7

; TXERRCNT
TEC0 = 0
TEC1 = 1
TEC2 = 2
TEC3 = 3
TEC4 = 4
TEC5 = 5
TEC6 = 6
TEC7 = 7

; ECANCON
EWIN0 = 0
EWIN1 = 1
EWIN2 = 2
EWIN3 = 3
EWIN4 = 4
FIFOWM = 5
MDSEL0 = 6
MDSEL1 = 7
F = 5

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
T0CKI = 4
AN4 = 5
OSC2 = 6
OSC1 = 7
CVREF_PORTA = 0
VREFM = 2
VREFP = 3
HLVDIN = 5
CLKO = 6
CLKI = 7
LVDIN = 5
SS = 5
NOT_SS = 5

; PORTB
RB0_PORTB = 0
RB1_PORTB = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
INT0 = 0
INT1 = 1
INT2 = 2
CANRX = 3
KBI0 = 4
KBI1 = 5
KBI2 = 6
KBI3 = 7
AN10 = 0
AN8 = 1
CANTX = 2
AN9 = 4
PGM = 5
PGC = 6
PGD = 7
FLT0 = 0

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
T1OSO = 0
T1OSI = 1
CCP1 = 2
SCK = 3
SDI = 4
SDO = 5
TX = 6
RX = 7
T13CKI = 0
SCL = 3
SDA = 4
CK = 6
; DT = 7

; PORTD
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7
PSP0 = 0
PSP1 = 1
PSP2 = 2
PSP3 = 3
PSP4 = 4
PSP5 = 5
PSP6 = 6
PSP7 = 7
C1INB = 0
C1INA = 1
C2INB = 2
C2INA = 3
P1A = 4
P1B = 5
P1C = 6
P1D = 7
ECCP1 = 4

; PORTE
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; LATD
LATD0 = 0
LATD1 = 1
LATD2 = 2
LATD3 = 3
LATD4 = 4
LATD5 = 5
LATD6 = 6
LATD7 = 7

; LATE
LATE0 = 0
LATE1 = 1
LATE2 = 2

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0_DDRB = 0
RB1_DDRB = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0_TRISB = 0
RB1_TRISB = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; DDRC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; DDRD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; TRISD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; DDRE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
PSPMODE = 4
IBOV = 5
OBF = 6
IBF = 7
RE0 = 0
RE1 = 1
RE2 = 2

; TRISE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
PSPMODE = 4
IBOV = 5
OBF = 6
IBF = 7
RE0 = 0
RE1 = 1
RE2 = 2

; OSCTUNE
PLLEN = 6
INTSRC = 7
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
INTSCR = 7

; PIE1
TMR1IE = 0
TMR2IE = 1
CCP1IE = 2
SSPIE = 3
TXIE = 4
RCIE = 5
ADIE = 6
PSPIE = 7

; PIR1
TMR1IF = 0
TMR2IF = 1
CCP1IF = 2
SSPIF = 3
TXIF = 4
RCIF = 5
ADIF = 6
PSPIF = 7

; IPR1
TMR1IP = 0
TMR2IP = 1
CCP1IP = 2
SSPIP = 3
TXIP = 4
RCIP = 5
ADIP = 6
PSPIP = 7
TXBIP = 4

; PIE2
ECCP1IE = 0
TMR3IE = 1
HLVDIE = 2
BCLIE = 3
EEIE = 4
CMIE = 6
OSCFIE = 7
LVDIE = 2

; PIR2
ECCP1IF = 0
TMR3IF = 1
HLVDIF = 2
BCLIF = 3
EEIF = 4
CMIF = 6
OSCFIF = 7
LVDIF = 2

; IPR2
ECCP1IP = 0
TMR3IP = 1
HLVDIP = 2
BCLIP = 3
EEIP = 4
CMIP = 6
OSCFIP = 7
LVDIP = 2

; PIE3
RXB0IE = 0
RXB1IE = 1
TXB0IE = 2
TXB1IE = 3
TXB2IE = 4
ERRIE = 5
WAKIE = 6
IRXIE = 7
FIFOWMIE = 0
RXBNIE = 1
TXBNIE = 4
FIFOMWIE = 0

; PIR3
RXB0IF = 0
RXB1IF = 1
TXB0IF = 2
TXB1IF = 3
TXB2IF = 4
ERRIF = 5
WAKIF = 6
IRXIF = 7
FIFOWMIF = 0
RXBNIF = 1
TXBNIF = 4

; IPR3
RXB0IP = 0
RXB1IP = 1
TXB0IP = 2
TXB1IP = 3
TXB2IP = 4
ERRIP = 5
WAKIP = 6
IRXIP = 7
FIFOWMIP = 0
RXBNIP = 1
TXBNIP = 4

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
ADEN = 3

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7

; T3CON
TMR3ON = 0
TMR3CS = 1
NOT_T3SYNC = 2
T3CCP1 = 3
T3ECCP1 = 6
RD16 = 7
T3SYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5
T3CCP2 = 6
T3NSYNC = 2

; CMCON
CIS = 3
C1INV = 4
C2INV = 5
C1OUT = 6
C2OUT = 7
CM0 = 0
CM1 = 1
CM2 = 2

; CVRCON
CVRSS = 4
CVRR = 5
CVROE = 6
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3
CVREF_CVRCON = 4

; ECCP1AS
ECCPASE = 7
PSSBD0 = 0
PSSBD1 = 1
PSSAC0 = 2
PSSAC1 = 3
ECCPAS0 = 4
ECCPAS1 = 5
ECCPAS2 = 6

; ECCP1DEL
PRSEN = 7
PDC0 = 0
PDC1 = 1
PDC2 = 2
PDC3 = 3
PDC4 = 4
PDC5 = 5
PDC6 = 6

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4

; BAUDCTL
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4

; ECCP1CON
ECCP1M0 = 0
ECCP1M1 = 1
ECCP1M2 = 2
ECCP1M3 = 3
EDC1B0 = 4
EDC1B1 = 5
EPWM1M0 = 6
EPWM1M1 = 7

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3
VCFG0 = 4
VCFG1 = 5

; ADCON0
ADON = 0
GO_NOT_DONE = 1
GO_DONE = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
CHS3 = 5
DONE = 1
GO = 1
NOT_DONE = 1

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R_W = 2
D_A = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
R = 2
D = 5

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6
TOUTPS0 = 3
TOUTPS1 = 4
TOUTPS2 = 5
TOUTPS3 = 6

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
T1OSCEN = 3
T1RUN = 6
RD16 = 7
T1SYNC = 2
T1CKPS0 = 4
T1CKPS1 = 5
T1INSYNC = 2

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
SBOREN = 6
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4

; WDTCON
SWDTEN = 0
SWDTE = 0

; HLVDCON
HLVDEN = 4
IRVST = 5
VDIRMAG = 7
HLVDL0 = 0
HLVDL1 = 1
HLVDL2 = 2
HLVDL3 = 3
LVDL0 = 0
LVDL1 = 1
LVDL2 = 2
LVDL3 = 3
LVDEN = 4
IVRST = 5
LVV0 = 0
LVV1 = 1
LVV2 = 2
LVV3 = 3
BGST = 5

; LVDCON
HLVDEN = 4
IRVST = 5
VDIRMAG = 7
HLVDL0 = 0
HLVDL1 = 1
HLVDL2 = 2
HLVDL3 = 3
LVDL0 = 0
LVDL1 = 1
LVDL2 = 2
LVDL3 = 3
LVDEN = 4
IVRST = 5
LVV0 = 0
LVV1 = 1
LVV2 = 2
LVV3 = 3
BGST = 5

; OSCCON
IOFS = 2
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2
T0PS3 = 3

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT1IE = 3
INT2IE = 4
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT1E = 3
INT2E = 4
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
TMR0IP = 2
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
STKPTR0 = 0
STKPTR1 = 1
STKPTR2 = 2
STKPTR3 = 3
STKPTR4 = 4
STKOVF = 7

; LIST
